
# Data Propagation Report

- **STAT1** : Number of instructions that hit unique coverpoints and update the signature.
- **STAT2** : Number of instructions that hit covepoints which are not unique but still update the signature
- **STAT3** : Number of instructions that hit a unique coverpoint but do not update signature
- **STAT4** : Number of multiple signature updates for the same coverpoint
- **STAT5** : Number of times the signature was overwritten

| Param                     | Value    |
|---------------------------|----------|
| XLEN                      | 64      |
| TEST_REGION               | [('0x80000390', '0x80007430')]      |
| SIG_REGION                | [('0x80009010', '0x8000a510', '672 dwords')]      |
| COV_LABELS                | mulw      |
| TEST_NAME                 | /scratch/git-repo/incoresemi/temp/riscof_work/mulw-01.S/ref.S    |
| Total Number of coverpoints| 864     |
| Total Coverpoints Hit     | 858      |
| Total Signature Updates   | 672      |
| STAT1                     | 670      |
| STAT2                     | 2      |
| STAT3                     | 0     |
| STAT4                     | 0     |
| STAT5                     | 0     |

## Details for STAT2:

```
Op without unique coverpoint updates Signature
 -- Code Sequence:
      [0x800072d4]:mulw
      [0x800072d8]:sd
 -- Signature Address: 0x8000a4b8 Data: 0x0000000000000000
 -- Redundant Coverpoints hit by the op
      - opcode : mulw
      - rs1 : x10
      - rs2 : x11
      - rd : x12
      - rs1 != rs2  and rs1 != rd and rs2 != rd
      - rs1_val==0 and rs2_val==0
      - rs1_val == 0
      - rs1_val == rs2_val
      - rs2_val == 0




Op without unique coverpoint updates Signature
 -- Code Sequence:
      [0x80007428]:mulw
      [0x8000742c]:sd
 -- Signature Address: 0x8000a508 Data: 0xffffffffffb00000
 -- Redundant Coverpoints hit by the op
      - opcode : mulw
      - rs1 : x10
      - rs2 : x11
      - rd : x12
      - rs1 != rs2  and rs1 != rd and rs2 != rd
      - rs1_val != rs2_val
      - rs2_val == 524288
      - rs1_val < 0 and rs2_val > 0






```

## Details of STAT3

```


```

## Details of STAT4:

```

```

## Details of STAT5:



## Details of STAT1:

- The first column indicates the signature address and the data at that location in hexadecimal in the following format: 
  ```
  [Address]
  Data
  ```

- The second column captures all the coverpoints which have been captured by that particular signature location

- The third column captures all the insrtuctions since the time a coverpoint was
  hit to the point when a store to the signature was performed. Each line has
  the following format:
  ```
  [PC of instruction] : mnemonic
  ```
- The order in the table is based on the order of signatures occuring in the
  test. These need not necessarily be in increasing or decreasing order of the
  address in the signature region.

|s.no|            signature             |                                                                                         coverpoints                                                                                         |                   code                   |
|---:|----------------------------------|---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|------------------------------------------|
|   1|[0x80009010]<br>0x0000000000000100|- opcode : mulw<br> - rs1 : x24<br> - rs2 : x24<br> - rd : x24<br> - rs1 == rs2 == rd<br> - rs2_val == 16<br> - rs1_val == 16<br> - rs1_val == rs2_val<br> - rs1_val > 0 and rs2_val > 0<br> |[0x800003a0]:mulw<br> [0x800003a4]:sd<br> |
|   2|[0x80009018]<br>0x0000000000000000|- rs1 : x0<br> - rs2 : x0<br> - rd : x17<br> - rs1 == rs2 != rd<br> - rs1_val==0 and rs2_val==0<br> - rs1_val == 0<br> - rs2_val == 0<br>                                                    |[0x800003b0]:mulw<br> [0x800003b4]:sd<br> |
|   3|[0x80009020]<br>0xffffffffaaaaaad6|- rs1 : x21<br> - rs2 : x20<br> - rd : x21<br> - rs1 == rd != rs2<br> - rs1_val != rs2_val<br> - rs2_val == -65<br> - rs1_val == -6148914691236517206<br> - rs1_val < 0 and rs2_val < 0<br>  |[0x800003dc]:mulw<br> [0x800003e0]:sd<br> |
|   4|[0x80009028]<br>0xffffffffaaaaaaaa|- rs1 : x1<br> - rs2 : x19<br> - rd : x19<br> - rs2 == rd != rs1<br> - rs1_val == -549755813889<br> - rs1_val < 0 and rs2_val > 0<br>                                                        |[0x80000410]:mulw<br> [0x80000414]:sd<br> |
|   5|[0x80009030]<br>0x0000000000000001|- rs1 : x25<br> - rs2 : x29<br> - rd : x23<br> - rs1 != rs2  and rs1 != rd and rs2 != rd<br> - rs2_val == -72057594037927937<br> - rs1_val == -72057594037927937<br>                         |[0x80000430]:mulw<br> [0x80000434]:sd<br> |
|   6|[0x80009038]<br>0x0000000000000000|- rs1 : x28<br> - rs2 : x2<br> - rd : x25<br> - rs2_val == -9223372036854775808<br> - rs1_val == 64<br> - rs1_val > 0 and rs2_val < 0<br> - rs2_val == (-2**(xlen-1))<br>                    |[0x80000444]:mulw<br> [0x80000448]:sd<br> |
|   7|[0x80009040]<br>0x0000000000000000|- rs1 : x3<br> - rs2 : x16<br> - rd : x13<br> - rs1_val == -65<br>                                                                                                                           |[0x80000454]:mulw<br> [0x80000458]:sd<br> |
|   8|[0x80009048]<br>0xfffffffffffff800|- rs1 : x23<br> - rs2 : x14<br> - rd : x3<br> - rs2_val == 9223372036854775807<br> - rs1_val == 2048<br> - rs2_val == (2**(xlen-1)-1)<br>                                                    |[0x80000470]:mulw<br> [0x80000474]:sd<br> |
|   9|[0x80009050]<br>0xffffffffffffffff|- rs1 : x14<br> - rs2 : x18<br> - rd : x22<br> - rs1_val == -4398046511105<br> - rs2_val == 1<br>                                                                                            |[0x80000488]:mulw<br> [0x8000048c]:sd<br> |
|  10|[0x80009058]<br>0x0000000000000000|- rs1 : x30<br> - rs2 : x1<br> - rd : x16<br> - rs2_val == -2147483649<br> - rs1_val == -9223372036854775808<br> - rs1_val == (-2**(xlen-1))<br>                                             |[0x800004a4]:mulw<br> [0x800004a8]:sd<br> |
|  11|[0x80009060]<br>0x0000000000000000|- rs1 : x5<br> - rs2 : x21<br> - rd : x12<br> - rs1_val==0 and rs2_val==5<br>                                                                                                                |[0x800004b4]:mulw<br> [0x800004b8]:sd<br> |
|  12|[0x80009068]<br>0x0000000000200001|- rs1 : x16<br> - rs2 : x11<br> - rd : x2<br> - rs2_val == -2097153<br> - rs1_val == 9223372036854775807<br> - rs1_val == (2**(xlen-1)-1)<br>                                                |[0x800004d0]:mulw<br> [0x800004d4]:sd<br> |
|  13|[0x80009070]<br>0x0000000000008000|- rs1 : x7<br> - rs2 : x4<br> - rd : x9<br> - rs2_val == 32768<br> - rs1_val == 1<br>                                                                                                        |[0x800004e0]:mulw<br> [0x800004e4]:sd<br> |
|  14|[0x80009078]<br>0xffffffffaaaaaaa8|- rs1 : x20<br> - rs2 : x27<br> - rd : x18<br> - rs2_val == 2<br> - rs1_val==6148914691236517204 and rs2_val==2<br>                                                                          |[0x8000050c]:mulw<br> [0x80000510]:sd<br> |
|  15|[0x80009080]<br>0x0000000010000000|- rs1 : x13<br> - rs2 : x26<br> - rd : x15<br> - rs2_val == 4<br> - rs1_val == 67108864<br>                                                                                                  |[0x8000051c]:mulw<br> [0x80000520]:sd<br> |
|  16|[0x80009088]<br>0xfffffffffffffbf8|- rs1 : x12<br> - rs2 : x6<br> - rd : x7<br> - rs1_val == -129<br> - rs2_val == 8<br>                                                                                                        |[0x8000052c]:mulw<br> [0x80000530]:sd<br> |
|  17|[0x80009090]<br>0x0000000000000000|- rs1 : x27<br> - rs2 : x30<br> - rd : x4<br> - rs1_val == 17592186044416<br>                                                                                                                |[0x80000548]:mulw<br> [0x8000054c]:sd<br> |
|  18|[0x80009098]<br>0x0000000000000000|- rs1 : x26<br> - rs2 : x28<br> - rd : x1<br> - rs2_val == 32<br> - rs1_val == 72057594037927936<br>                                                                                         |[0x8000055c]:mulw<br> [0x80000560]:sd<br> |
|  19|[0x800090a0]<br>0xffffffffffffffc0|- rs1 : x9<br> - rs2 : x7<br> - rd : x20<br> - rs1_val == -562949953421313<br> - rs2_val == 64<br>                                                                                           |[0x80000574]:mulw<br> [0x80000578]:sd<br> |
|  20|[0x800090a8]<br>0xffffffffffffff00|- rs1 : x8<br> - rs2 : x17<br> - rd : x28<br> - rs1_val == -2<br> - rs2_val == 128<br>                                                                                                       |[0x80000584]:mulw<br> [0x80000588]:sd<br> |
|  21|[0x800090b0]<br>0x0000000008000000|- rs1 : x10<br> - rs2 : x22<br> - rd : x5<br> - rs2_val == 256<br> - rs1_val == 524288<br>                                                                                                   |[0x80000594]:mulw<br> [0x80000598]:sd<br> |
|  22|[0x800090b8]<br>0x0000000000040000|- rs1 : x19<br> - rs2 : x23<br> - rd : x27<br> - rs2_val == 512<br> - rs1_val == 512<br>                                                                                                     |[0x800005a4]:mulw<br> [0x800005a8]:sd<br> |
|  23|[0x800090c0]<br>0xffffffffff7ffc00|- rs1 : x11<br> - rs2 : x15<br> - rd : x30<br> - rs1_val == -8193<br> - rs2_val == 1024<br>                                                                                                  |[0x800005b8]:mulw<br> [0x800005bc]:sd<br> |
|  24|[0x800090c8]<br>0x0000000033333000|- rs1 : x29<br> - rs2 : x31<br> - rd : x10<br> - rs2_val == 2048<br>                                                                                                                         |[0x800005e8]:mulw<br> [0x800005ec]:sd<br> |
|  25|[0x800090d0]<br>0x0000000000000000|- rs1 : x6<br> - rs2 : x8<br> - rd : x31<br> - rs2_val == 4096<br> - rs1_val == 68719476736<br>                                                                                              |[0x800005fc]:mulw<br> [0x80000600]:sd<br> |
|  26|[0x800090d8]<br>0x0000000000000000|- rs1 : x31<br> - rs2 : x9<br> - rd : x8<br> - rs2_val == 8192<br>                                                                                                                           |[0x8000060c]:mulw<br> [0x80000610]:sd<br> |
|  27|[0x800090e0]<br>0x0000000000000000|- rs1 : x22<br> - rs2 : x25<br> - rd : x14<br> - rs2_val == 16384<br> - rs1_val == 70368744177664<br>                                                                                        |[0x80000620]:mulw<br> [0x80000624]:sd<br> |
|  28|[0x800090e8]<br>0xfffffffffff60000|- rs1 : x2<br> - rs2 : x10<br> - rd : x26<br> - rs2_val == 65536<br>                                                                                                                         |[0x80000630]:mulw<br> [0x80000634]:sd<br> |
|  29|[0x800090f0]<br>0x00000000199c0000|- rs1 : x4<br> - rs2 : x5<br> - rd : x11<br> - rs2_val == 131072<br>                                                                                                                         |[0x8000064c]:mulw<br> [0x80000650]:sd<br> |
|  30|[0x800090f8]<br>0x0000000000000000|- rs1 : x15<br> - rs2 : x13<br> - rd : x29<br> - rs2_val == 262144<br> - rs1_val == 281474976710656<br>                                                                                      |[0x80000660]:mulw<br> [0x80000664]:sd<br> |
|  31|[0x80009100]<br>0x0000000000000000|- rs1 : x18<br> - rs2 : x3<br> - rd : x0<br> - rs2_val == 524288<br>                                                                                                                         |[0x80000670]:mulw<br> [0x80000674]:sd<br> |
|  32|[0x80009108]<br>0xfffffffffff00000|- rs1 : x17<br> - rs2 : x12<br> - rd : x6<br> - rs1_val == -32769<br> - rs2_val == 1048576<br>                                                                                               |[0x80000684]:mulw<br> [0x80000688]:sd<br> |
|  33|[0x80009110]<br>0x0000000000000000|- rs2_val == 2097152<br> - rs1_val == 1099511627776<br>                                                                                                                                      |[0x800006a0]:mulw<br> [0x800006a4]:sd<br> |
|  34|[0x80009118]<br>0xffffffffffc00000|- rs1_val == -274877906945<br> - rs2_val == 4194304<br>                                                                                                                                      |[0x800006b8]:mulw<br> [0x800006bc]:sd<br> |
|  35|[0x80009120]<br>0xffffffffff800000|- rs2_val == 8388608<br>                                                                                                                                                                     |[0x800006d0]:mulw<br> [0x800006d4]:sd<br> |
|  36|[0x80009128]<br>0xffffffffff000000|- rs1_val == -8589934593<br> - rs2_val == 16777216<br>                                                                                                                                       |[0x800006e8]:mulw<br> [0x800006ec]:sd<br> |
|  37|[0x80009130]<br>0x0000000000000000|- rs2_val == 33554432<br> - rs1_val == 4611686018427387904<br>                                                                                                                               |[0x800006fc]:mulw<br> [0x80000700]:sd<br> |
|  38|[0x80009138]<br>0x0000000000000000|- rs2_val == 67108864<br> - rs1_val == 134217728<br>                                                                                                                                         |[0x8000070c]:mulw<br> [0x80000710]:sd<br> |
|  39|[0x80009140]<br>0xfffffffff8000000|- rs1_val == -134217729<br> - rs2_val == 134217728<br>                                                                                                                                       |[0x80000720]:mulw<br> [0x80000724]:sd<br> |
|  40|[0x80009148]<br>0x0000000000000000|- rs2_val == 268435456<br> - rs1_val == 2097152<br>                                                                                                                                          |[0x80000730]:mulw<br> [0x80000734]:sd<br> |
|  41|[0x80009150]<br>0xffffffffe0000000|- rs1_val == -68719476737<br> - rs2_val == 536870912<br>                                                                                                                                     |[0x80000748]:mulw<br> [0x8000074c]:sd<br> |
|  42|[0x80009158]<br>0xffffffffc0000000|- rs2_val == 1073741824<br>                                                                                                                                                                  |[0x8000075c]:mulw<br> [0x80000760]:sd<br> |
|  43|[0x80009160]<br>0xffffffff80000000|- rs2_val == 2147483648<br>                                                                                                                                                                  |[0x80000770]:mulw<br> [0x80000774]:sd<br> |
|  44|[0x80009168]<br>0x0000000000000000|- rs2_val == 4294967296<br> - rs1_val == 128<br>                                                                                                                                             |[0x80000784]:mulw<br> [0x80000788]:sd<br> |
|  45|[0x80009170]<br>0x0000000000000000|- rs2_val == 8589934592<br> - rs1_val == 262144<br>                                                                                                                                          |[0x80000798]:mulw<br> [0x8000079c]:sd<br> |
|  46|[0x80009178]<br>0x0000000000000000|- rs1_val == -8796093022209<br> - rs2_val == 17179869184<br>                                                                                                                                 |[0x800007b4]:mulw<br> [0x800007b8]:sd<br> |
|  47|[0x80009180]<br>0x0000000000000000|- rs2_val == 34359738368<br> - rs1_val == 4<br>                                                                                                                                              |[0x800007c8]:mulw<br> [0x800007cc]:sd<br> |
|  48|[0x80009188]<br>0x0000000000000000|- rs1_val == -1152921504606846977<br> - rs2_val == 68719476736<br>                                                                                                                           |[0x800007e4]:mulw<br> [0x800007e8]:sd<br> |
|  49|[0x80009190]<br>0x0000000000000000|- rs2_val == 137438953472<br>                                                                                                                                                                |[0x800007f8]:mulw<br> [0x800007fc]:sd<br> |
|  50|[0x80009198]<br>0x0000000000000000|- rs2_val == 274877906944<br>                                                                                                                                                                |[0x8000080c]:mulw<br> [0x80000810]:sd<br> |
|  51|[0x800091a0]<br>0x0000000000000000|- rs2_val == 549755813888<br> - rs1_val == 2<br>                                                                                                                                             |[0x80000820]:mulw<br> [0x80000824]:sd<br> |
|  52|[0x800091a8]<br>0x0000000000000000|- rs1_val == -4503599627370497<br> - rs2_val == 1099511627776<br>                                                                                                                            |[0x8000083c]:mulw<br> [0x80000840]:sd<br> |
|  53|[0x800091b0]<br>0x0000000000000000|- rs1_val == -18014398509481985<br> - rs2_val == 2199023255552<br>                                                                                                                           |[0x80000858]:mulw<br> [0x8000085c]:sd<br> |
|  54|[0x800091b8]<br>0x0000000000000000|- rs2_val == 4398046511104<br>                                                                                                                                                               |[0x8000086c]:mulw<br> [0x80000870]:sd<br> |
|  55|[0x800091c0]<br>0x0000000000000000|- rs2_val == 8796093022208<br> - rs1_val == 1048576<br>                                                                                                                                      |[0x80000880]:mulw<br> [0x80000884]:sd<br> |
|  56|[0x800091c8]<br>0x0000000000000000|- rs2_val == 17592186044416<br>                                                                                                                                                              |[0x80000894]:mulw<br> [0x80000898]:sd<br> |
|  57|[0x800091d0]<br>0x0000000000000000|- rs2_val == 35184372088832<br> - rs1_val == 8<br>                                                                                                                                           |[0x800008a8]:mulw<br> [0x800008ac]:sd<br> |
|  58|[0x800091d8]<br>0x0000000000000000|- rs2_val == 70368744177664<br>                                                                                                                                                              |[0x800008c0]:mulw<br> [0x800008c4]:sd<br> |
|  59|[0x800091e0]<br>0x0000000000000000|- rs1_val == -65537<br> - rs2_val == 140737488355328<br>                                                                                                                                     |[0x800008d8]:mulw<br> [0x800008dc]:sd<br> |
|  60|[0x800091e8]<br>0x0000000000000000|- rs2_val == 281474976710656<br> - rs1_val == 144115188075855872<br>                                                                                                                         |[0x800008f0]:mulw<br> [0x800008f4]:sd<br> |
|  61|[0x800091f0]<br>0x0000000000000000|- rs2_val == 562949953421312<br>                                                                                                                                                             |[0x80000920]:mulw<br> [0x80000924]:sd<br> |
|  62|[0x800091f8]<br>0x0000000000000000|- rs2_val == 1125899906842624<br>                                                                                                                                                            |[0x80000934]:mulw<br> [0x80000938]:sd<br> |
|  63|[0x80009200]<br>0x0000000000000000|- rs2_val == 2251799813685248<br>                                                                                                                                                            |[0x8000094c]:mulw<br> [0x80000950]:sd<br> |
|  64|[0x80009208]<br>0x0000000000000000|- rs2_val == 4503599627370496<br> - rs1_val == 33554432<br>                                                                                                                                  |[0x80000960]:mulw<br> [0x80000964]:sd<br> |
|  65|[0x80009210]<br>0x0000000000000000|- rs2_val == 9007199254740992<br>                                                                                                                                                            |[0x80000978]:mulw<br> [0x8000097c]:sd<br> |
|  66|[0x80009218]<br>0x0000000000000000|- rs2_val == 18014398509481984<br> - rs1_val == 8589934592<br>                                                                                                                               |[0x80000990]:mulw<br> [0x80000994]:sd<br> |
|  67|[0x80009220]<br>0x0000000000000000|- rs2_val == 36028797018963968<br>                                                                                                                                                           |[0x800009a8]:mulw<br> [0x800009ac]:sd<br> |
|  68|[0x80009228]<br>0x0000000000000000|- rs2_val == 72057594037927936<br>                                                                                                                                                           |[0x800009c0]:mulw<br> [0x800009c4]:sd<br> |
|  69|[0x80009230]<br>0x0000000000000000|- rs1_val == -524289<br> - rs2_val == 144115188075855872<br>                                                                                                                                 |[0x800009d8]:mulw<br> [0x800009dc]:sd<br> |
|  70|[0x80009238]<br>0x0000000000000000|- rs2_val == 288230376151711744<br>                                                                                                                                                          |[0x800009f0]:mulw<br> [0x800009f4]:sd<br> |
|  71|[0x80009240]<br>0x0000000000000000|- rs2_val == 576460752303423488<br>                                                                                                                                                          |[0x80000a0c]:mulw<br> [0x80000a10]:sd<br> |
|  72|[0x80009248]<br>0x0000000000000000|- rs2_val == 1152921504606846976<br>                                                                                                                                                         |[0x80000a28]:mulw<br> [0x80000a2c]:sd<br> |
|  73|[0x80009250]<br>0x0000000000000000|- rs2_val == 2305843009213693952<br>                                                                                                                                                         |[0x80000a3c]:mulw<br> [0x80000a40]:sd<br> |
|  74|[0x80009258]<br>0x0000000000000000|- rs2_val == 4611686018427387904<br> - rs1_val == 65536<br>                                                                                                                                  |[0x80000a50]:mulw<br> [0x80000a54]:sd<br> |
|  75|[0x80009260]<br>0xffffffffffe00000|- rs2_val == -2<br>                                                                                                                                                                          |[0x80000a60]:mulw<br> [0x80000a64]:sd<br> |
|  76|[0x80009268]<br>0x0000000000000003|- rs2_val == -3<br>                                                                                                                                                                          |[0x80000a78]:mulw<br> [0x80000a7c]:sd<br> |
|  77|[0x80009270]<br>0x000000000000002d|- rs2_val == -5<br> - rs1_val == -9<br>                                                                                                                                                      |[0x80000a88]:mulw<br> [0x80000a8c]:sd<br> |
|  78|[0x80009278]<br>0xffffffffffffff70|- rs2_val == -9<br>                                                                                                                                                                          |[0x80000a98]:mulw<br> [0x80000a9c]:sd<br> |
|  79|[0x80009280]<br>0x0000000000000099|- rs2_val == -17<br>                                                                                                                                                                         |[0x80000aa8]:mulw<br> [0x80000aac]:sd<br> |
|  80|[0x80009288]<br>0x0000000000021021|- rs2_val == -33<br> - rs1_val == -4097<br>                                                                                                                                                  |[0x80000abc]:mulw<br> [0x80000ac0]:sd<br> |
|  81|[0x80009290]<br>0xfffffffffffffdfc|- rs2_val == -129<br>                                                                                                                                                                        |[0x80000acc]:mulw<br> [0x80000ad0]:sd<br> |
|  82|[0x80009298]<br>0xffffffffffbfc000|- rs2_val == -257<br> - rs1_val == 16384<br>                                                                                                                                                 |[0x80000adc]:mulw<br> [0x80000ae0]:sd<br> |
|  83|[0x800092a0]<br>0x0000000000000000|- rs2_val == -513<br> - rs1_val == 549755813888<br>                                                                                                                                          |[0x80000af0]:mulw<br> [0x80000af4]:sd<br> |
|  84|[0x800092a8]<br>0x0000000000000000|- rs2_val == -1025<br>                                                                                                                                                                       |[0x80000b04]:mulw<br> [0x80000b08]:sd<br> |
|  85|[0x800092b0]<br>0xffffffffffffe7fd|- rs2_val == -2049<br>                                                                                                                                                                       |[0x80000b18]:mulw<br> [0x80000b1c]:sd<br> |
|  86|[0x800092b8]<br>0x0000000000000000|- rs2_val == -4097<br> - rs1_val == 2199023255552<br>                                                                                                                                        |[0x80000b30]:mulw<br> [0x80000b34]:sd<br> |
|  87|[0x800092c0]<br>0xffffffffdfff8000|- rs2_val == -16385<br> - rs1_val == 32768<br>                                                                                                                                               |[0x80000b44]:mulw<br> [0x80000b48]:sd<br> |
|  88|[0x800092c8]<br>0x0000000000000000|- rs2_val == -32769<br>                                                                                                                                                                      |[0x80000b5c]:mulw<br> [0x80000b60]:sd<br> |
|  89|[0x800092d0]<br>0x0000000000010001|- rs2_val == -65537<br>                                                                                                                                                                      |[0x80000b78]:mulw<br> [0x80000b7c]:sd<br> |
|  90|[0x800092d8]<br>0xffffffffcccb9999|- rs2_val == -131073<br>                                                                                                                                                                     |[0x80000ba8]:mulw<br> [0x80000bac]:sd<br> |
|  91|[0x800092e0]<br>0x0000000000040001|- rs2_val == -262145<br>                                                                                                                                                                     |[0x80000bc4]:mulw<br> [0x80000bc8]:sd<br> |
|  92|[0x800092e8]<br>0x0000000004080001|- rs2_val == -524289<br> - rs1_val == -67108865<br>                                                                                                                                          |[0x80000bdc]:mulw<br> [0x80000be0]:sd<br> |
|  93|[0x800092f0]<br>0xfffffffffdffffe0|- rs2_val == -1048577<br> - rs1_val == 32<br>                                                                                                                                                |[0x80000bf0]:mulw<br> [0x80000bf4]:sd<br> |
|  94|[0x800092f8]<br>0xffffffffaad55556|- rs2_val == -4194305<br>                                                                                                                                                                    |[0x80000c20]:mulw<br> [0x80000c24]:sd<br> |
|  95|[0x80009300]<br>0x0000000033ccccce|- rs2_val == -8388609<br>                                                                                                                                                                    |[0x80000c50]:mulw<br> [0x80000c54]:sd<br> |
|  96|[0x80009308]<br>0xffffffffe0000000|- rs2_val == -16777217<br> - rs1_val == 536870912<br>                                                                                                                                        |[0x80000c64]:mulw<br> [0x80000c68]:sd<br> |
|  97|[0x80009310]<br>0x0000000002800001|- rs2_val == -33554433<br> - rs1_val == -8388609<br>                                                                                                                                         |[0x80000c7c]:mulw<br> [0x80000c80]:sd<br> |
|  98|[0x80009318]<br>0xfffffffff7fffffe|- rs2_val == -67108865<br>                                                                                                                                                                   |[0x80000c90]:mulw<br> [0x80000c94]:sd<br> |
|  99|[0x80009320]<br>0x0000000048000001|- rs2_val == -134217729<br> - rs1_val == -1073741825<br>                                                                                                                                     |[0x80000ca8]:mulw<br> [0x80000cac]:sd<br> |
| 100|[0x80009328]<br>0x0000000010000801|- rs2_val == -268435457<br> - rs1_val == -2049<br>                                                                                                                                           |[0x80000cc0]:mulw<br> [0x80000cc4]:sd<br> |
| 101|[0x80009330]<br>0xffffffffe0000007|- rs2_val == -536870913<br>                                                                                                                                                                  |[0x80000cd4]:mulw<br> [0x80000cd8]:sd<br> |
| 102|[0x80009338]<br>0x0000000040000001|- rs2_val == -1073741825<br> - rs1_val == -137438953473<br>                                                                                                                                  |[0x80000cf0]:mulw<br> [0x80000cf4]:sd<br> |
| 103|[0x80009340]<br>0xffffffffaaaaaaaa|- rs2_val == -4294967297<br>                                                                                                                                                                 |[0x80000d24]:mulw<br> [0x80000d28]:sd<br> |
| 104|[0x80009348]<br>0x0000000000000001|- rs2_val == -8589934593<br> - rs1_val == -140737488355329<br>                                                                                                                               |[0x80000d44]:mulw<br> [0x80000d48]:sd<br> |
| 105|[0x80009350]<br>0x0000000000800001|- rs2_val == -17179869185<br>                                                                                                                                                                |[0x80000d60]:mulw<br> [0x80000d64]:sd<br> |
| 106|[0x80009358]<br>0x0000000055555556|- rs2_val == -34359738369<br>                                                                                                                                                                |[0x80000d94]:mulw<br> [0x80000d98]:sd<br> |
| 107|[0x80009360]<br>0x0000000000000001|- rs2_val == -68719476737<br> - rs1_val == -1099511627777<br>                                                                                                                                |[0x80000db4]:mulw<br> [0x80000db8]:sd<br> |
| 108|[0x80009368]<br>0x0000000000000001|- rs2_val == -137438953473<br>                                                                                                                                                               |[0x80000dd4]:mulw<br> [0x80000dd8]:sd<br> |
| 109|[0x80009370]<br>0x0000000002000001|- rs2_val == -274877906945<br> - rs1_val == -33554433<br>                                                                                                                                    |[0x80000df0]:mulw<br> [0x80000df4]:sd<br> |
| 110|[0x80009378]<br>0x0000000000000000|- rs2_val == -549755813889<br> - rs1_val == 4294967296<br>                                                                                                                                   |[0x80000e0c]:mulw<br> [0x80000e10]:sd<br> |
| 111|[0x80009380]<br>0xffffffffaaaaaaaa|- rs2_val == -1099511627777<br>                                                                                                                                                              |[0x80000e40]:mulw<br> [0x80000e44]:sd<br> |
| 112|[0x80009388]<br>0x0000000000000001|- rs2_val == -2199023255553<br> - rs1_val == -70368744177665<br>                                                                                                                             |[0x80000e60]:mulw<br> [0x80000e64]:sd<br> |
| 113|[0x80009390]<br>0xffffffffaaaaaaaa|- rs2_val == -4398046511105<br>                                                                                                                                                              |[0x80000e94]:mulw<br> [0x80000e98]:sd<br> |
| 114|[0x80009398]<br>0x0000000000008001|- rs2_val == -8796093022209<br>                                                                                                                                                              |[0x80000eb0]:mulw<br> [0x80000eb4]:sd<br> |
| 115|[0x800093a0]<br>0x0000000000004001|- rs2_val == -17592186044417<br> - rs1_val == -16385<br>                                                                                                                                     |[0x80000ecc]:mulw<br> [0x80000ed0]:sd<br> |
| 116|[0x800093a8]<br>0x0000000000000001|- rs2_val == -35184372088833<br>                                                                                                                                                             |[0x80000eec]:mulw<br> [0x80000ef0]:sd<br> |
| 117|[0x800093b0]<br>0xffffffff9999999b|- rs2_val == -70368744177665<br>                                                                                                                                                             |[0x80000f20]:mulw<br> [0x80000f24]:sd<br> |
| 118|[0x800093b8]<br>0x0000000000000000|- rs2_val == -140737488355329<br>                                                                                                                                                            |[0x80000f3c]:mulw<br> [0x80000f40]:sd<br> |
| 119|[0x800093c0]<br>0xffffffffccccccce|- rs2_val == -281474976710657<br>                                                                                                                                                            |[0x80000f70]:mulw<br> [0x80000f74]:sd<br> |
| 120|[0x800093c8]<br>0xffffffffff800000|- rs2_val == -562949953421313<br> - rs1_val == 8388608<br>                                                                                                                                   |[0x80000f88]:mulw<br> [0x80000f8c]:sd<br> |
| 121|[0x800093d0]<br>0xfffffffffffffff9|- rs2_val == -1125899906842625<br>                                                                                                                                                           |[0x80000fa0]:mulw<br> [0x80000fa4]:sd<br> |
| 122|[0x800093d8]<br>0xffffffffffff8000|- rs2_val == -2251799813685249<br>                                                                                                                                                           |[0x80000fb8]:mulw<br> [0x80000fbc]:sd<br> |
| 123|[0x800093e0]<br>0x0000000000000009|- rs2_val == -4503599627370497<br>                                                                                                                                                           |[0x80000fd0]:mulw<br> [0x80000fd4]:sd<br> |
| 124|[0x800093e8]<br>0x0000000004000001|- rs2_val == -9007199254740993<br>                                                                                                                                                           |[0x80000fec]:mulw<br> [0x80000ff0]:sd<br> |
| 125|[0x800093f0]<br>0x0000000000000001|- rs2_val == -18014398509481985<br> - rs1_val == -2199023255553<br>                                                                                                                          |[0x8000100c]:mulw<br> [0x80001010]:sd<br> |
| 126|[0x800093f8]<br>0x0000000000000000|- rs2_val == -36028797018963969<br> - rs1_val == 2251799813685248<br>                                                                                                                        |[0x80001028]:mulw<br> [0x8000102c]:sd<br> |
| 127|[0x80009400]<br>0x0000000000000001|- rs2_val == -144115188075855873<br>                                                                                                                                                         |[0x80001040]:mulw<br> [0x80001044]:sd<br> |
| 128|[0x80009408]<br>0xffffffffffe00000|- rs2_val == -288230376151711745<br>                                                                                                                                                         |[0x80001058]:mulw<br> [0x8000105c]:sd<br> |
| 129|[0x80009410]<br>0x0000000000000001|- rs2_val == -576460752303423489<br> - rs1_val == -288230376151711745<br>                                                                                                                    |[0x80001078]:mulw<br> [0x8000107c]:sd<br> |
| 130|[0x80009418]<br>0xfffffffffffffc00|- rs2_val == -1152921504606846977<br> - rs1_val == 1024<br>                                                                                                                                  |[0x80001090]:mulw<br> [0x80001094]:sd<br> |
| 131|[0x80009420]<br>0x0000000010000001|- rs2_val == -2305843009213693953<br> - rs1_val == -268435457<br>                                                                                                                            |[0x800010ac]:mulw<br> [0x800010b0]:sd<br> |
| 132|[0x80009428]<br>0x0000000000000000|- rs2_val == -4611686018427387905<br> - rs1_val == 4398046511104<br>                                                                                                                         |[0x800010c8]:mulw<br> [0x800010cc]:sd<br> |
| 133|[0x80009430]<br>0x00000000000aaaab|- rs1_val == -2097153<br> - rs2_val == 6148914691236517205<br>                                                                                                                               |[0x800010f8]:mulw<br> [0x800010fc]:sd<br> |
| 134|[0x80009438]<br>0x0000000000555556|- rs2_val == -6148914691236517206<br>                                                                                                                                                        |[0x80001128]:mulw<br> [0x8000112c]:sd<br> |
| 135|[0x80009440]<br>0x0000000000001000|- rs1_val == 256<br>                                                                                                                                                                         |[0x80001138]:mulw<br> [0x8000113c]:sd<br> |
| 136|[0x80009448]<br>0x0000000000000000|- rs1_val == 4096<br>                                                                                                                                                                        |[0x8000114c]:mulw<br> [0x80001150]:sd<br> |
| 137|[0x80009450]<br>0x0000000000000000|- rs1_val == 8192<br>                                                                                                                                                                        |[0x8000115c]:mulw<br> [0x80001160]:sd<br> |
| 138|[0x80009458]<br>0xfffffffffffe0000|- rs1_val == 131072<br>                                                                                                                                                                      |[0x80001170]:mulw<br> [0x80001174]:sd<br> |
| 139|[0x80009460]<br>0xffffffffffc00000|- rs1_val == 4194304<br>                                                                                                                                                                     |[0x80001184]:mulw<br> [0x80001188]:sd<br> |
| 140|[0x80009468]<br>0x0000000000000000|- rs1_val == 16777216<br>                                                                                                                                                                    |[0x80001198]:mulw<br> [0x8000119c]:sd<br> |
| 141|[0x80009470]<br>0x0000000000000000|- rs1_val == 268435456<br>                                                                                                                                                                   |[0x800011ac]:mulw<br> [0x800011b0]:sd<br> |
| 142|[0x80009478]<br>0xffffffffc0000000|- rs1_val == 1073741824<br>                                                                                                                                                                  |[0x800011c0]:mulw<br> [0x800011c4]:sd<br> |
| 143|[0x80009480]<br>0x0000000000000000|- rs1_val == 2147483648<br>                                                                                                                                                                  |[0x800011d8]:mulw<br> [0x800011dc]:sd<br> |
| 144|[0x80009488]<br>0x0000000000000000|- rs1_val == 17179869184<br>                                                                                                                                                                 |[0x800011f4]:mulw<br> [0x800011f8]:sd<br> |
| 145|[0x80009490]<br>0x0000000000000000|- rs1_val == 34359738368<br>                                                                                                                                                                 |[0x8000120c]:mulw<br> [0x80001210]:sd<br> |
| 146|[0x80009498]<br>0x0000000000000000|- rs1_val == 137438953472<br>                                                                                                                                                                |[0x80001220]:mulw<br> [0x80001224]:sd<br> |
| 147|[0x800094a0]<br>0x0000000000000000|- rs1_val == 274877906944<br>                                                                                                                                                                |[0x80001238]:mulw<br> [0x8000123c]:sd<br> |
| 148|[0x800094a8]<br>0x0000000000000000|- rs2_val == -8193<br> - rs1_val == 8796093022208<br>                                                                                                                                        |[0x80001250]:mulw<br> [0x80001254]:sd<br> |
| 149|[0x800094b0]<br>0x0000000000000000|- rs1_val == 35184372088832<br>                                                                                                                                                              |[0x80001268]:mulw<br> [0x8000126c]:sd<br> |
| 150|[0x800094b8]<br>0x0000000000000000|- rs1_val == 140737488355328<br>                                                                                                                                                             |[0x8000127c]:mulw<br> [0x80001280]:sd<br> |
| 151|[0x800094c0]<br>0x0000000000000000|- rs1_val == 562949953421312<br>                                                                                                                                                             |[0x80001294]:mulw<br> [0x80001298]:sd<br> |
| 152|[0x800094c8]<br>0x0000000000000000|- rs1_val == 1125899906842624<br>                                                                                                                                                            |[0x800012b0]:mulw<br> [0x800012b4]:sd<br> |
| 153|[0x800094d0]<br>0x0000000000000000|- rs1_val == 4503599627370496<br>                                                                                                                                                            |[0x800012c8]:mulw<br> [0x800012cc]:sd<br> |
| 154|[0x800094d8]<br>0x0000000000000000|- rs1_val == 9007199254740992<br>                                                                                                                                                            |[0x800012dc]:mulw<br> [0x800012e0]:sd<br> |
| 155|[0x800094e0]<br>0x0000000000000000|- rs1_val == 18014398509481984<br>                                                                                                                                                           |[0x800012f8]:mulw<br> [0x800012fc]:sd<br> |
| 156|[0x800094e8]<br>0x0000000000000000|- rs1_val == 36028797018963968<br>                                                                                                                                                           |[0x80001310]:mulw<br> [0x80001314]:sd<br> |
| 157|[0x800094f0]<br>0x0000000000000000|- rs1_val == 288230376151711744<br>                                                                                                                                                          |[0x80001328]:mulw<br> [0x8000132c]:sd<br> |
| 158|[0x800094f8]<br>0x0000000000000000|- rs1_val == 576460752303423488<br>                                                                                                                                                          |[0x80001344]:mulw<br> [0x80001348]:sd<br> |
| 159|[0x80009500]<br>0x0000000000000000|- rs1_val == 1152921504606846976<br>                                                                                                                                                         |[0x80001358]:mulw<br> [0x8000135c]:sd<br> |
| 160|[0x80009508]<br>0x0000000000000000|- rs1_val == 2305843009213693952<br>                                                                                                                                                         |[0x80001388]:mulw<br> [0x8000138c]:sd<br> |
| 161|[0x80009510]<br>0xfffffffffffffff4|- rs1_val == -3<br>                                                                                                                                                                          |[0x80001398]:mulw<br> [0x8000139c]:sd<br> |
| 162|[0x80009518]<br>0xffffffffaaaaaaa9|- rs1_val == -5<br>                                                                                                                                                                          |[0x800013c4]:mulw<br> [0x800013c8]:sd<br> |
| 163|[0x80009520]<br>0x0000000000022011|- rs1_val == -17<br>                                                                                                                                                                         |[0x800013d8]:mulw<br> [0x800013dc]:sd<br> |
| 164|[0x80009528]<br>0xffffffffffdf0000|- rs1_val == -33<br>                                                                                                                                                                         |[0x800013e8]:mulw<br> [0x800013ec]:sd<br> |
| 165|[0x80009530]<br>0x0000000020000101|- rs1_val == -257<br>                                                                                                                                                                        |[0x800013fc]:mulw<br> [0x80001400]:sd<br> |
| 166|[0x80009538]<br>0xffffffffffeff800|- rs1_val == -513<br>                                                                                                                                                                        |[0x80001410]:mulw<br> [0x80001414]:sd<br> |
| 167|[0x80009540]<br>0x00000000555552aa|- rs1_val == -1025<br>                                                                                                                                                                       |[0x8000143c]:mulw<br> [0x80001440]:sd<br> |
| 168|[0x80009548]<br>0xfffffffffdffff00|- rs1_val == -131073<br>                                                                                                                                                                     |[0x80001450]:mulw<br> [0x80001454]:sd<br> |
| 169|[0x80009550]<br>0x0000000000000000|- rs1_val == -262145<br>                                                                                                                                                                     |[0x80001464]:mulw<br> [0x80001468]:sd<br> |
| 170|[0x80009558]<br>0x0000000000100001|- rs1_val == -1048577<br>                                                                                                                                                                    |[0x80001480]:mulw<br> [0x80001484]:sd<br> |
| 171|[0x80009560]<br>0x0000000000400001|- rs1_val == -4194305<br>                                                                                                                                                                    |[0x8000149c]:mulw<br> [0x800014a0]:sd<br> |
| 172|[0x80009568]<br>0xffffffffff000000|- rs1_val == -16777217<br>                                                                                                                                                                   |[0x800014b0]:mulw<br> [0x800014b4]:sd<br> |
| 173|[0x80009570]<br>0xffffffffb9999999|- rs1_val == -536870913<br>                                                                                                                                                                  |[0x800014e0]:mulw<br> [0x800014e4]:sd<br> |
| 174|[0x80009578]<br>0xfffffffffc000000|- rs1_val == -2147483649<br>                                                                                                                                                                 |[0x800014f8]:mulw<br> [0x800014fc]:sd<br> |
| 175|[0x80009580]<br>0x0000000000000000|- rs1_val == -4294967297<br>                                                                                                                                                                 |[0x80001514]:mulw<br> [0x80001518]:sd<br> |
| 176|[0x80009588]<br>0x0000000000010001|- rs1_val == -17179869185<br>                                                                                                                                                                |[0x80001530]:mulw<br> [0x80001534]:sd<br> |
| 177|[0x80009590]<br>0x0000000000000001|- rs1_val == -34359738369<br>                                                                                                                                                                |[0x80001550]:mulw<br> [0x80001554]:sd<br> |
| 178|[0x80009598]<br>0x0000000000020001|- rs1_val == -17592186044417<br>                                                                                                                                                             |[0x8000156c]:mulw<br> [0x80001570]:sd<br> |
| 179|[0x800095a0]<br>0x0000000000000000|- rs1_val == -35184372088833<br>                                                                                                                                                             |[0x80001584]:mulw<br> [0x80001588]:sd<br> |
| 180|[0x800095a8]<br>0x0000000040000001|- rs1_val == -281474976710657<br>                                                                                                                                                            |[0x800015a0]:mulw<br> [0x800015a4]:sd<br> |
| 181|[0x800095b0]<br>0x0000000000000000|- rs1_val == -1125899906842625<br>                                                                                                                                                           |[0x800015bc]:mulw<br> [0x800015c0]:sd<br> |
| 182|[0x800095b8]<br>0x000000004afb0ccd|- rs1_val == -2251799813685249<br>                                                                                                                                                           |[0x800015e0]:mulw<br> [0x800015e4]:sd<br> |
| 183|[0x800095c0]<br>0x0000000000000000|- rs1_val == -9007199254740993<br>                                                                                                                                                           |[0x800015fc]:mulw<br> [0x80001600]:sd<br> |
| 184|[0x800095c8]<br>0xffffffffb504f332|- rs1_val == -36028797018963969<br>                                                                                                                                                          |[0x80001620]:mulw<br> [0x80001624]:sd<br> |
| 185|[0x800095d0]<br>0x0000000000000001|- rs1_val == -144115188075855873<br>                                                                                                                                                         |[0x80001640]:mulw<br> [0x80001644]:sd<br> |
| 186|[0x800095d8]<br>0x0000000000000001|- rs1_val == -576460752303423489<br>                                                                                                                                                         |[0x80001660]:mulw<br> [0x80001664]:sd<br> |
| 187|[0x800095e0]<br>0x0000000000000000|- rs1_val == -2305843009213693953<br>                                                                                                                                                        |[0x8000167c]:mulw<br> [0x80001680]:sd<br> |
| 188|[0x800095e8]<br>0x0000000000000801|- rs1_val == -4611686018427387905<br>                                                                                                                                                        |[0x80001698]:mulw<br> [0x8000169c]:sd<br> |
| 189|[0x800095f0]<br>0xffffffffaaaaaaac|- rs1_val == 6148914691236517205<br>                                                                                                                                                         |[0x800016c4]:mulw<br> [0x800016c8]:sd<br> |
| 190|[0x800095f8]<br>0x0000000000000009|- rs1_val==3 and rs2_val==3<br>                                                                                                                                                              |[0x800016d4]:mulw<br> [0x800016d8]:sd<br> |
| 191|[0x80009600]<br>0xffffffffffffffff|- rs1_val==3 and rs2_val==6148914691236517205<br>                                                                                                                                            |[0x80001700]:mulw<br> [0x80001704]:sd<br> |
| 192|[0x80009608]<br>0xfffffffffffffffe|- rs1_val==3 and rs2_val==-6148914691236517206<br>                                                                                                                                           |[0x8000172c]:mulw<br> [0x80001730]:sd<br> |
| 193|[0x80009610]<br>0x000000000000000f|- rs1_val==3 and rs2_val==5<br>                                                                                                                                                              |[0x8000173c]:mulw<br> [0x80001740]:sd<br> |
| 194|[0x80009618]<br>0xffffffff99999999|- rs1_val==3 and rs2_val==3689348814741910323<br>                                                                                                                                            |[0x80001768]:mulw<br> [0x8000176c]:sd<br> |
| 195|[0x80009620]<br>0x0000000033333332|- rs1_val==3 and rs2_val==7378697629483820646<br>                                                                                                                                            |[0x80001794]:mulw<br> [0x80001798]:sd<br> |
| 196|[0x80009628]<br>0xffffffffe0f12667|- rs1_val==3 and rs2_val==-3037000499<br>                                                                                                                                                    |[0x800017b0]:mulw<br> [0x800017b4]:sd<br> |
| 197|[0x80009630]<br>0x000000001f0ed999|- rs1_val==3 and rs2_val==3037000499<br>                                                                                                                                                     |[0x800017cc]:mulw<br> [0x800017d0]:sd<br> |
| 198|[0x80009638]<br>0x0000000000000006|- rs1_val==3 and rs2_val==2<br>                                                                                                                                                              |[0x800017dc]:mulw<br> [0x800017e0]:sd<br> |
| 199|[0x80009640]<br>0xfffffffffffffffc|- rs1_val==3 and rs2_val==6148914691236517204<br>                                                                                                                                            |[0x80001808]:mulw<br> [0x8000180c]:sd<br> |
| 200|[0x80009648]<br>0x0000000000000000|- rs1_val==3 and rs2_val==0<br>                                                                                                                                                              |[0x80001818]:mulw<br> [0x8000181c]:sd<br> |
| 201|[0x80009650]<br>0x000000000000000c|- rs1_val==3 and rs2_val==4<br>                                                                                                                                                              |[0x80001828]:mulw<br> [0x8000182c]:sd<br> |
| 202|[0x80009658]<br>0xffffffff99999996|- rs1_val==3 and rs2_val==3689348814741910322<br>                                                                                                                                            |[0x80001854]:mulw<br> [0x80001858]:sd<br> |
| 203|[0x80009660]<br>0x000000003333332f|- rs1_val==3 and rs2_val==7378697629483820645<br>                                                                                                                                            |[0x80001880]:mulw<br> [0x80001884]:sd<br> |
| 204|[0x80009668]<br>0x000000001f0ed996|- rs1_val==3 and rs2_val==3037000498<br>                                                                                                                                                     |[0x8000189c]:mulw<br> [0x800018a0]:sd<br> |
| 205|[0x80009670]<br>0x0000000000000002|- rs1_val==3 and rs2_val==6148914691236517206<br>                                                                                                                                            |[0x800018c8]:mulw<br> [0x800018cc]:sd<br> |
| 206|[0x80009678]<br>0x0000000000000001|- rs1_val==3 and rs2_val==-6148914691236517205<br>                                                                                                                                           |[0x800018f4]:mulw<br> [0x800018f8]:sd<br> |
| 207|[0x80009680]<br>0x0000000000000012|- rs1_val==3 and rs2_val==6<br>                                                                                                                                                              |[0x80001904]:mulw<br> [0x80001908]:sd<br> |
| 208|[0x80009688]<br>0xffffffff9999999c|- rs1_val==3 and rs2_val==3689348814741910324<br>                                                                                                                                            |[0x80001930]:mulw<br> [0x80001934]:sd<br> |
| 209|[0x80009690]<br>0x0000000033333335|- rs1_val==3 and rs2_val==7378697629483820647<br>                                                                                                                                            |[0x8000195c]:mulw<br> [0x80001960]:sd<br> |
| 210|[0x80009698]<br>0xffffffffe0f1266a|- rs1_val==3 and rs2_val==-3037000498<br>                                                                                                                                                    |[0x80001978]:mulw<br> [0x8000197c]:sd<br> |
| 211|[0x800096a0]<br>0x000000001f0ed99c|- rs1_val==3 and rs2_val==3037000500<br>                                                                                                                                                     |[0x80001994]:mulw<br> [0x80001998]:sd<br> |
| 212|[0x800096a8]<br>0xffffffffffffffff|- rs1_val==6148914691236517205 and rs2_val==3<br>                                                                                                                                            |[0x800019c0]:mulw<br> [0x800019c4]:sd<br> |
| 213|[0x800096b0]<br>0x0000000038e38e39|- rs1_val==6148914691236517205 and rs2_val==6148914691236517205<br>                                                                                                                          |[0x80001a08]:mulw<br> [0x80001a0c]:sd<br> |
| 214|[0x800096b8]<br>0x0000000071c71c72|- rs1_val==6148914691236517205 and rs2_val==-6148914691236517206<br>                                                                                                                         |[0x80001a50]:mulw<br> [0x80001a54]:sd<br> |
| 215|[0x800096c0]<br>0xffffffffaaaaaaa9|- rs1_val==6148914691236517205 and rs2_val==5<br>                                                                                                                                            |[0x80001a7c]:mulw<br> [0x80001a80]:sd<br> |
| 216|[0x800096c8]<br>0xffffffffeeeeeeef|- rs1_val==6148914691236517205 and rs2_val==3689348814741910323<br>                                                                                                                          |[0x80001ac4]:mulw<br> [0x80001ac8]:sd<br> |
| 217|[0x800096d0]<br>0xffffffffddddddde|- rs1_val==6148914691236517205 and rs2_val==7378697629483820646<br>                                                                                                                          |[0x80001b0c]:mulw<br> [0x80001b10]:sd<br> |
| 218|[0x800096d8]<br>0xffffffff91ac5111|- rs1_val==6148914691236517205 and rs2_val==-3037000499<br>                                                                                                                                  |[0x80001b44]:mulw<br> [0x80001b48]:sd<br> |
| 219|[0x800096e0]<br>0x000000006e53aeef|- rs1_val==6148914691236517205 and rs2_val==3037000499<br>                                                                                                                                   |[0x80001b7c]:mulw<br> [0x80001b80]:sd<br> |
| 220|[0x800096e8]<br>0xffffffffaaaaaaaa|- rs1_val==6148914691236517205 and rs2_val==2<br>                                                                                                                                            |[0x80001ba8]:mulw<br> [0x80001bac]:sd<br> |
| 221|[0x800096f0]<br>0xffffffffe38e38e4|- rs1_val==6148914691236517205 and rs2_val==6148914691236517204<br>                                                                                                                          |[0x80001bf0]:mulw<br> [0x80001bf4]:sd<br> |
| 222|[0x800096f8]<br>0x0000000000000000|- rs1_val==6148914691236517205 and rs2_val==0<br>                                                                                                                                            |[0x80001c1c]:mulw<br> [0x80001c20]:sd<br> |
| 223|[0x80009700]<br>0x0000000055555554|- rs1_val==6148914691236517205 and rs2_val==4<br>                                                                                                                                            |[0x80001c48]:mulw<br> [0x80001c4c]:sd<br> |
| 224|[0x80009708]<br>0xffffffff9999999a|- rs1_val==6148914691236517205 and rs2_val==3689348814741910322<br>                                                                                                                          |[0x80001c90]:mulw<br> [0x80001c94]:sd<br> |
| 225|[0x80009710]<br>0xffffffff88888889|- rs1_val==6148914691236517205 and rs2_val==7378697629483820645<br>                                                                                                                          |[0x80001cd8]:mulw<br> [0x80001cdc]:sd<br> |
| 226|[0x80009718]<br>0x0000000018fe599a|- rs1_val==6148914691236517205 and rs2_val==3037000498<br>                                                                                                                                   |[0x80001d10]:mulw<br> [0x80001d14]:sd<br> |
| 227|[0x80009720]<br>0xffffffff8e38e38e|- rs1_val==6148914691236517205 and rs2_val==6148914691236517206<br>                                                                                                                          |[0x80001d58]:mulw<br> [0x80001d5c]:sd<br> |
| 228|[0x80009728]<br>0xffffffffc71c71c7|- rs1_val==6148914691236517205 and rs2_val==-6148914691236517205<br>                                                                                                                         |[0x80001da0]:mulw<br> [0x80001da4]:sd<br> |
| 229|[0x80009730]<br>0xfffffffffffffffe|- rs1_val==6148914691236517205 and rs2_val==6<br>                                                                                                                                            |[0x80001dcc]:mulw<br> [0x80001dd0]:sd<br> |
| 230|[0x80009738]<br>0x0000000044444444|- rs1_val==6148914691236517205 and rs2_val==3689348814741910324<br>                                                                                                                          |[0x80001e14]:mulw<br> [0x80001e18]:sd<br> |
| 231|[0x80009740]<br>0x0000000033333333|- rs1_val==6148914691236517205 and rs2_val==7378697629483820647<br>                                                                                                                          |[0x80001e5c]:mulw<br> [0x80001e60]:sd<br> |
| 232|[0x80009748]<br>0xffffffffe701a666|- rs1_val==6148914691236517205 and rs2_val==-3037000498<br>                                                                                                                                  |[0x80001e94]:mulw<br> [0x80001e98]:sd<br> |
| 233|[0x80009750]<br>0xffffffffc3a90444|- rs1_val==6148914691236517205 and rs2_val==3037000500<br>                                                                                                                                   |[0x80001ecc]:mulw<br> [0x80001ed0]:sd<br> |
| 234|[0x80009758]<br>0xfffffffffffffffe|- rs1_val==-6148914691236517206 and rs2_val==3<br>                                                                                                                                           |[0x80001ef8]:mulw<br> [0x80001efc]:sd<br> |
| 235|[0x80009760]<br>0x0000000071c71c72|- rs1_val==-6148914691236517206 and rs2_val==6148914691236517205<br>                                                                                                                         |[0x80001f40]:mulw<br> [0x80001f44]:sd<br> |
| 236|[0x80009768]<br>0xffffffffe38e38e4|- rs1_val==-6148914691236517206 and rs2_val==-6148914691236517206<br>                                                                                                                        |[0x80001f88]:mulw<br> [0x80001f8c]:sd<br> |
| 237|[0x80009770]<br>0x0000000055555552|- rs1_val==-6148914691236517206 and rs2_val==5<br>                                                                                                                                           |[0x80001fb4]:mulw<br> [0x80001fb8]:sd<br> |
| 238|[0x80009778]<br>0xffffffffddddddde|- rs1_val==-6148914691236517206 and rs2_val==3689348814741910323<br>                                                                                                                         |[0x80001ffc]:mulw<br> [0x80002000]:sd<br> |
| 239|[0x80009780]<br>0xffffffffbbbbbbbc|- rs1_val==-6148914691236517206 and rs2_val==7378697629483820646<br>                                                                                                                         |[0x80002044]:mulw<br> [0x80002048]:sd<br> |
| 240|[0x80009788]<br>0x000000002358a222|- rs1_val==-6148914691236517206 and rs2_val==-3037000499<br>                                                                                                                                 |[0x8000207c]:mulw<br> [0x80002080]:sd<br> |
| 241|[0x80009790]<br>0xffffffffdca75dde|- rs1_val==-6148914691236517206 and rs2_val==3037000499<br>                                                                                                                                  |[0x800020b4]:mulw<br> [0x800020b8]:sd<br> |
| 242|[0x80009798]<br>0x0000000055555554|- rs1_val==-6148914691236517206 and rs2_val==2<br>                                                                                                                                           |[0x800020e0]:mulw<br> [0x800020e4]:sd<br> |
| 243|[0x800097a0]<br>0xffffffffc71c71c8|- rs1_val==-6148914691236517206 and rs2_val==6148914691236517204<br>                                                                                                                         |[0x80002128]:mulw<br> [0x8000212c]:sd<br> |
| 244|[0x800097a8]<br>0x0000000000000000|- rs1_val==-6148914691236517206 and rs2_val==0<br>                                                                                                                                           |[0x80002154]:mulw<br> [0x80002158]:sd<br> |
| 245|[0x800097b0]<br>0xffffffffaaaaaaa8|- rs1_val==-6148914691236517206 and rs2_val==4<br>                                                                                                                                           |[0x80002180]:mulw<br> [0x80002184]:sd<br> |
| 246|[0x800097b8]<br>0x0000000033333334|- rs1_val==-6148914691236517206 and rs2_val==3689348814741910322<br>                                                                                                                         |[0x800021c8]:mulw<br> [0x800021cc]:sd<br> |
| 247|[0x800097c0]<br>0x0000000011111112|- rs1_val==-6148914691236517206 and rs2_val==7378697629483820645<br>                                                                                                                         |[0x80002210]:mulw<br> [0x80002214]:sd<br> |
| 248|[0x800097c8]<br>0x0000000031fcb334|- rs1_val==-6148914691236517206 and rs2_val==3037000498<br>                                                                                                                                  |[0x80002248]:mulw<br> [0x8000224c]:sd<br> |
| 249|[0x800097d0]<br>0x000000001c71c71c|- rs1_val==-6148914691236517206 and rs2_val==6148914691236517206<br>                                                                                                                         |[0x80002290]:mulw<br> [0x80002294]:sd<br> |
| 250|[0x800097d8]<br>0xffffffff8e38e38e|- rs1_val==-6148914691236517206 and rs2_val==-6148914691236517205<br>                                                                                                                        |[0x800022d8]:mulw<br> [0x800022dc]:sd<br> |
| 251|[0x800097e0]<br>0xfffffffffffffffc|- rs1_val==-6148914691236517206 and rs2_val==6<br>                                                                                                                                           |[0x80002304]:mulw<br> [0x80002308]:sd<br> |
| 252|[0x800097e8]<br>0xffffffff88888888|- rs1_val==-6148914691236517206 and rs2_val==3689348814741910324<br>                                                                                                                         |[0x8000234c]:mulw<br> [0x80002350]:sd<br> |
| 253|[0x800097f0]<br>0x0000000066666666|- rs1_val==-6148914691236517206 and rs2_val==7378697629483820647<br>                                                                                                                         |[0x80002394]:mulw<br> [0x80002398]:sd<br> |
| 254|[0x800097f8]<br>0xffffffffce034ccc|- rs1_val==-6148914691236517206 and rs2_val==-3037000498<br>                                                                                                                                 |[0x800023cc]:mulw<br> [0x800023d0]:sd<br> |
| 255|[0x80009800]<br>0xffffffff87520888|- rs1_val==-6148914691236517206 and rs2_val==3037000500<br>                                                                                                                                  |[0x80002404]:mulw<br> [0x80002408]:sd<br> |
| 256|[0x80009808]<br>0x000000000000000f|- rs1_val==5 and rs2_val==3<br>                                                                                                                                                              |[0x80002414]:mulw<br> [0x80002418]:sd<br> |
| 257|[0x80009810]<br>0xffffffffaaaaaaa9|- rs1_val==5 and rs2_val==6148914691236517205<br>                                                                                                                                            |[0x80002440]:mulw<br> [0x80002444]:sd<br> |
| 258|[0x80009818]<br>0x0000000055555552|- rs1_val==5 and rs2_val==-6148914691236517206<br>                                                                                                                                           |[0x8000246c]:mulw<br> [0x80002470]:sd<br> |
| 259|[0x80009820]<br>0x0000000000000019|- rs1_val==5 and rs2_val==5<br>                                                                                                                                                              |[0x8000247c]:mulw<br> [0x80002480]:sd<br> |
| 260|[0x80009828]<br>0xffffffffffffffff|- rs1_val==5 and rs2_val==3689348814741910323<br>                                                                                                                                            |[0x800024a8]:mulw<br> [0x800024ac]:sd<br> |
| 261|[0x80009830]<br>0xfffffffffffffffe|- rs1_val==5 and rs2_val==7378697629483820646<br>                                                                                                                                            |[0x800024d4]:mulw<br> [0x800024d8]:sd<br> |
| 262|[0x80009838]<br>0x0000000076e74001|- rs1_val==5 and rs2_val==-3037000499<br>                                                                                                                                                    |[0x800024f0]:mulw<br> [0x800024f4]:sd<br> |
| 263|[0x80009840]<br>0xffffffff8918bfff|- rs1_val==5 and rs2_val==3037000499<br>                                                                                                                                                     |[0x8000250c]:mulw<br> [0x80002510]:sd<br> |
| 264|[0x80009848]<br>0x000000000000000a|- rs1_val==5 and rs2_val==2<br>                                                                                                                                                              |[0x8000251c]:mulw<br> [0x80002520]:sd<br> |
| 265|[0x80009850]<br>0xffffffffaaaaaaa4|- rs1_val==5 and rs2_val==6148914691236517204<br>                                                                                                                                            |[0x80002548]:mulw<br> [0x8000254c]:sd<br> |
| 266|[0x80009858]<br>0x0000000000000000|- rs1_val==5 and rs2_val==0<br>                                                                                                                                                              |[0x80002558]:mulw<br> [0x8000255c]:sd<br> |
| 267|[0x80009860]<br>0x0000000000000014|- rs1_val==5 and rs2_val==4<br>                                                                                                                                                              |[0x80002568]:mulw<br> [0x8000256c]:sd<br> |
| 268|[0x80009868]<br>0xfffffffffffffffa|- rs1_val==5 and rs2_val==3689348814741910322<br>                                                                                                                                            |[0x80002594]:mulw<br> [0x80002598]:sd<br> |
| 269|[0x80009870]<br>0xfffffffffffffff9|- rs1_val==5 and rs2_val==7378697629483820645<br>                                                                                                                                            |[0x800025c0]:mulw<br> [0x800025c4]:sd<br> |
| 270|[0x80009878]<br>0xffffffff8918bffa|- rs1_val==5 and rs2_val==3037000498<br>                                                                                                                                                     |[0x800025dc]:mulw<br> [0x800025e0]:sd<br> |
| 271|[0x80009880]<br>0xffffffffaaaaaaae|- rs1_val==5 and rs2_val==6148914691236517206<br>                                                                                                                                            |[0x80002608]:mulw<br> [0x8000260c]:sd<br> |
| 272|[0x80009888]<br>0x0000000055555557|- rs1_val==5 and rs2_val==-6148914691236517205<br>                                                                                                                                           |[0x80002634]:mulw<br> [0x80002638]:sd<br> |
| 273|[0x80009890]<br>0x000000000000001e|- rs1_val==5 and rs2_val==6<br>                                                                                                                                                              |[0x80002644]:mulw<br> [0x80002648]:sd<br> |
| 274|[0x80009898]<br>0x0000000000000004|- rs1_val==5 and rs2_val==3689348814741910324<br>                                                                                                                                            |[0x80002670]:mulw<br> [0x80002674]:sd<br> |
| 275|[0x800098a0]<br>0x0000000000000003|- rs1_val==5 and rs2_val==7378697629483820647<br>                                                                                                                                            |[0x8000269c]:mulw<br> [0x800026a0]:sd<br> |
| 276|[0x800098a8]<br>0x0000000076e74006|- rs1_val==5 and rs2_val==-3037000498<br>                                                                                                                                                    |[0x800026b8]:mulw<br> [0x800026bc]:sd<br> |
| 277|[0x800098b0]<br>0xffffffff8918c004|- rs1_val==5 and rs2_val==3037000500<br>                                                                                                                                                     |[0x800026d4]:mulw<br> [0x800026d8]:sd<br> |
| 278|[0x800098b8]<br>0xffffffff99999999|- rs1_val==3689348814741910323 and rs2_val==3<br>                                                                                                                                            |[0x80002700]:mulw<br> [0x80002704]:sd<br> |
| 279|[0x800098c0]<br>0xffffffffeeeeeeef|- rs1_val==3689348814741910323 and rs2_val==6148914691236517205<br>                                                                                                                          |[0x80002748]:mulw<br> [0x8000274c]:sd<br> |
| 280|[0x800098c8]<br>0xffffffffddddddde|- rs1_val==3689348814741910323 and rs2_val==-6148914691236517206<br>                                                                                                                         |[0x80002790]:mulw<br> [0x80002794]:sd<br> |
| 281|[0x800098d0]<br>0xffffffffffffffff|- rs1_val==3689348814741910323 and rs2_val==5<br>                                                                                                                                            |[0x800027bc]:mulw<br> [0x800027c0]:sd<br> |
| 282|[0x800098d8]<br>0xffffffffc28f5c29|- rs1_val==3689348814741910323 and rs2_val==3689348814741910323<br>                                                                                                                          |[0x80002804]:mulw<br> [0x80002808]:sd<br> |
| 283|[0x800098e0]<br>0xffffffff851eb852|- rs1_val==3689348814741910323 and rs2_val==7378697629483820646<br>                                                                                                                          |[0x8000284c]:mulw<br> [0x80002850]:sd<br> |
| 284|[0x800098e8]<br>0x00000000576763d7|- rs1_val==3689348814741910323 and rs2_val==-3037000499<br>                                                                                                                                  |[0x80002884]:mulw<br> [0x80002888]:sd<br> |
| 285|[0x800098f0]<br>0xffffffffa8989c29|- rs1_val==3689348814741910323 and rs2_val==3037000499<br>                                                                                                                                   |[0x800028bc]:mulw<br> [0x800028c0]:sd<br> |
| 286|[0x800098f8]<br>0x0000000066666666|- rs1_val==3689348814741910323 and rs2_val==2<br>                                                                                                                                            |[0x800028e8]:mulw<br> [0x800028ec]:sd<br> |
| 287|[0x80009900]<br>0xffffffffbbbbbbbc|- rs1_val==3689348814741910323 and rs2_val==6148914691236517204<br>                                                                                                                          |[0x80002930]:mulw<br> [0x80002934]:sd<br> |
| 288|[0x80009908]<br>0x0000000000000000|- rs1_val==3689348814741910323 and rs2_val==0<br>                                                                                                                                            |[0x8000295c]:mulw<br> [0x80002960]:sd<br> |
| 289|[0x80009910]<br>0xffffffffcccccccc|- rs1_val==3689348814741910323 and rs2_val==4<br>                                                                                                                                            |[0x80002990]:mulw<br> [0x80002994]:sd<br> |
| 290|[0x80009918]<br>0xffffffff8f5c28f6|- rs1_val==3689348814741910323 and rs2_val==3689348814741910322<br>                                                                                                                          |[0x800029d8]:mulw<br> [0x800029dc]:sd<br> |
| 291|[0x80009920]<br>0x0000000051eb851f|- rs1_val==3689348814741910323 and rs2_val==7378697629483820645<br>                                                                                                                          |[0x80002a20]:mulw<br> [0x80002a24]:sd<br> |
| 292|[0x80009928]<br>0x00000000756568f6|- rs1_val==3689348814741910323 and rs2_val==3037000498<br>                                                                                                                                   |[0x80002a58]:mulw<br> [0x80002a5c]:sd<br> |
| 293|[0x80009930]<br>0x0000000022222222|- rs1_val==3689348814741910323 and rs2_val==6148914691236517206<br>                                                                                                                          |[0x80002aa0]:mulw<br> [0x80002aa4]:sd<br> |
| 294|[0x80009938]<br>0x0000000011111111|- rs1_val==3689348814741910323 and rs2_val==-6148914691236517205<br>                                                                                                                         |[0x80002ae8]:mulw<br> [0x80002aec]:sd<br> |
| 295|[0x80009940]<br>0x0000000033333332|- rs1_val==3689348814741910323 and rs2_val==6<br>                                                                                                                                            |[0x80002b14]:mulw<br> [0x80002b18]:sd<br> |
| 296|[0x80009948]<br>0xfffffffff5c28f5c|- rs1_val==3689348814741910323 and rs2_val==3689348814741910324<br>                                                                                                                          |[0x80002b5c]:mulw<br> [0x80002b60]:sd<br> |
| 297|[0x80009950]<br>0xffffffffb851eb85|- rs1_val==3689348814741910323 and rs2_val==7378697629483820647<br>                                                                                                                          |[0x80002ba4]:mulw<br> [0x80002ba8]:sd<br> |
| 298|[0x80009958]<br>0xffffffff8a9a970a|- rs1_val==3689348814741910323 and rs2_val==-3037000498<br>                                                                                                                                  |[0x80002bdc]:mulw<br> [0x80002be0]:sd<br> |
| 299|[0x80009960]<br>0xffffffffdbcbcf5c|- rs1_val==3689348814741910323 and rs2_val==3037000500<br>                                                                                                                                   |[0x80002c14]:mulw<br> [0x80002c18]:sd<br> |
| 300|[0x80009968]<br>0x0000000033333332|- rs1_val==7378697629483820646 and rs2_val==3<br>                                                                                                                                            |[0x80002c40]:mulw<br> [0x80002c44]:sd<br> |
| 301|[0x80009970]<br>0xffffffffddddddde|- rs1_val==7378697629483820646 and rs2_val==6148914691236517205<br>                                                                                                                          |[0x80002c88]:mulw<br> [0x80002c8c]:sd<br> |
| 302|[0x80009978]<br>0xffffffffbbbbbbbc|- rs1_val==7378697629483820646 and rs2_val==-6148914691236517206<br>                                                                                                                         |[0x80002cd0]:mulw<br> [0x80002cd4]:sd<br> |
| 303|[0x80009980]<br>0xfffffffffffffffe|- rs1_val==7378697629483820646 and rs2_val==5<br>                                                                                                                                            |[0x80002cfc]:mulw<br> [0x80002d00]:sd<br> |
| 304|[0x80009988]<br>0xffffffff851eb852|- rs1_val==7378697629483820646 and rs2_val==3689348814741910323<br>                                                                                                                          |[0x80002d44]:mulw<br> [0x80002d48]:sd<br> |
| 305|[0x80009990]<br>0x000000000a3d70a4|- rs1_val==7378697629483820646 and rs2_val==7378697629483820646<br>                                                                                                                          |[0x80002d8c]:mulw<br> [0x80002d90]:sd<br> |
| 306|[0x80009998]<br>0xffffffffaecec7ae|- rs1_val==7378697629483820646 and rs2_val==-3037000499<br>                                                                                                                                  |[0x80002dc4]:mulw<br> [0x80002dc8]:sd<br> |
| 307|[0x800099a0]<br>0x0000000051313852|- rs1_val==7378697629483820646 and rs2_val==3037000499<br>                                                                                                                                   |[0x80002dfc]:mulw<br> [0x80002e00]:sd<br> |
| 308|[0x800099a8]<br>0xffffffffcccccccc|- rs1_val==7378697629483820646 and rs2_val==2<br>                                                                                                                                            |[0x80002e28]:mulw<br> [0x80002e2c]:sd<br> |
| 309|[0x800099b0]<br>0x0000000077777778|- rs1_val==7378697629483820646 and rs2_val==6148914691236517204<br>                                                                                                                          |[0x80002e70]:mulw<br> [0x80002e74]:sd<br> |
| 310|[0x800099b8]<br>0x0000000000000000|- rs1_val==7378697629483820646 and rs2_val==0<br>                                                                                                                                            |[0x80002e9c]:mulw<br> [0x80002ea0]:sd<br> |
| 311|[0x800099c0]<br>0xffffffff99999998|- rs1_val==7378697629483820646 and rs2_val==4<br>                                                                                                                                            |[0x80002ec8]:mulw<br> [0x80002ecc]:sd<br> |
| 312|[0x800099c8]<br>0x000000001eb851ec|- rs1_val==7378697629483820646 and rs2_val==3689348814741910322<br>                                                                                                                          |[0x80002f10]:mulw<br> [0x80002f14]:sd<br> |
| 313|[0x800099d0]<br>0xffffffffa3d70a3e|- rs1_val==7378697629483820646 and rs2_val==7378697629483820645<br>                                                                                                                          |[0x80002f58]:mulw<br> [0x80002f5c]:sd<br> |
| 314|[0x800099d8]<br>0xffffffffeacad1ec|- rs1_val==7378697629483820646 and rs2_val==3037000498<br>                                                                                                                                   |[0x80002f90]:mulw<br> [0x80002f94]:sd<br> |
| 315|[0x800099e0]<br>0x0000000044444444|- rs1_val==7378697629483820646 and rs2_val==6148914691236517206<br>                                                                                                                          |[0x80002fd8]:mulw<br> [0x80002fdc]:sd<br> |
| 316|[0x800099e8]<br>0x0000000022222222|- rs1_val==7378697629483820646 and rs2_val==-6148914691236517205<br>                                                                                                                         |[0x80003020]:mulw<br> [0x80003024]:sd<br> |
| 317|[0x800099f0]<br>0x0000000066666664|- rs1_val==7378697629483820646 and rs2_val==6<br>                                                                                                                                            |[0x8000304c]:mulw<br> [0x80003050]:sd<br> |
| 318|[0x800099f8]<br>0xffffffffeb851eb8|- rs1_val==7378697629483820646 and rs2_val==3689348814741910324<br>                                                                                                                          |[0x80003094]:mulw<br> [0x80003098]:sd<br> |
| 319|[0x80009a00]<br>0x0000000070a3d70a|- rs1_val==7378697629483820646 and rs2_val==7378697629483820647<br>                                                                                                                          |[0x800030dc]:mulw<br> [0x800030e0]:sd<br> |
| 320|[0x80009a08]<br>0x0000000015352e14|- rs1_val==7378697629483820646 and rs2_val==-3037000498<br>                                                                                                                                  |[0x80003114]:mulw<br> [0x80003118]:sd<br> |
| 321|[0x80009a10]<br>0xffffffffb7979eb8|- rs1_val==7378697629483820646 and rs2_val==3037000500<br>                                                                                                                                   |[0x8000314c]:mulw<br> [0x80003150]:sd<br> |
| 322|[0x80009a18]<br>0xffffffffe0f12667|- rs1_val==-3037000499 and rs2_val==3<br>                                                                                                                                                    |[0x80003168]:mulw<br> [0x8000316c]:sd<br> |
| 323|[0x80009a20]<br>0xffffffff91ac5111|- rs1_val==-3037000499 and rs2_val==6148914691236517205<br>                                                                                                                                  |[0x800031a0]:mulw<br> [0x800031a4]:sd<br> |
| 324|[0x80009a28]<br>0x000000002358a222|- rs1_val==-3037000499 and rs2_val==-6148914691236517206<br>                                                                                                                                 |[0x800031d8]:mulw<br> [0x800031dc]:sd<br> |
| 325|[0x80009a30]<br>0x0000000076e74001|- rs1_val==-3037000499 and rs2_val==5<br>                                                                                                                                                    |[0x800031f4]:mulw<br> [0x800031f8]:sd<br> |
| 326|[0x80009a38]<br>0x00000000576763d7|- rs1_val==-3037000499 and rs2_val==3689348814741910323<br>                                                                                                                                  |[0x8000322c]:mulw<br> [0x80003230]:sd<br> |
| 327|[0x80009a40]<br>0xffffffffaecec7ae|- rs1_val==-3037000499 and rs2_val==7378697629483820646<br>                                                                                                                                  |[0x80003264]:mulw<br> [0x80003268]:sd<br> |
| 328|[0x80009a48]<br>0xffffffff9ea1dc29|- rs1_val==-3037000499 and rs2_val==-3037000499<br>                                                                                                                                          |[0x8000328c]:mulw<br> [0x80003290]:sd<br> |
| 329|[0x80009a50]<br>0x00000000615e23d7|- rs1_val==-3037000499 and rs2_val==3037000499<br>                                                                                                                                           |[0x800032b4]:mulw<br> [0x800032b8]:sd<br> |
| 330|[0x80009a58]<br>0xffffffff95f6199a|- rs1_val==-3037000499 and rs2_val==2<br>                                                                                                                                                    |[0x800032d0]:mulw<br> [0x800032d4]:sd<br> |
| 331|[0x80009a60]<br>0x0000000046b14444|- rs1_val==-3037000499 and rs2_val==6148914691236517204<br>                                                                                                                                  |[0x80003308]:mulw<br> [0x8000330c]:sd<br> |
| 332|[0x80009a68]<br>0x0000000000000000|- rs1_val==-3037000499 and rs2_val==0<br>                                                                                                                                                    |[0x80003324]:mulw<br> [0x80003328]:sd<br> |
| 333|[0x80009a70]<br>0x000000002bec3334|- rs1_val==-3037000499 and rs2_val==4<br>                                                                                                                                                    |[0x80003340]:mulw<br> [0x80003344]:sd<br> |
| 334|[0x80009a78]<br>0x000000000c6c570a|- rs1_val==-3037000499 and rs2_val==3689348814741910322<br>                                                                                                                                  |[0x80003378]:mulw<br> [0x8000337c]:sd<br> |
| 335|[0x80009a80]<br>0x0000000063d3bae1|- rs1_val==-3037000499 and rs2_val==7378697629483820645<br>                                                                                                                                  |[0x800033b0]:mulw<br> [0x800033b4]:sd<br> |
| 336|[0x80009a88]<br>0x000000001663170a|- rs1_val==-3037000499 and rs2_val==3037000498<br>                                                                                                                                           |[0x800033d8]:mulw<br> [0x800033dc]:sd<br> |
| 337|[0x80009a90]<br>0xffffffffdca75dde|- rs1_val==-3037000499 and rs2_val==6148914691236517206<br>                                                                                                                                  |[0x80003410]:mulw<br> [0x80003414]:sd<br> |
| 338|[0x80009a98]<br>0x000000006e53aeef|- rs1_val==-3037000499 and rs2_val==-6148914691236517205<br>                                                                                                                                 |[0x80003448]:mulw<br> [0x8000344c]:sd<br> |
| 339|[0x80009aa0]<br>0xffffffffc1e24cce|- rs1_val==-3037000499 and rs2_val==6<br>                                                                                                                                                    |[0x80003464]:mulw<br> [0x80003468]:sd<br> |
| 340|[0x80009aa8]<br>0xffffffffa26270a4|- rs1_val==-3037000499 and rs2_val==3689348814741910324<br>                                                                                                                                  |[0x8000349c]:mulw<br> [0x800034a0]:sd<br> |
| 341|[0x80009ab0]<br>0xfffffffff9c9d47b|- rs1_val==-3037000499 and rs2_val==7378697629483820647<br>                                                                                                                                  |[0x800034d4]:mulw<br> [0x800034d8]:sd<br> |
| 342|[0x80009ab8]<br>0xffffffffe99ce8f6|- rs1_val==-3037000499 and rs2_val==-3037000498<br>                                                                                                                                          |[0x800034fc]:mulw<br> [0x80003500]:sd<br> |
| 343|[0x80009ac0]<br>0xffffffffac5930a4|- rs1_val==-3037000499 and rs2_val==3037000500<br>                                                                                                                                           |[0x80003524]:mulw<br> [0x80003528]:sd<br> |
| 344|[0x80009ac8]<br>0x000000001f0ed999|- rs1_val==3037000499 and rs2_val==3<br>                                                                                                                                                     |[0x80003540]:mulw<br> [0x80003544]:sd<br> |
| 345|[0x80009ad0]<br>0x000000006e53aeef|- rs1_val==3037000499 and rs2_val==6148914691236517205<br>                                                                                                                                   |[0x80003578]:mulw<br> [0x8000357c]:sd<br> |
| 346|[0x80009ad8]<br>0xffffffffdca75dde|- rs1_val==3037000499 and rs2_val==-6148914691236517206<br>                                                                                                                                  |[0x800035b0]:mulw<br> [0x800035b4]:sd<br> |
| 347|[0x80009ae0]<br>0xffffffff8918bfff|- rs1_val==3037000499 and rs2_val==5<br>                                                                                                                                                     |[0x800035cc]:mulw<br> [0x800035d0]:sd<br> |
| 348|[0x80009ae8]<br>0xffffffffa8989c29|- rs1_val==3037000499 and rs2_val==3689348814741910323<br>                                                                                                                                   |[0x80003604]:mulw<br> [0x80003608]:sd<br> |
| 349|[0x80009af0]<br>0x0000000051313852|- rs1_val==3037000499 and rs2_val==7378697629483820646<br>                                                                                                                                   |[0x8000363c]:mulw<br> [0x80003640]:sd<br> |
| 350|[0x80009af8]<br>0x00000000615e23d7|- rs1_val==3037000499 and rs2_val==-3037000499<br>                                                                                                                                           |[0x80003664]:mulw<br> [0x80003668]:sd<br> |
| 351|[0x80009b00]<br>0xffffffff9ea1dc29|- rs1_val==3037000499 and rs2_val==3037000499<br>                                                                                                                                            |[0x8000368c]:mulw<br> [0x80003690]:sd<br> |
| 352|[0x80009b08]<br>0x000000006a09e666|- rs1_val==3037000499 and rs2_val==2<br>                                                                                                                                                     |[0x800036a8]:mulw<br> [0x800036ac]:sd<br> |
| 353|[0x80009b10]<br>0xffffffffb94ebbbc|- rs1_val==3037000499 and rs2_val==6148914691236517204<br>                                                                                                                                   |[0x800036e0]:mulw<br> [0x800036e4]:sd<br> |
| 354|[0x80009b18]<br>0x0000000000000000|- rs1_val==3037000499 and rs2_val==0<br>                                                                                                                                                     |[0x800036fc]:mulw<br> [0x80003700]:sd<br> |
| 355|[0x80009b20]<br>0xffffffffd413cccc|- rs1_val==3037000499 and rs2_val==4<br>                                                                                                                                                     |[0x80003718]:mulw<br> [0x8000371c]:sd<br> |
| 356|[0x80009b28]<br>0xfffffffff393a8f6|- rs1_val==3037000499 and rs2_val==3689348814741910322<br>                                                                                                                                   |[0x80003750]:mulw<br> [0x80003754]:sd<br> |
| 357|[0x80009b30]<br>0xffffffff9c2c451f|- rs1_val==3037000499 and rs2_val==7378697629483820645<br>                                                                                                                                   |[0x80003788]:mulw<br> [0x8000378c]:sd<br> |
| 358|[0x80009b38]<br>0xffffffffe99ce8f6|- rs1_val==3037000499 and rs2_val==3037000498<br>                                                                                                                                            |[0x800037b0]:mulw<br> [0x800037b4]:sd<br> |
| 359|[0x80009b40]<br>0x000000002358a222|- rs1_val==3037000499 and rs2_val==6148914691236517206<br>                                                                                                                                   |[0x800037e8]:mulw<br> [0x800037ec]:sd<br> |
| 360|[0x80009b48]<br>0xffffffff91ac5111|- rs1_val==3037000499 and rs2_val==-6148914691236517205<br>                                                                                                                                  |[0x80003820]:mulw<br> [0x80003824]:sd<br> |
| 361|[0x80009b50]<br>0x000000003e1db332|- rs1_val==3037000499 and rs2_val==6<br>                                                                                                                                                     |[0x8000383c]:mulw<br> [0x80003840]:sd<br> |
| 362|[0x80009b58]<br>0x000000005d9d8f5c|- rs1_val==3037000499 and rs2_val==3689348814741910324<br>                                                                                                                                   |[0x80003874]:mulw<br> [0x80003878]:sd<br> |
| 363|[0x80009b60]<br>0x0000000006362b85|- rs1_val==3037000499 and rs2_val==7378697629483820647<br>                                                                                                                                   |[0x800038ac]:mulw<br> [0x800038b0]:sd<br> |
| 364|[0x80009b68]<br>0x000000001663170a|- rs1_val==3037000499 and rs2_val==-3037000498<br>                                                                                                                                           |[0x800038d4]:mulw<br> [0x800038d8]:sd<br> |
| 365|[0x80009b70]<br>0x0000000053a6cf5c|- rs1_val==3037000499 and rs2_val==3037000500<br>                                                                                                                                            |[0x800038fc]:mulw<br> [0x80003900]:sd<br> |
| 366|[0x80009b78]<br>0x0000000000000006|- rs1_val==2 and rs2_val==3<br>                                                                                                                                                              |[0x8000390c]:mulw<br> [0x80003910]:sd<br> |
| 367|[0x80009b80]<br>0xffffffffaaaaaaaa|- rs1_val==2 and rs2_val==6148914691236517205<br>                                                                                                                                            |[0x80003938]:mulw<br> [0x8000393c]:sd<br> |
| 368|[0x80009b88]<br>0x0000000055555554|- rs1_val==2 and rs2_val==-6148914691236517206<br>                                                                                                                                           |[0x80003964]:mulw<br> [0x80003968]:sd<br> |
| 369|[0x80009b90]<br>0x000000000000000a|- rs1_val==2 and rs2_val==5<br>                                                                                                                                                              |[0x80003974]:mulw<br> [0x80003978]:sd<br> |
| 370|[0x80009b98]<br>0x0000000066666666|- rs1_val==2 and rs2_val==3689348814741910323<br>                                                                                                                                            |[0x800039a0]:mulw<br> [0x800039a4]:sd<br> |
| 371|[0x80009ba0]<br>0xffffffffcccccccc|- rs1_val==2 and rs2_val==7378697629483820646<br>                                                                                                                                            |[0x800039cc]:mulw<br> [0x800039d0]:sd<br> |
| 372|[0x80009ba8]<br>0xffffffff95f6199a|- rs1_val==2 and rs2_val==-3037000499<br>                                                                                                                                                    |[0x800039e8]:mulw<br> [0x800039ec]:sd<br> |
| 373|[0x80009bb0]<br>0x000000006a09e666|- rs1_val==2 and rs2_val==3037000499<br>                                                                                                                                                     |[0x80003a04]:mulw<br> [0x80003a08]:sd<br> |
| 374|[0x80009bb8]<br>0x0000000000000004|- rs1_val==2 and rs2_val==2<br>                                                                                                                                                              |[0x80003a14]:mulw<br> [0x80003a18]:sd<br> |
| 375|[0x80009bc0]<br>0xffffffffaaaaaaa8|- rs1_val==2 and rs2_val==6148914691236517204<br>                                                                                                                                            |[0x80003a40]:mulw<br> [0x80003a44]:sd<br> |
| 376|[0x80009bc8]<br>0x0000000000000000|- rs1_val==2 and rs2_val==0<br>                                                                                                                                                              |[0x80003a50]:mulw<br> [0x80003a54]:sd<br> |
| 377|[0x80009bd0]<br>0x0000000000000008|- rs1_val==2 and rs2_val==4<br>                                                                                                                                                              |[0x80003a60]:mulw<br> [0x80003a64]:sd<br> |
| 378|[0x80009bd8]<br>0x0000000066666664|- rs1_val==2 and rs2_val==3689348814741910322<br>                                                                                                                                            |[0x80003a8c]:mulw<br> [0x80003a90]:sd<br> |
| 379|[0x80009be0]<br>0xffffffffccccccca|- rs1_val==2 and rs2_val==7378697629483820645<br>                                                                                                                                            |[0x80003ab8]:mulw<br> [0x80003abc]:sd<br> |
| 380|[0x80009be8]<br>0x000000006a09e664|- rs1_val==2 and rs2_val==3037000498<br>                                                                                                                                                     |[0x80003ad4]:mulw<br> [0x80003ad8]:sd<br> |
| 381|[0x80009bf0]<br>0xffffffffaaaaaaac|- rs1_val==2 and rs2_val==6148914691236517206<br>                                                                                                                                            |[0x80003b00]:mulw<br> [0x80003b04]:sd<br> |
| 382|[0x80009bf8]<br>0x0000000055555556|- rs1_val==2 and rs2_val==-6148914691236517205<br>                                                                                                                                           |[0x80003b2c]:mulw<br> [0x80003b30]:sd<br> |
| 383|[0x80009c00]<br>0x000000000000000c|- rs1_val==2 and rs2_val==6<br>                                                                                                                                                              |[0x80003b3c]:mulw<br> [0x80003b40]:sd<br> |
| 384|[0x80009c08]<br>0x0000000066666668|- rs1_val==2 and rs2_val==3689348814741910324<br>                                                                                                                                            |[0x80003b68]:mulw<br> [0x80003b6c]:sd<br> |
| 385|[0x80009c10]<br>0xffffffffccccccce|- rs1_val==2 and rs2_val==7378697629483820647<br>                                                                                                                                            |[0x80003b94]:mulw<br> [0x80003b98]:sd<br> |
| 386|[0x80009c18]<br>0xffffffff95f6199c|- rs1_val==2 and rs2_val==-3037000498<br>                                                                                                                                                    |[0x80003bb0]:mulw<br> [0x80003bb4]:sd<br> |
| 387|[0x80009c20]<br>0x000000006a09e668|- rs1_val==2 and rs2_val==3037000500<br>                                                                                                                                                     |[0x80003bcc]:mulw<br> [0x80003bd0]:sd<br> |
| 388|[0x80009c28]<br>0xfffffffffffffffc|- rs1_val==6148914691236517204 and rs2_val==3<br>                                                                                                                                            |[0x80003bf8]:mulw<br> [0x80003bfc]:sd<br> |
| 389|[0x80009c30]<br>0xffffffffe38e38e4|- rs1_val==6148914691236517204 and rs2_val==6148914691236517205<br>                                                                                                                          |[0x80003c40]:mulw<br> [0x80003c44]:sd<br> |
| 390|[0x80009c38]<br>0xffffffffc71c71c8|- rs1_val==6148914691236517204 and rs2_val==-6148914691236517206<br>                                                                                                                         |[0x80003c88]:mulw<br> [0x80003c8c]:sd<br> |
| 391|[0x80009c40]<br>0xffffffffaaaaaaa4|- rs1_val==6148914691236517204 and rs2_val==5<br>                                                                                                                                            |[0x80003cb4]:mulw<br> [0x80003cb8]:sd<br> |
| 392|[0x80009c48]<br>0xffffffffbbbbbbbc|- rs1_val==6148914691236517204 and rs2_val==3689348814741910323<br>                                                                                                                          |[0x80003cfc]:mulw<br> [0x80003d00]:sd<br> |
| 393|[0x80009c50]<br>0x0000000077777778|- rs1_val==6148914691236517204 and rs2_val==7378697629483820646<br>                                                                                                                          |[0x80003d44]:mulw<br> [0x80003d48]:sd<br> |
| 394|[0x80009c58]<br>0x0000000046b14444|- rs1_val==6148914691236517204 and rs2_val==-3037000499<br>                                                                                                                                  |[0x80003d7c]:mulw<br> [0x80003d80]:sd<br> |
| 395|[0x80009c60]<br>0xffffffffb94ebbbc|- rs1_val==6148914691236517204 and rs2_val==3037000499<br>                                                                                                                                   |[0x80003db4]:mulw<br> [0x80003db8]:sd<br> |
| 396|[0x80009c68]<br>0xffffffff8e38e390|- rs1_val==6148914691236517204 and rs2_val==6148914691236517204<br>                                                                                                                          |[0x80003dfc]:mulw<br> [0x80003e00]:sd<br> |
| 397|[0x80009c70]<br>0x0000000000000000|- rs1_val==6148914691236517204 and rs2_val==0<br>                                                                                                                                            |[0x80003e28]:mulw<br> [0x80003e2c]:sd<br> |
| 398|[0x80009c78]<br>0x0000000055555550|- rs1_val==6148914691236517204 and rs2_val==4<br>                                                                                                                                            |[0x80003e54]:mulw<br> [0x80003e58]:sd<br> |
| 399|[0x80009c80]<br>0x0000000066666668|- rs1_val==6148914691236517204 and rs2_val==3689348814741910322<br>                                                                                                                          |[0x80003e9c]:mulw<br> [0x80003ea0]:sd<br> |
| 400|[0x80009c88]<br>0x0000000022222224|- rs1_val==6148914691236517204 and rs2_val==7378697629483820645<br>                                                                                                                          |[0x80003ee4]:mulw<br> [0x80003ee8]:sd<br> |
| 401|[0x80009c90]<br>0x0000000063f96668|- rs1_val==6148914691236517204 and rs2_val==3037000498<br>                                                                                                                                   |[0x80003f1c]:mulw<br> [0x80003f20]:sd<br> |
| 402|[0x80009c98]<br>0x0000000038e38e38|- rs1_val==6148914691236517204 and rs2_val==6148914691236517206<br>                                                                                                                          |[0x80003f64]:mulw<br> [0x80003f68]:sd<br> |
| 403|[0x80009ca0]<br>0x000000001c71c71c|- rs1_val==6148914691236517204 and rs2_val==-6148914691236517205<br>                                                                                                                         |[0x80003fac]:mulw<br> [0x80003fb0]:sd<br> |
| 404|[0x80009ca8]<br>0xfffffffffffffff8|- rs1_val==6148914691236517204 and rs2_val==6<br>                                                                                                                                            |[0x80003fd8]:mulw<br> [0x80003fdc]:sd<br> |
| 405|[0x80009cb0]<br>0x0000000011111110|- rs1_val==6148914691236517204 and rs2_val==3689348814741910324<br>                                                                                                                          |[0x80004020]:mulw<br> [0x80004024]:sd<br> |
| 406|[0x80009cb8]<br>0xffffffffcccccccc|- rs1_val==6148914691236517204 and rs2_val==7378697629483820647<br>                                                                                                                          |[0x80004068]:mulw<br> [0x8000406c]:sd<br> |
| 407|[0x80009cc0]<br>0xffffffff9c069998|- rs1_val==6148914691236517204 and rs2_val==-3037000498<br>                                                                                                                                  |[0x800040a0]:mulw<br> [0x800040a4]:sd<br> |
| 408|[0x80009cc8]<br>0x000000000ea41110|- rs1_val==6148914691236517204 and rs2_val==3037000500<br>                                                                                                                                   |[0x800040d8]:mulw<br> [0x800040dc]:sd<br> |
| 409|[0x80009cd0]<br>0x0000000000000000|- rs1_val==0 and rs2_val==3<br>                                                                                                                                                              |[0x800040e8]:mulw<br> [0x800040ec]:sd<br> |
| 410|[0x80009cd8]<br>0x0000000000000000|- rs1_val==0 and rs2_val==6148914691236517205<br>                                                                                                                                            |[0x80004114]:mulw<br> [0x80004118]:sd<br> |
| 411|[0x80009ce0]<br>0x0000000000000000|- rs1_val==0 and rs2_val==-6148914691236517206<br>                                                                                                                                           |[0x80004140]:mulw<br> [0x80004144]:sd<br> |
| 412|[0x80009ce8]<br>0x0000000000000000|- rs1_val==0 and rs2_val==3689348814741910323<br>                                                                                                                                            |[0x8000416c]:mulw<br> [0x80004170]:sd<br> |
| 413|[0x80009cf0]<br>0x0000000000000000|- rs1_val==0 and rs2_val==7378697629483820646<br>                                                                                                                                            |[0x80004198]:mulw<br> [0x8000419c]:sd<br> |
| 414|[0x80009cf8]<br>0x0000000000000000|- rs1_val==0 and rs2_val==-3037000499<br>                                                                                                                                                    |[0x800041b4]:mulw<br> [0x800041b8]:sd<br> |
| 415|[0x80009d00]<br>0x0000000000000000|- rs1_val==0 and rs2_val==3037000499<br>                                                                                                                                                     |[0x800041d0]:mulw<br> [0x800041d4]:sd<br> |
| 416|[0x80009d08]<br>0x0000000000000000|- rs1_val==0 and rs2_val==2<br>                                                                                                                                                              |[0x800041e0]:mulw<br> [0x800041e4]:sd<br> |
| 417|[0x80009d10]<br>0x0000000000000000|- rs1_val==0 and rs2_val==-3037000498<br>                                                                                                                                                    |[0x800041fc]:mulw<br> [0x80004200]:sd<br> |
| 418|[0x80009d18]<br>0x0000000000000000|- rs1_val==0 and rs2_val==3037000500<br>                                                                                                                                                     |[0x80004218]:mulw<br> [0x8000421c]:sd<br> |
| 419|[0x80009d20]<br>0x000000000000000c|- rs1_val==4 and rs2_val==3<br>                                                                                                                                                              |[0x80004228]:mulw<br> [0x8000422c]:sd<br> |
| 420|[0x80009d28]<br>0x0000000055555554|- rs1_val==4 and rs2_val==6148914691236517205<br>                                                                                                                                            |[0x80004254]:mulw<br> [0x80004258]:sd<br> |
| 421|[0x80009d30]<br>0xffffffffaaaaaaa8|- rs1_val==4 and rs2_val==-6148914691236517206<br>                                                                                                                                           |[0x80004280]:mulw<br> [0x80004284]:sd<br> |
| 422|[0x80009d38]<br>0x0000000000000014|- rs1_val==4 and rs2_val==5<br>                                                                                                                                                              |[0x80004290]:mulw<br> [0x80004294]:sd<br> |
| 423|[0x80009d40]<br>0xffffffffcccccccc|- rs1_val==4 and rs2_val==3689348814741910323<br>                                                                                                                                            |[0x800042bc]:mulw<br> [0x800042c0]:sd<br> |
| 424|[0x80009d48]<br>0xffffffff99999998|- rs1_val==4 and rs2_val==7378697629483820646<br>                                                                                                                                            |[0x800042e8]:mulw<br> [0x800042ec]:sd<br> |
| 425|[0x80009d50]<br>0x000000002bec3334|- rs1_val==4 and rs2_val==-3037000499<br>                                                                                                                                                    |[0x80004304]:mulw<br> [0x80004308]:sd<br> |
| 426|[0x80009d58]<br>0xffffffffd413cccc|- rs1_val==4 and rs2_val==3037000499<br>                                                                                                                                                     |[0x80004320]:mulw<br> [0x80004324]:sd<br> |
| 427|[0x80009d60]<br>0x0000000000000008|- rs1_val==4 and rs2_val==2<br>                                                                                                                                                              |[0x80004330]:mulw<br> [0x80004334]:sd<br> |
| 428|[0x80009d68]<br>0x0000000055555550|- rs1_val==4 and rs2_val==6148914691236517204<br>                                                                                                                                            |[0x8000435c]:mulw<br> [0x80004360]:sd<br> |
| 429|[0x80009d70]<br>0x0000000000000000|- rs1_val==4 and rs2_val==0<br>                                                                                                                                                              |[0x8000436c]:mulw<br> [0x80004370]:sd<br> |
| 430|[0x80009d78]<br>0x0000000000000010|- rs1_val==4 and rs2_val==4<br>                                                                                                                                                              |[0x8000437c]:mulw<br> [0x80004380]:sd<br> |
| 431|[0x80009d80]<br>0xffffffffccccccc8|- rs1_val==4 and rs2_val==3689348814741910322<br>                                                                                                                                            |[0x800043a8]:mulw<br> [0x800043ac]:sd<br> |
| 432|[0x80009d88]<br>0xffffffff99999994|- rs1_val==4 and rs2_val==7378697629483820645<br>                                                                                                                                            |[0x800043d4]:mulw<br> [0x800043d8]:sd<br> |
| 433|[0x80009d90]<br>0xffffffffd413ccc8|- rs1_val==4 and rs2_val==3037000498<br>                                                                                                                                                     |[0x800043f0]:mulw<br> [0x800043f4]:sd<br> |
| 434|[0x80009d98]<br>0x0000000055555558|- rs1_val==4 and rs2_val==6148914691236517206<br>                                                                                                                                            |[0x8000441c]:mulw<br> [0x80004420]:sd<br> |
| 435|[0x80009da0]<br>0xffffffffaaaaaaac|- rs1_val==4 and rs2_val==-6148914691236517205<br>                                                                                                                                           |[0x80004448]:mulw<br> [0x8000444c]:sd<br> |
| 436|[0x80009da8]<br>0x0000000000000018|- rs1_val==4 and rs2_val==6<br>                                                                                                                                                              |[0x80004458]:mulw<br> [0x8000445c]:sd<br> |
| 437|[0x80009db0]<br>0xffffffffccccccd0|- rs1_val==4 and rs2_val==3689348814741910324<br>                                                                                                                                            |[0x80004484]:mulw<br> [0x80004488]:sd<br> |
| 438|[0x80009db8]<br>0xffffffff9999999c|- rs1_val==4 and rs2_val==7378697629483820647<br>                                                                                                                                            |[0x800044b0]:mulw<br> [0x800044b4]:sd<br> |
| 439|[0x80009dc0]<br>0x000000002bec3338|- rs1_val==4 and rs2_val==-3037000498<br>                                                                                                                                                    |[0x800044cc]:mulw<br> [0x800044d0]:sd<br> |
| 440|[0x80009dc8]<br>0xffffffffd413ccd0|- rs1_val==4 and rs2_val==3037000500<br>                                                                                                                                                     |[0x800044e8]:mulw<br> [0x800044ec]:sd<br> |
| 441|[0x80009dd0]<br>0xffffffff99999996|- rs1_val==3689348814741910322 and rs2_val==3<br>                                                                                                                                            |[0x80004514]:mulw<br> [0x80004518]:sd<br> |
| 442|[0x80009dd8]<br>0xffffffff9999999a|- rs1_val==3689348814741910322 and rs2_val==6148914691236517205<br>                                                                                                                          |[0x8000455c]:mulw<br> [0x80004560]:sd<br> |
| 443|[0x80009de0]<br>0x0000000033333334|- rs1_val==3689348814741910322 and rs2_val==-6148914691236517206<br>                                                                                                                         |[0x800045a4]:mulw<br> [0x800045a8]:sd<br> |
| 444|[0x80009de8]<br>0xfffffffffffffffa|- rs1_val==3689348814741910322 and rs2_val==5<br>                                                                                                                                            |[0x800045d0]:mulw<br> [0x800045d4]:sd<br> |
| 445|[0x80009df0]<br>0xffffffff8f5c28f6|- rs1_val==3689348814741910322 and rs2_val==3689348814741910323<br>                                                                                                                          |[0x80004618]:mulw<br> [0x8000461c]:sd<br> |
| 446|[0x80009df8]<br>0x000000001eb851ec|- rs1_val==3689348814741910322 and rs2_val==7378697629483820646<br>                                                                                                                          |[0x80004660]:mulw<br> [0x80004664]:sd<br> |
| 447|[0x80009e00]<br>0x000000000c6c570a|- rs1_val==3689348814741910322 and rs2_val==-3037000499<br>                                                                                                                                  |[0x80004698]:mulw<br> [0x8000469c]:sd<br> |
| 448|[0x80009e08]<br>0xfffffffff393a8f6|- rs1_val==3689348814741910322 and rs2_val==3037000499<br>                                                                                                                                   |[0x800046d0]:mulw<br> [0x800046d4]:sd<br> |
| 449|[0x80009e10]<br>0x0000000066666664|- rs1_val==3689348814741910322 and rs2_val==2<br>                                                                                                                                            |[0x800046fc]:mulw<br> [0x80004700]:sd<br> |
| 450|[0x80009e18]<br>0x0000000066666668|- rs1_val==3689348814741910322 and rs2_val==6148914691236517204<br>                                                                                                                          |[0x80004744]:mulw<br> [0x80004748]:sd<br> |
| 451|[0x80009e20]<br>0x0000000000000000|- rs1_val==3689348814741910322 and rs2_val==0<br>                                                                                                                                            |[0x80004770]:mulw<br> [0x80004774]:sd<br> |
| 452|[0x80009e28]<br>0xffffffffccccccc8|- rs1_val==3689348814741910322 and rs2_val==4<br>                                                                                                                                            |[0x8000479c]:mulw<br> [0x800047a0]:sd<br> |
| 453|[0x80009e30]<br>0x000000005c28f5c4|- rs1_val==3689348814741910322 and rs2_val==3689348814741910322<br>                                                                                                                          |[0x800047e4]:mulw<br> [0x800047e8]:sd<br> |
| 454|[0x80009e38]<br>0xffffffffeb851eba|- rs1_val==3689348814741910322 and rs2_val==7378697629483820645<br>                                                                                                                          |[0x8000482c]:mulw<br> [0x80004830]:sd<br> |
| 455|[0x80009e40]<br>0xffffffffc06075c4|- rs1_val==3689348814741910322 and rs2_val==3037000498<br>                                                                                                                                   |[0x80004864]:mulw<br> [0x80004868]:sd<br> |
| 456|[0x80009e48]<br>0xffffffffcccccccc|- rs1_val==3689348814741910322 and rs2_val==6148914691236517206<br>                                                                                                                          |[0x800048ac]:mulw<br> [0x800048b0]:sd<br> |
| 457|[0x80009e50]<br>0x0000000066666666|- rs1_val==3689348814741910322 and rs2_val==-6148914691236517205<br>                                                                                                                         |[0x800048f4]:mulw<br> [0x800048f8]:sd<br> |
| 458|[0x80009e58]<br>0x000000003333332c|- rs1_val==3689348814741910322 and rs2_val==6<br>                                                                                                                                            |[0x80004920]:mulw<br> [0x80004924]:sd<br> |
| 459|[0x80009e60]<br>0xffffffffc28f5c28|- rs1_val==3689348814741910322 and rs2_val==3689348814741910324<br>                                                                                                                          |[0x80004968]:mulw<br> [0x8000496c]:sd<br> |
| 460|[0x80009e68]<br>0x0000000051eb851e|- rs1_val==3689348814741910322 and rs2_val==7378697629483820647<br>                                                                                                                          |[0x800049b0]:mulw<br> [0x800049b4]:sd<br> |
| 461|[0x80009e70]<br>0x000000003f9f8a3c|- rs1_val==3689348814741910322 and rs2_val==-3037000498<br>                                                                                                                                  |[0x800049e8]:mulw<br> [0x800049ec]:sd<br> |
| 462|[0x80009e78]<br>0x0000000026c6dc28|- rs1_val==3689348814741910322 and rs2_val==3037000500<br>                                                                                                                                   |[0x80004a20]:mulw<br> [0x80004a24]:sd<br> |
| 463|[0x80009e80]<br>0x000000003333332f|- rs1_val==7378697629483820645 and rs2_val==3<br>                                                                                                                                            |[0x80004a4c]:mulw<br> [0x80004a50]:sd<br> |
| 464|[0x80009e88]<br>0xffffffff88888889|- rs1_val==7378697629483820645 and rs2_val==6148914691236517205<br>                                                                                                                          |[0x80004a94]:mulw<br> [0x80004a98]:sd<br> |
| 465|[0x80009e90]<br>0x0000000011111112|- rs1_val==7378697629483820645 and rs2_val==-6148914691236517206<br>                                                                                                                         |[0x80004adc]:mulw<br> [0x80004ae0]:sd<br> |
| 466|[0x80009e98]<br>0xfffffffffffffff9|- rs1_val==7378697629483820645 and rs2_val==5<br>                                                                                                                                            |[0x80004b08]:mulw<br> [0x80004b0c]:sd<br> |
| 467|[0x80009ea0]<br>0x0000000051eb851f|- rs1_val==7378697629483820645 and rs2_val==3689348814741910323<br>                                                                                                                          |[0x80004b50]:mulw<br> [0x80004b54]:sd<br> |
| 468|[0x80009ea8]<br>0xffffffffa3d70a3e|- rs1_val==7378697629483820645 and rs2_val==7378697629483820646<br>                                                                                                                          |[0x80004b98]:mulw<br> [0x80004b9c]:sd<br> |
| 469|[0x80009eb0]<br>0x0000000063d3bae1|- rs1_val==7378697629483820645 and rs2_val==-3037000499<br>                                                                                                                                  |[0x80004bd0]:mulw<br> [0x80004bd4]:sd<br> |
| 470|[0x80009eb8]<br>0xffffffff9c2c451f|- rs1_val==7378697629483820645 and rs2_val==3037000499<br>                                                                                                                                   |[0x80004c08]:mulw<br> [0x80004c0c]:sd<br> |
| 471|[0x80009ec0]<br>0xffffffffccccccca|- rs1_val==7378697629483820645 and rs2_val==2<br>                                                                                                                                            |[0x80004c34]:mulw<br> [0x80004c38]:sd<br> |
| 472|[0x80009ec8]<br>0x0000000022222224|- rs1_val==7378697629483820645 and rs2_val==6148914691236517204<br>                                                                                                                          |[0x80004c7c]:mulw<br> [0x80004c80]:sd<br> |
| 473|[0x80009ed0]<br>0x0000000000000000|- rs1_val==7378697629483820645 and rs2_val==0<br>                                                                                                                                            |[0x80004ca8]:mulw<br> [0x80004cac]:sd<br> |
| 474|[0x80009ed8]<br>0xffffffff99999994|- rs1_val==7378697629483820645 and rs2_val==4<br>                                                                                                                                            |[0x80004cd4]:mulw<br> [0x80004cd8]:sd<br> |
| 475|[0x80009ee0]<br>0xffffffffeb851eba|- rs1_val==7378697629483820645 and rs2_val==3689348814741910322<br>                                                                                                                          |[0x80004d1c]:mulw<br> [0x80004d20]:sd<br> |
| 476|[0x80009ee8]<br>0x000000003d70a3d9|- rs1_val==7378697629483820645 and rs2_val==7378697629483820645<br>                                                                                                                          |[0x80004d64]:mulw<br> [0x80004d68]:sd<br> |
| 477|[0x80009ef0]<br>0x0000000035c5deba|- rs1_val==7378697629483820645 and rs2_val==3037000498<br>                                                                                                                                   |[0x80004d9c]:mulw<br> [0x80004da0]:sd<br> |
| 478|[0x80009ef8]<br>0xffffffffeeeeeeee|- rs1_val==7378697629483820645 and rs2_val==6148914691236517206<br>                                                                                                                          |[0x80004de4]:mulw<br> [0x80004de8]:sd<br> |
| 479|[0x80009f00]<br>0x0000000077777777|- rs1_val==7378697629483820645 and rs2_val==-6148914691236517205<br>                                                                                                                         |[0x80004e2c]:mulw<br> [0x80004e30]:sd<br> |
| 480|[0x80009f08]<br>0x000000006666665e|- rs1_val==7378697629483820645 and rs2_val==6<br>                                                                                                                                            |[0x80004e58]:mulw<br> [0x80004e5c]:sd<br> |
| 481|[0x80009f10]<br>0xffffffffb851eb84|- rs1_val==7378697629483820645 and rs2_val==3689348814741910324<br>                                                                                                                          |[0x80004ea0]:mulw<br> [0x80004ea4]:sd<br> |
| 482|[0x80009f18]<br>0x000000000a3d70a3|- rs1_val==7378697629483820645 and rs2_val==7378697629483820647<br>                                                                                                                          |[0x80004ee8]:mulw<br> [0x80004eec]:sd<br> |
| 483|[0x80009f20]<br>0xffffffffca3a2146|- rs1_val==7378697629483820645 and rs2_val==-3037000498<br>                                                                                                                                  |[0x80004f20]:mulw<br> [0x80004f24]:sd<br> |
| 484|[0x80009f28]<br>0x000000000292ab84|- rs1_val==7378697629483820645 and rs2_val==3037000500<br>                                                                                                                                   |[0x80004f58]:mulw<br> [0x80004f5c]:sd<br> |
| 485|[0x80009f30]<br>0x000000001f0ed996|- rs1_val==3037000498 and rs2_val==3<br>                                                                                                                                                     |[0x80004f74]:mulw<br> [0x80004f78]:sd<br> |
| 486|[0x80009f38]<br>0x0000000018fe599a|- rs1_val==3037000498 and rs2_val==6148914691236517205<br>                                                                                                                                   |[0x80004fac]:mulw<br> [0x80004fb0]:sd<br> |
| 487|[0x80009f40]<br>0x0000000031fcb334|- rs1_val==3037000498 and rs2_val==-6148914691236517206<br>                                                                                                                                  |[0x80004fe4]:mulw<br> [0x80004fe8]:sd<br> |
| 488|[0x80009f48]<br>0xffffffff8918bffa|- rs1_val==3037000498 and rs2_val==5<br>                                                                                                                                                     |[0x80005000]:mulw<br> [0x80005004]:sd<br> |
| 489|[0x80009f50]<br>0x00000000756568f6|- rs1_val==3037000498 and rs2_val==3689348814741910323<br>                                                                                                                                   |[0x80005038]:mulw<br> [0x8000503c]:sd<br> |
| 490|[0x80009f58]<br>0xffffffffeacad1ec|- rs1_val==3037000498 and rs2_val==7378697629483820646<br>                                                                                                                                   |[0x80005070]:mulw<br> [0x80005074]:sd<br> |
| 491|[0x80009f60]<br>0x000000001663170a|- rs1_val==3037000498 and rs2_val==-3037000499<br>                                                                                                                                           |[0x80005098]:mulw<br> [0x8000509c]:sd<br> |
| 492|[0x80009f68]<br>0xffffffffe99ce8f6|- rs1_val==3037000498 and rs2_val==3037000499<br>                                                                                                                                            |[0x800050c0]:mulw<br> [0x800050c4]:sd<br> |
| 493|[0x80009f70]<br>0x000000006a09e664|- rs1_val==3037000498 and rs2_val==2<br>                                                                                                                                                     |[0x800050dc]:mulw<br> [0x800050e0]:sd<br> |
| 494|[0x80009f78]<br>0x0000000063f96668|- rs1_val==3037000498 and rs2_val==6148914691236517204<br>                                                                                                                                   |[0x80005114]:mulw<br> [0x80005118]:sd<br> |
| 495|[0x80009f80]<br>0x0000000000000000|- rs1_val==3037000498 and rs2_val==0<br>                                                                                                                                                     |[0x80005130]:mulw<br> [0x80005134]:sd<br> |
| 496|[0x80009f88]<br>0xffffffffd413ccc8|- rs1_val==3037000498 and rs2_val==4<br>                                                                                                                                                     |[0x8000514c]:mulw<br> [0x80005150]:sd<br> |
| 497|[0x80009f90]<br>0xffffffffc06075c4|- rs1_val==3037000498 and rs2_val==3689348814741910322<br>                                                                                                                                   |[0x80005184]:mulw<br> [0x80005188]:sd<br> |
| 498|[0x80009f98]<br>0x0000000035c5deba|- rs1_val==3037000498 and rs2_val==7378697629483820645<br>                                                                                                                                   |[0x800051bc]:mulw<br> [0x800051c0]:sd<br> |
| 499|[0x80009fa0]<br>0x000000003497f5c4|- rs1_val==3037000498 and rs2_val==3037000498<br>                                                                                                                                            |[0x800051e4]:mulw<br> [0x800051e8]:sd<br> |
| 500|[0x80009fa8]<br>0xffffffffce034ccc|- rs1_val==3037000498 and rs2_val==6148914691236517206<br>                                                                                                                                   |[0x8000521c]:mulw<br> [0x80005220]:sd<br> |
| 501|[0x80009fb0]<br>0xffffffffe701a666|- rs1_val==3037000498 and rs2_val==-6148914691236517205<br>                                                                                                                                  |[0x80005254]:mulw<br> [0x80005258]:sd<br> |
| 502|[0x80009fb8]<br>0x000000003e1db32c|- rs1_val==3037000498 and rs2_val==6<br>                                                                                                                                                     |[0x80005270]:mulw<br> [0x80005274]:sd<br> |
| 503|[0x80009fc0]<br>0x000000002a6a5c28|- rs1_val==3037000498 and rs2_val==3689348814741910324<br>                                                                                                                                   |[0x800052a8]:mulw<br> [0x800052ac]:sd<br> |
| 504|[0x80009fc8]<br>0xffffffff9fcfc51e|- rs1_val==3037000498 and rs2_val==7378697629483820647<br>                                                                                                                                   |[0x800052e0]:mulw<br> [0x800052e4]:sd<br> |
| 505|[0x80009fd0]<br>0xffffffffcb680a3c|- rs1_val==3037000498 and rs2_val==-3037000498<br>                                                                                                                                           |[0x80005308]:mulw<br> [0x8000530c]:sd<br> |
| 506|[0x80009fd8]<br>0xffffffff9ea1dc28|- rs1_val==3037000498 and rs2_val==3037000500<br>                                                                                                                                            |[0x80005330]:mulw<br> [0x80005334]:sd<br> |
| 507|[0x80009fe0]<br>0x0000000000000002|- rs1_val==6148914691236517206 and rs2_val==3<br>                                                                                                                                            |[0x8000535c]:mulw<br> [0x80005360]:sd<br> |
| 508|[0x80009fe8]<br>0xffffffff8e38e38e|- rs1_val==6148914691236517206 and rs2_val==6148914691236517205<br>                                                                                                                          |[0x800053a4]:mulw<br> [0x800053a8]:sd<br> |
| 509|[0x80009ff0]<br>0x000000001c71c71c|- rs1_val==6148914691236517206 and rs2_val==-6148914691236517206<br>                                                                                                                         |[0x800053ec]:mulw<br> [0x800053f0]:sd<br> |
| 510|[0x80009ff8]<br>0xffffffffaaaaaaae|- rs1_val==6148914691236517206 and rs2_val==5<br>                                                                                                                                            |[0x80005418]:mulw<br> [0x8000541c]:sd<br> |
| 511|[0x8000a000]<br>0x0000000022222222|- rs1_val==6148914691236517206 and rs2_val==3689348814741910323<br>                                                                                                                          |[0x80005460]:mulw<br> [0x80005464]:sd<br> |
| 512|[0x8000a008]<br>0x0000000044444444|- rs1_val==6148914691236517206 and rs2_val==7378697629483820646<br>                                                                                                                          |[0x800054a8]:mulw<br> [0x800054ac]:sd<br> |
| 513|[0x8000a010]<br>0xffffffffdca75dde|- rs1_val==6148914691236517206 and rs2_val==-3037000499<br>                                                                                                                                  |[0x800054e0]:mulw<br> [0x800054e4]:sd<br> |
| 514|[0x8000a018]<br>0x000000002358a222|- rs1_val==6148914691236517206 and rs2_val==3037000499<br>                                                                                                                                   |[0x80005518]:mulw<br> [0x8000551c]:sd<br> |
| 515|[0x8000a020]<br>0xffffffffaaaaaaac|- rs1_val==6148914691236517206 and rs2_val==2<br>                                                                                                                                            |[0x80005544]:mulw<br> [0x80005548]:sd<br> |
| 516|[0x8000a028]<br>0x0000000038e38e38|- rs1_val==6148914691236517206 and rs2_val==6148914691236517204<br>                                                                                                                          |[0x8000558c]:mulw<br> [0x80005590]:sd<br> |
| 517|[0x8000a030]<br>0x0000000000000000|- rs1_val==6148914691236517206 and rs2_val==0<br>                                                                                                                                            |[0x800055b8]:mulw<br> [0x800055bc]:sd<br> |
| 518|[0x8000a038]<br>0x0000000055555558|- rs1_val==6148914691236517206 and rs2_val==4<br>                                                                                                                                            |[0x800055e4]:mulw<br> [0x800055e8]:sd<br> |
| 519|[0x8000a040]<br>0xffffffffcccccccc|- rs1_val==6148914691236517206 and rs2_val==3689348814741910322<br>                                                                                                                          |[0x8000562c]:mulw<br> [0x80005630]:sd<br> |
| 520|[0x8000a048]<br>0xffffffffeeeeeeee|- rs1_val==6148914691236517206 and rs2_val==7378697629483820645<br>                                                                                                                          |[0x80005674]:mulw<br> [0x80005678]:sd<br> |
| 521|[0x8000a050]<br>0xffffffffce034ccc|- rs1_val==6148914691236517206 and rs2_val==3037000498<br>                                                                                                                                   |[0x800056ac]:mulw<br> [0x800056b0]:sd<br> |
| 522|[0x8000a058]<br>0xffffffffe38e38e4|- rs1_val==6148914691236517206 and rs2_val==6148914691236517206<br>                                                                                                                          |[0x800056f4]:mulw<br> [0x800056f8]:sd<br> |
| 523|[0x8000a060]<br>0x0000000071c71c72|- rs1_val==6148914691236517206 and rs2_val==-6148914691236517205<br>                                                                                                                         |[0x8000573c]:mulw<br> [0x80005740]:sd<br> |
| 524|[0x8000a068]<br>0x0000000000000004|- rs1_val==6148914691236517206 and rs2_val==6<br>                                                                                                                                            |[0x80005768]:mulw<br> [0x8000576c]:sd<br> |
| 525|[0x8000a070]<br>0x0000000077777778|- rs1_val==6148914691236517206 and rs2_val==3689348814741910324<br>                                                                                                                          |[0x800057b0]:mulw<br> [0x800057b4]:sd<br> |
| 526|[0x8000a078]<br>0xffffffff9999999a|- rs1_val==6148914691236517206 and rs2_val==7378697629483820647<br>                                                                                                                          |[0x800057f8]:mulw<br> [0x800057fc]:sd<br> |
| 527|[0x8000a080]<br>0x0000000031fcb334|- rs1_val==6148914691236517206 and rs2_val==-3037000498<br>                                                                                                                                  |[0x80005830]:mulw<br> [0x80005834]:sd<br> |
| 528|[0x8000a088]<br>0x0000000078adf778|- rs1_val==6148914691236517206 and rs2_val==3037000500<br>                                                                                                                                   |[0x80005868]:mulw<br> [0x8000586c]:sd<br> |
| 529|[0x8000a090]<br>0x0000000000000001|- rs1_val==-6148914691236517205 and rs2_val==3<br>                                                                                                                                           |[0x80005894]:mulw<br> [0x80005898]:sd<br> |
| 530|[0x8000a098]<br>0xffffffffc71c71c7|- rs1_val==-6148914691236517205 and rs2_val==6148914691236517205<br>                                                                                                                         |[0x800058dc]:mulw<br> [0x800058e0]:sd<br> |
| 531|[0x8000a0a0]<br>0xffffffff8e38e38e|- rs1_val==-6148914691236517205 and rs2_val==-6148914691236517206<br>                                                                                                                        |[0x80005924]:mulw<br> [0x80005928]:sd<br> |
| 532|[0x8000a0a8]<br>0x0000000055555557|- rs1_val==-6148914691236517205 and rs2_val==5<br>                                                                                                                                           |[0x80005950]:mulw<br> [0x80005954]:sd<br> |
| 533|[0x8000a0b0]<br>0x0000000011111111|- rs1_val==-6148914691236517205 and rs2_val==3689348814741910323<br>                                                                                                                         |[0x80005998]:mulw<br> [0x8000599c]:sd<br> |
| 534|[0x8000a0b8]<br>0x0000000022222222|- rs1_val==-6148914691236517205 and rs2_val==7378697629483820646<br>                                                                                                                         |[0x800059e0]:mulw<br> [0x800059e4]:sd<br> |
| 535|[0x8000a0c0]<br>0x000000006e53aeef|- rs1_val==-6148914691236517205 and rs2_val==-3037000499<br>                                                                                                                                 |[0x80005a18]:mulw<br> [0x80005a1c]:sd<br> |
| 536|[0x8000a0c8]<br>0xffffffff91ac5111|- rs1_val==-6148914691236517205 and rs2_val==3037000499<br>                                                                                                                                  |[0x80005a50]:mulw<br> [0x80005a54]:sd<br> |
| 537|[0x8000a0d0]<br>0x0000000055555556|- rs1_val==-6148914691236517205 and rs2_val==2<br>                                                                                                                                           |[0x80005a7c]:mulw<br> [0x80005a80]:sd<br> |
| 538|[0x8000a0d8]<br>0x000000001c71c71c|- rs1_val==-6148914691236517205 and rs2_val==6148914691236517204<br>                                                                                                                         |[0x80005ac4]:mulw<br> [0x80005ac8]:sd<br> |
| 539|[0x8000a0e0]<br>0x0000000000000000|- rs1_val==-6148914691236517205 and rs2_val==0<br>                                                                                                                                           |[0x80005af0]:mulw<br> [0x80005af4]:sd<br> |
| 540|[0x8000a0e8]<br>0xffffffffaaaaaaac|- rs1_val==-6148914691236517205 and rs2_val==4<br>                                                                                                                                           |[0x80005b1c]:mulw<br> [0x80005b20]:sd<br> |
| 541|[0x8000a0f0]<br>0x0000000066666666|- rs1_val==-6148914691236517205 and rs2_val==3689348814741910322<br>                                                                                                                         |[0x80005b64]:mulw<br> [0x80005b68]:sd<br> |
| 542|[0x8000a0f8]<br>0x0000000077777777|- rs1_val==-6148914691236517205 and rs2_val==7378697629483820645<br>                                                                                                                         |[0x80005bac]:mulw<br> [0x80005bb0]:sd<br> |
| 543|[0x8000a100]<br>0xffffffffe701a666|- rs1_val==-6148914691236517205 and rs2_val==3037000498<br>                                                                                                                                  |[0x80005be4]:mulw<br> [0x80005be8]:sd<br> |
| 544|[0x8000a108]<br>0x0000000071c71c72|- rs1_val==-6148914691236517205 and rs2_val==6148914691236517206<br>                                                                                                                         |[0x80005c2c]:mulw<br> [0x80005c30]:sd<br> |
| 545|[0x8000a110]<br>0x0000000038e38e39|- rs1_val==-6148914691236517205 and rs2_val==-6148914691236517205<br>                                                                                                                        |[0x80005c7c]:mulw<br> [0x80005c80]:sd<br> |
| 546|[0x8000a118]<br>0x0000000000000002|- rs1_val==-6148914691236517205 and rs2_val==6<br>                                                                                                                                           |[0x80005ca8]:mulw<br> [0x80005cac]:sd<br> |
| 547|[0x8000a120]<br>0xffffffffbbbbbbbc|- rs1_val==-6148914691236517205 and rs2_val==3689348814741910324<br>                                                                                                                         |[0x80005cf0]:mulw<br> [0x80005cf4]:sd<br> |
| 548|[0x8000a128]<br>0xffffffffcccccccd|- rs1_val==-6148914691236517205 and rs2_val==7378697629483820647<br>                                                                                                                         |[0x80005d38]:mulw<br> [0x80005d3c]:sd<br> |
| 549|[0x8000a130]<br>0x0000000018fe599a|- rs1_val==-6148914691236517205 and rs2_val==-3037000498<br>                                                                                                                                 |[0x80005d70]:mulw<br> [0x80005d74]:sd<br> |
| 550|[0x8000a138]<br>0x000000003c56fbbc|- rs1_val==-6148914691236517205 and rs2_val==3037000500<br>                                                                                                                                  |[0x80005da8]:mulw<br> [0x80005dac]:sd<br> |
| 551|[0x8000a140]<br>0x0000000000000012|- rs1_val==6 and rs2_val==3<br>                                                                                                                                                              |[0x80005db8]:mulw<br> [0x80005dbc]:sd<br> |
| 552|[0x8000a148]<br>0xfffffffffffffffe|- rs1_val==6 and rs2_val==6148914691236517205<br>                                                                                                                                            |[0x80005de4]:mulw<br> [0x80005de8]:sd<br> |
| 553|[0x8000a150]<br>0xfffffffffffffffc|- rs1_val==6 and rs2_val==-6148914691236517206<br>                                                                                                                                           |[0x80005e10]:mulw<br> [0x80005e14]:sd<br> |
| 554|[0x8000a158]<br>0x000000000000001e|- rs1_val==6 and rs2_val==5<br>                                                                                                                                                              |[0x80005e20]:mulw<br> [0x80005e24]:sd<br> |
| 555|[0x8000a160]<br>0x0000000033333332|- rs1_val==6 and rs2_val==3689348814741910323<br>                                                                                                                                            |[0x80005e4c]:mulw<br> [0x80005e50]:sd<br> |
| 556|[0x8000a168]<br>0x0000000066666664|- rs1_val==6 and rs2_val==7378697629483820646<br>                                                                                                                                            |[0x80005e78]:mulw<br> [0x80005e7c]:sd<br> |
| 557|[0x8000a170]<br>0xffffffffc1e24cce|- rs1_val==6 and rs2_val==-3037000499<br>                                                                                                                                                    |[0x80005e94]:mulw<br> [0x80005e98]:sd<br> |
| 558|[0x8000a178]<br>0x000000003e1db332|- rs1_val==6 and rs2_val==3037000499<br>                                                                                                                                                     |[0x80005eb0]:mulw<br> [0x80005eb4]:sd<br> |
| 559|[0x8000a180]<br>0x000000000000000c|- rs1_val==6 and rs2_val==2<br>                                                                                                                                                              |[0x80005ec0]:mulw<br> [0x80005ec4]:sd<br> |
| 560|[0x8000a188]<br>0xfffffffffffffff8|- rs1_val==6 and rs2_val==6148914691236517204<br>                                                                                                                                            |[0x80005eec]:mulw<br> [0x80005ef0]:sd<br> |
| 561|[0x8000a190]<br>0x0000000000000000|- rs1_val==6 and rs2_val==0<br>                                                                                                                                                              |[0x80005efc]:mulw<br> [0x80005f00]:sd<br> |
| 562|[0x8000a198]<br>0x0000000000000018|- rs1_val==6 and rs2_val==4<br>                                                                                                                                                              |[0x80005f0c]:mulw<br> [0x80005f10]:sd<br> |
| 563|[0x8000a1a0]<br>0x000000003333332c|- rs1_val==6 and rs2_val==3689348814741910322<br>                                                                                                                                            |[0x80005f38]:mulw<br> [0x80005f3c]:sd<br> |
| 564|[0x8000a1a8]<br>0x000000006666665e|- rs1_val==6 and rs2_val==7378697629483820645<br>                                                                                                                                            |[0x80005f64]:mulw<br> [0x80005f68]:sd<br> |
| 565|[0x8000a1b0]<br>0x000000003e1db32c|- rs1_val==6 and rs2_val==3037000498<br>                                                                                                                                                     |[0x80005f80]:mulw<br> [0x80005f84]:sd<br> |
| 566|[0x8000a1b8]<br>0x0000000000000004|- rs1_val==6 and rs2_val==6148914691236517206<br>                                                                                                                                            |[0x80005fac]:mulw<br> [0x80005fb0]:sd<br> |
| 567|[0x8000a1c0]<br>0x0000000000000002|- rs1_val==6 and rs2_val==-6148914691236517205<br>                                                                                                                                           |[0x80005fd8]:mulw<br> [0x80005fdc]:sd<br> |
| 568|[0x8000a1c8]<br>0x0000000000000024|- rs1_val==6 and rs2_val==6<br>                                                                                                                                                              |[0x80005fe8]:mulw<br> [0x80005fec]:sd<br> |
| 569|[0x8000a1d0]<br>0x0000000033333338|- rs1_val==6 and rs2_val==3689348814741910324<br>                                                                                                                                            |[0x80006014]:mulw<br> [0x80006018]:sd<br> |
| 570|[0x8000a1d8]<br>0x000000006666666a|- rs1_val==6 and rs2_val==7378697629483820647<br>                                                                                                                                            |[0x80006040]:mulw<br> [0x80006044]:sd<br> |
| 571|[0x8000a1e0]<br>0xffffffffc1e24cd4|- rs1_val==6 and rs2_val==-3037000498<br>                                                                                                                                                    |[0x8000605c]:mulw<br> [0x80006060]:sd<br> |
| 572|[0x8000a1e8]<br>0x000000003e1db338|- rs1_val==6 and rs2_val==3037000500<br>                                                                                                                                                     |[0x80006078]:mulw<br> [0x8000607c]:sd<br> |
| 573|[0x8000a1f0]<br>0xffffffff9999999c|- rs1_val==3689348814741910324 and rs2_val==3<br>                                                                                                                                            |[0x800060a4]:mulw<br> [0x800060a8]:sd<br> |
| 574|[0x8000a1f8]<br>0x0000000044444444|- rs1_val==3689348814741910324 and rs2_val==6148914691236517205<br>                                                                                                                          |[0x800060ec]:mulw<br> [0x800060f0]:sd<br> |
| 575|[0x8000a200]<br>0xffffffff88888888|- rs1_val==3689348814741910324 and rs2_val==-6148914691236517206<br>                                                                                                                         |[0x80006134]:mulw<br> [0x80006138]:sd<br> |
| 576|[0x8000a208]<br>0x0000000000000004|- rs1_val==3689348814741910324 and rs2_val==5<br>                                                                                                                                            |[0x80006160]:mulw<br> [0x80006164]:sd<br> |
| 577|[0x8000a210]<br>0xfffffffff5c28f5c|- rs1_val==3689348814741910324 and rs2_val==3689348814741910323<br>                                                                                                                          |[0x800061a8]:mulw<br> [0x800061ac]:sd<br> |
| 578|[0x8000a218]<br>0xffffffffeb851eb8|- rs1_val==3689348814741910324 and rs2_val==7378697629483820646<br>                                                                                                                          |[0x800061f0]:mulw<br> [0x800061f4]:sd<br> |
| 579|[0x8000a220]<br>0xffffffffa26270a4|- rs1_val==3689348814741910324 and rs2_val==-3037000499<br>                                                                                                                                  |[0x80006228]:mulw<br> [0x8000622c]:sd<br> |
| 580|[0x8000a228]<br>0x000000005d9d8f5c|- rs1_val==3689348814741910324 and rs2_val==3037000499<br>                                                                                                                                   |[0x80006260]:mulw<br> [0x80006264]:sd<br> |
| 581|[0x8000a230]<br>0x0000000066666668|- rs1_val==3689348814741910324 and rs2_val==2<br>                                                                                                                                            |[0x8000628c]:mulw<br> [0x80006290]:sd<br> |
| 582|[0x8000a238]<br>0x0000000011111110|- rs1_val==3689348814741910324 and rs2_val==6148914691236517204<br>                                                                                                                          |[0x800062d4]:mulw<br> [0x800062d8]:sd<br> |
| 583|[0x8000a240]<br>0x0000000000000000|- rs1_val==3689348814741910324 and rs2_val==0<br>                                                                                                                                            |[0x80006300]:mulw<br> [0x80006304]:sd<br> |
| 584|[0x8000a248]<br>0xffffffffccccccd0|- rs1_val==3689348814741910324 and rs2_val==4<br>                                                                                                                                            |[0x8000632c]:mulw<br> [0x80006330]:sd<br> |
| 585|[0x8000a250]<br>0xffffffffc28f5c28|- rs1_val==3689348814741910324 and rs2_val==3689348814741910322<br>                                                                                                                          |[0x80006374]:mulw<br> [0x80006378]:sd<br> |
| 586|[0x8000a258]<br>0xffffffffb851eb84|- rs1_val==3689348814741910324 and rs2_val==7378697629483820645<br>                                                                                                                          |[0x800063bc]:mulw<br> [0x800063c0]:sd<br> |
| 587|[0x8000a260]<br>0x000000002a6a5c28|- rs1_val==3689348814741910324 and rs2_val==3037000498<br>                                                                                                                                   |[0x800063f4]:mulw<br> [0x800063f8]:sd<br> |
| 588|[0x8000a268]<br>0x0000000077777778|- rs1_val==3689348814741910324 and rs2_val==6148914691236517206<br>                                                                                                                          |[0x8000643c]:mulw<br> [0x80006440]:sd<br> |
| 589|[0x8000a270]<br>0xffffffffbbbbbbbc|- rs1_val==3689348814741910324 and rs2_val==-6148914691236517205<br>                                                                                                                         |[0x80006484]:mulw<br> [0x80006488]:sd<br> |
| 590|[0x8000a278]<br>0x0000000033333338|- rs1_val==3689348814741910324 and rs2_val==6<br>                                                                                                                                            |[0x800064b0]:mulw<br> [0x800064b4]:sd<br> |
| 591|[0x8000a280]<br>0x0000000028f5c290|- rs1_val==3689348814741910324 and rs2_val==3689348814741910324<br>                                                                                                                          |[0x800064f8]:mulw<br> [0x800064fc]:sd<br> |
| 592|[0x8000a288]<br>0x000000001eb851ec|- rs1_val==3689348814741910324 and rs2_val==7378697629483820647<br>                                                                                                                          |[0x80006540]:mulw<br> [0x80006544]:sd<br> |
| 593|[0x8000a290]<br>0xffffffffd595a3d8|- rs1_val==3689348814741910324 and rs2_val==-3037000498<br>                                                                                                                                  |[0x80006578]:mulw<br> [0x8000657c]:sd<br> |
| 594|[0x8000a298]<br>0xffffffff90d0c290|- rs1_val==3689348814741910324 and rs2_val==3037000500<br>                                                                                                                                   |[0x800065b0]:mulw<br> [0x800065b4]:sd<br> |
| 595|[0x8000a2a0]<br>0x0000000033333335|- rs1_val==7378697629483820647 and rs2_val==3<br>                                                                                                                                            |[0x800065dc]:mulw<br> [0x800065e0]:sd<br> |
| 596|[0x8000a2a8]<br>0x0000000033333333|- rs1_val==7378697629483820647 and rs2_val==6148914691236517205<br>                                                                                                                          |[0x80006624]:mulw<br> [0x80006628]:sd<br> |
| 597|[0x8000a2b0]<br>0x0000000066666666|- rs1_val==7378697629483820647 and rs2_val==-6148914691236517206<br>                                                                                                                         |[0x8000666c]:mulw<br> [0x80006670]:sd<br> |
| 598|[0x8000a2b8]<br>0x0000000000000003|- rs1_val==7378697629483820647 and rs2_val==5<br>                                                                                                                                            |[0x80006698]:mulw<br> [0x8000669c]:sd<br> |
| 599|[0x8000a2c0]<br>0xffffffffb851eb85|- rs1_val==7378697629483820647 and rs2_val==3689348814741910323<br>                                                                                                                          |[0x800066e0]:mulw<br> [0x800066e4]:sd<br> |
| 600|[0x8000a2c8]<br>0x0000000070a3d70a|- rs1_val==7378697629483820647 and rs2_val==7378697629483820646<br>                                                                                                                          |[0x80006728]:mulw<br> [0x8000672c]:sd<br> |
| 601|[0x8000a2d0]<br>0xfffffffff9c9d47b|- rs1_val==7378697629483820647 and rs2_val==-3037000499<br>                                                                                                                                  |[0x80006760]:mulw<br> [0x80006764]:sd<br> |
| 602|[0x8000a2d8]<br>0x0000000006362b85|- rs1_val==7378697629483820647 and rs2_val==3037000499<br>                                                                                                                                   |[0x80006798]:mulw<br> [0x8000679c]:sd<br> |
| 603|[0x8000a2e0]<br>0xffffffffccccccce|- rs1_val==7378697629483820647 and rs2_val==2<br>                                                                                                                                            |[0x800067c4]:mulw<br> [0x800067c8]:sd<br> |
| 604|[0x8000a2e8]<br>0xffffffffcccccccc|- rs1_val==7378697629483820647 and rs2_val==6148914691236517204<br>                                                                                                                          |[0x8000680c]:mulw<br> [0x80006810]:sd<br> |
| 605|[0x8000a2f0]<br>0x0000000000000000|- rs1_val==7378697629483820647 and rs2_val==0<br>                                                                                                                                            |[0x80006838]:mulw<br> [0x8000683c]:sd<br> |
| 606|[0x8000a2f8]<br>0xffffffff9999999c|- rs1_val==7378697629483820647 and rs2_val==4<br>                                                                                                                                            |[0x80006864]:mulw<br> [0x80006868]:sd<br> |
| 607|[0x8000a300]<br>0x0000000051eb851e|- rs1_val==7378697629483820647 and rs2_val==3689348814741910322<br>                                                                                                                          |[0x800068ac]:mulw<br> [0x800068b0]:sd<br> |
| 608|[0x8000a308]<br>0x000000000a3d70a3|- rs1_val==7378697629483820647 and rs2_val==7378697629483820645<br>                                                                                                                          |[0x800068f4]:mulw<br> [0x800068f8]:sd<br> |
| 609|[0x8000a310]<br>0xffffffff9fcfc51e|- rs1_val==7378697629483820647 and rs2_val==3037000498<br>                                                                                                                                   |[0x8000692c]:mulw<br> [0x80006930]:sd<br> |
| 610|[0x8000a318]<br>0xffffffff9999999a|- rs1_val==7378697629483820647 and rs2_val==6148914691236517206<br>                                                                                                                          |[0x80006974]:mulw<br> [0x80006978]:sd<br> |
| 611|[0x8000a320]<br>0xffffffffcccccccd|- rs1_val==7378697629483820647 and rs2_val==-6148914691236517205<br>                                                                                                                         |[0x800069bc]:mulw<br> [0x800069c0]:sd<br> |
| 612|[0x8000a328]<br>0x000000006666666a|- rs1_val==7378697629483820647 and rs2_val==6<br>                                                                                                                                            |[0x800069e8]:mulw<br> [0x800069ec]:sd<br> |
| 613|[0x8000a330]<br>0x000000001eb851ec|- rs1_val==7378697629483820647 and rs2_val==3689348814741910324<br>                                                                                                                          |[0x80006a30]:mulw<br> [0x80006a34]:sd<br> |
| 614|[0x8000a338]<br>0xffffffffd70a3d71|- rs1_val==7378697629483820647 and rs2_val==7378697629483820647<br>                                                                                                                          |[0x80006a78]:mulw<br> [0x80006a7c]:sd<br> |
| 615|[0x8000a340]<br>0x0000000060303ae2|- rs1_val==7378697629483820647 and rs2_val==-3037000498<br>                                                                                                                                  |[0x80006ab0]:mulw<br> [0x80006ab4]:sd<br> |
| 616|[0x8000a348]<br>0x000000006c9c91ec|- rs1_val==7378697629483820647 and rs2_val==3037000500<br>                                                                                                                                   |[0x80006ae8]:mulw<br> [0x80006aec]:sd<br> |
| 617|[0x8000a350]<br>0xffffffffe0f1266a|- rs1_val==-3037000498 and rs2_val==3<br>                                                                                                                                                    |[0x80006b04]:mulw<br> [0x80006b08]:sd<br> |
| 618|[0x8000a358]<br>0xffffffffe701a666|- rs1_val==-3037000498 and rs2_val==6148914691236517205<br>                                                                                                                                  |[0x80006b3c]:mulw<br> [0x80006b40]:sd<br> |
| 619|[0x8000a360]<br>0xffffffffce034ccc|- rs1_val==-3037000498 and rs2_val==-6148914691236517206<br>                                                                                                                                 |[0x80006b74]:mulw<br> [0x80006b78]:sd<br> |
| 620|[0x8000a368]<br>0x0000000076e74006|- rs1_val==-3037000498 and rs2_val==5<br>                                                                                                                                                    |[0x80006b90]:mulw<br> [0x80006b94]:sd<br> |
| 621|[0x8000a370]<br>0xffffffff8a9a970a|- rs1_val==-3037000498 and rs2_val==3689348814741910323<br>                                                                                                                                  |[0x80006bc8]:mulw<br> [0x80006bcc]:sd<br> |
| 622|[0x8000a378]<br>0x0000000015352e14|- rs1_val==-3037000498 and rs2_val==7378697629483820646<br>                                                                                                                                  |[0x80006c00]:mulw<br> [0x80006c04]:sd<br> |
| 623|[0x8000a380]<br>0xffffffffe99ce8f6|- rs1_val==-3037000498 and rs2_val==-3037000499<br>                                                                                                                                          |[0x80006c28]:mulw<br> [0x80006c2c]:sd<br> |
| 624|[0x8000a388]<br>0x000000001663170a|- rs1_val==-3037000498 and rs2_val==3037000499<br>                                                                                                                                           |[0x80006c50]:mulw<br> [0x80006c54]:sd<br> |
| 625|[0x8000a390]<br>0xffffffff95f6199c|- rs1_val==-3037000498 and rs2_val==2<br>                                                                                                                                                    |[0x80006c6c]:mulw<br> [0x80006c70]:sd<br> |
| 626|[0x8000a398]<br>0xffffffff9c069998|- rs1_val==-3037000498 and rs2_val==6148914691236517204<br>                                                                                                                                  |[0x80006ca4]:mulw<br> [0x80006ca8]:sd<br> |
| 627|[0x8000a3a0]<br>0x0000000000000000|- rs1_val==-3037000498 and rs2_val==0<br>                                                                                                                                                    |[0x80006cc0]:mulw<br> [0x80006cc4]:sd<br> |
| 628|[0x8000a3a8]<br>0x000000002bec3338|- rs1_val==-3037000498 and rs2_val==4<br>                                                                                                                                                    |[0x80006cdc]:mulw<br> [0x80006ce0]:sd<br> |
| 629|[0x8000a3b0]<br>0x000000003f9f8a3c|- rs1_val==-3037000498 and rs2_val==3689348814741910322<br>                                                                                                                                  |[0x80006d14]:mulw<br> [0x80006d18]:sd<br> |
| 630|[0x8000a3b8]<br>0xffffffffca3a2146|- rs1_val==-3037000498 and rs2_val==7378697629483820645<br>                                                                                                                                  |[0x80006d4c]:mulw<br> [0x80006d50]:sd<br> |
| 631|[0x8000a3c0]<br>0xffffffffcb680a3c|- rs1_val==-3037000498 and rs2_val==3037000498<br>                                                                                                                                           |[0x80006d74]:mulw<br> [0x80006d78]:sd<br> |
| 632|[0x8000a3c8]<br>0x0000000031fcb334|- rs1_val==-3037000498 and rs2_val==6148914691236517206<br>                                                                                                                                  |[0x80006dac]:mulw<br> [0x80006db0]:sd<br> |
| 633|[0x8000a3d0]<br>0x0000000018fe599a|- rs1_val==-3037000498 and rs2_val==-6148914691236517205<br>                                                                                                                                 |[0x80006de4]:mulw<br> [0x80006de8]:sd<br> |
| 634|[0x8000a3d8]<br>0xffffffffc1e24cd4|- rs1_val==-3037000498 and rs2_val==6<br>                                                                                                                                                    |[0x80006e00]:mulw<br> [0x80006e04]:sd<br> |
| 635|[0x8000a3e0]<br>0xffffffffd595a3d8|- rs1_val==-3037000498 and rs2_val==3689348814741910324<br>                                                                                                                                  |[0x80006e38]:mulw<br> [0x80006e3c]:sd<br> |
| 636|[0x8000a3e8]<br>0x0000000060303ae2|- rs1_val==-3037000498 and rs2_val==7378697629483820647<br>                                                                                                                                  |[0x80006e70]:mulw<br> [0x80006e74]:sd<br> |
| 637|[0x8000a3f0]<br>0x000000003497f5c4|- rs1_val==-3037000498 and rs2_val==-3037000498<br>                                                                                                                                          |[0x80006e98]:mulw<br> [0x80006e9c]:sd<br> |
| 638|[0x8000a3f8]<br>0x00000000615e23d8|- rs1_val==-3037000498 and rs2_val==3037000500<br>                                                                                                                                           |[0x80006ec0]:mulw<br> [0x80006ec4]:sd<br> |
| 639|[0x8000a400]<br>0x000000001f0ed99c|- rs1_val==3037000500 and rs2_val==3<br>                                                                                                                                                     |[0x80006edc]:mulw<br> [0x80006ee0]:sd<br> |
| 640|[0x8000a408]<br>0xffffffffc3a90444|- rs1_val==3037000500 and rs2_val==6148914691236517205<br>                                                                                                                                   |[0x80006f14]:mulw<br> [0x80006f18]:sd<br> |
| 641|[0x8000a410]<br>0xffffffff87520888|- rs1_val==3037000500 and rs2_val==-6148914691236517206<br>                                                                                                                                  |[0x80006f4c]:mulw<br> [0x80006f50]:sd<br> |
| 642|[0x8000a418]<br>0xffffffff8918c004|- rs1_val==3037000500 and rs2_val==5<br>                                                                                                                                                     |[0x80006f68]:mulw<br> [0x80006f6c]:sd<br> |
| 643|[0x8000a420]<br>0xffffffffdbcbcf5c|- rs1_val==3037000500 and rs2_val==3689348814741910323<br>                                                                                                                                   |[0x80006fa0]:mulw<br> [0x80006fa4]:sd<br> |
| 644|[0x8000a428]<br>0xffffffffb7979eb8|- rs1_val==3037000500 and rs2_val==7378697629483820646<br>                                                                                                                                   |[0x80006fd8]:mulw<br> [0x80006fdc]:sd<br> |
| 645|[0x8000a430]<br>0xffffffffac5930a4|- rs1_val==3037000500 and rs2_val==-3037000499<br>                                                                                                                                           |[0x80007000]:mulw<br> [0x80007004]:sd<br> |
| 646|[0x8000a438]<br>0x0000000053a6cf5c|- rs1_val==3037000500 and rs2_val==3037000499<br>                                                                                                                                            |[0x80007028]:mulw<br> [0x8000702c]:sd<br> |
| 647|[0x8000a440]<br>0x000000006a09e668|- rs1_val==3037000500 and rs2_val==2<br>                                                                                                                                                     |[0x80007044]:mulw<br> [0x80007048]:sd<br> |
| 648|[0x8000a448]<br>0x000000000ea41110|- rs1_val==3037000500 and rs2_val==6148914691236517204<br>                                                                                                                                   |[0x8000707c]:mulw<br> [0x80007080]:sd<br> |
| 649|[0x8000a450]<br>0x0000000000000000|- rs1_val==3037000500 and rs2_val==0<br>                                                                                                                                                     |[0x80007098]:mulw<br> [0x8000709c]:sd<br> |
| 650|[0x8000a458]<br>0xffffffffd413ccd0|- rs1_val==3037000500 and rs2_val==4<br>                                                                                                                                                     |[0x800070b4]:mulw<br> [0x800070b8]:sd<br> |
| 651|[0x8000a460]<br>0x0000000026c6dc28|- rs1_val==3037000500 and rs2_val==3689348814741910322<br>                                                                                                                                   |[0x800070ec]:mulw<br> [0x800070f0]:sd<br> |
| 652|[0x8000a468]<br>0x000000000292ab84|- rs1_val==3037000500 and rs2_val==7378697629483820645<br>                                                                                                                                   |[0x80007124]:mulw<br> [0x80007128]:sd<br> |
| 653|[0x8000a470]<br>0xffffffff9ea1dc28|- rs1_val==3037000500 and rs2_val==3037000498<br>                                                                                                                                            |[0x8000714c]:mulw<br> [0x80007150]:sd<br> |
| 654|[0x8000a478]<br>0x0000000078adf778|- rs1_val==3037000500 and rs2_val==6148914691236517206<br>                                                                                                                                   |[0x80007184]:mulw<br> [0x80007188]:sd<br> |
| 655|[0x8000a480]<br>0x000000003c56fbbc|- rs1_val==3037000500 and rs2_val==-6148914691236517205<br>                                                                                                                                  |[0x800071bc]:mulw<br> [0x800071c0]:sd<br> |
| 656|[0x8000a488]<br>0x000000003e1db338|- rs1_val==3037000500 and rs2_val==6<br>                                                                                                                                                     |[0x800071d8]:mulw<br> [0x800071dc]:sd<br> |
| 657|[0x8000a490]<br>0xffffffff90d0c290|- rs1_val==3037000500 and rs2_val==3689348814741910324<br>                                                                                                                                   |[0x80007210]:mulw<br> [0x80007214]:sd<br> |
| 658|[0x8000a498]<br>0x000000006c9c91ec|- rs1_val==3037000500 and rs2_val==7378697629483820647<br>                                                                                                                                   |[0x80007248]:mulw<br> [0x8000724c]:sd<br> |
| 659|[0x8000a4a0]<br>0x00000000615e23d8|- rs1_val==3037000500 and rs2_val==-3037000498<br>                                                                                                                                           |[0x80007270]:mulw<br> [0x80007274]:sd<br> |
| 660|[0x8000a4a8]<br>0x0000000008abc290|- rs1_val==3037000500 and rs2_val==3037000500<br>                                                                                                                                            |[0x80007298]:mulw<br> [0x8000729c]:sd<br> |
| 661|[0x8000a4b0]<br>0x0000000000000000|- rs1_val==0 and rs2_val==6148914691236517204<br>                                                                                                                                            |[0x800072c4]:mulw<br> [0x800072c8]:sd<br> |
| 662|[0x8000a4c0]<br>0x0000000000000000|- rs1_val==0 and rs2_val==4<br>                                                                                                                                                              |[0x800072e4]:mulw<br> [0x800072e8]:sd<br> |
| 663|[0x8000a4c8]<br>0x0000000000000000|- rs1_val==0 and rs2_val==3689348814741910322<br>                                                                                                                                            |[0x80007310]:mulw<br> [0x80007314]:sd<br> |
| 664|[0x8000a4d0]<br>0x0000000000000000|- rs1_val==0 and rs2_val==7378697629483820645<br>                                                                                                                                            |[0x8000733c]:mulw<br> [0x80007340]:sd<br> |
| 665|[0x8000a4d8]<br>0x0000000000000000|- rs1_val==0 and rs2_val==3037000498<br>                                                                                                                                                     |[0x80007358]:mulw<br> [0x8000735c]:sd<br> |
| 666|[0x8000a4e0]<br>0x0000000000000000|- rs1_val==0 and rs2_val==6148914691236517206<br>                                                                                                                                            |[0x80007384]:mulw<br> [0x80007388]:sd<br> |
| 667|[0x8000a4e8]<br>0x0000000000000000|- rs1_val==0 and rs2_val==-6148914691236517205<br>                                                                                                                                           |[0x800073b0]:mulw<br> [0x800073b4]:sd<br> |
| 668|[0x8000a4f0]<br>0x0000000000000000|- rs1_val==0 and rs2_val==6<br>                                                                                                                                                              |[0x800073c0]:mulw<br> [0x800073c4]:sd<br> |
| 669|[0x8000a4f8]<br>0x0000000000000000|- rs1_val==0 and rs2_val==3689348814741910324<br>                                                                                                                                            |[0x800073ec]:mulw<br> [0x800073f0]:sd<br> |
| 670|[0x8000a500]<br>0x0000000000000000|- rs1_val==0 and rs2_val==7378697629483820647<br>                                                                                                                                            |[0x80007418]:mulw<br> [0x8000741c]:sd<br> |
