
# Data Propagation Report

- **STAT1** : Number of instructions that hit unique coverpoints and update the signature.
- **STAT2** : Number of instructions that hit covepoints which are not unique but still update the signature
- **STAT3** : Number of instructions that hit a unique coverpoint but do not update signature
- **STAT4** : Number of multiple signature updates for the same coverpoint
- **STAT5** : Number of times the signature was overwritten

| Param                     | Value    |
|---------------------------|----------|
| XLEN                      | 64      |
| TEST_REGION               | [('0x80000390', '0x80006e30')]      |
| SIG_REGION                | [('0x80008010', '0x80009500', '670 dwords')]      |
| COV_LABELS                | csubw      |
| TEST_NAME                 | /scratch/git-repo/incoresemi/riscof/riscof_work/csubw-01.S/csubw-01.S    |
| Total Number of coverpoints| 771     |
| Total Coverpoints Hit     | 771      |
| Total Signature Updates   | 670      |
| STAT1                     | 670      |
| STAT2                     | 0      |
| STAT3                     | 0     |
| STAT4                     | 0     |
| STAT5                     | 0     |

## Details for STAT2:

```


```

## Details of STAT3

```


```

## Details of STAT4:

```

```

## Details of STAT5:



## Details of STAT1:

- The first column indicates the signature address and the data at that location in hexadecimal in the following format: 
  ```
  [Address]
  Data
  ```

- The second column captures all the coverpoints which have been captured by that particular signature location

- The third column captures all the insrtuctions since the time a coverpoint was
  hit to the point when a store to the signature was performed. Each line has
  the following format:
  ```
  [PC of instruction] : mnemonic
  ```
- The order in the table is based on the order of signatures occuring in the
  test. These need not necessarily be in increasing or decreasing order of the
  address in the signature region.

|s.no|            signature             |                                                                                            coverpoints                                                                                            |                              code                              |
|---:|----------------------------------|---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|----------------------------------------------------------------|
|   1|[0x80008010]<br>0xFFFFFFFFFFFFFFFF|- opcode : c.subw<br> - rs1 : x12<br> - rs2 : x10<br> - rs1 != rs2<br> - rs2_val == (-2**(xlen-1))<br> - rs2_val < 0<br> - rs2_val == -9223372036854775808<br> - rs1_val == -18014398509481985<br> |[0x800003ac]:c.subw a2, a0<br> [0x800003ae]:sd a2, 0(ra)<br>    |
|   2|[0x80008018]<br>0x0000000000000000|- rs1 : x15<br> - rs2 : x15<br> - rs1 == rs2<br> - rs2_val > 0<br> - rs2_val == 562949953421312<br> - rs1_val == 562949953421312<br>                                                               |[0x800003c2]:c.subw a5, a5<br> [0x800003c4]:sd a5, 8(ra)<br>    |
|   3|[0x80008020]<br>0x0000000000400001|- rs1 : x14<br> - rs2 : x9<br> - rs2_val == (2**(xlen-1)-1)<br> - rs2_val == 9223372036854775807<br> - rs1_val == 4194304<br>                                                                      |[0x800003d8]:c.subw a4, s1<br> [0x800003da]:sd a4, 16(ra)<br>   |
|   4|[0x80008028]<br>0x0000000033333333|- rs1 : x11<br> - rs2 : x14<br> - rs2_val == 1<br>                                                                                                                                                 |[0x80000402]:c.subw a1, a4<br> [0x80000404]:sd a1, 24(ra)<br>   |
|   5|[0x80008030]<br>0xFFFFFFFFFFFFF000|- rs1 : x10<br> - rs2 : x12<br> - rs1_val == (-2**(xlen-1))<br> - rs2_val == 4096<br> - rs1_val == -9223372036854775808<br>                                                                        |[0x80000414]:c.subw a0, a2<br> [0x80000416]:sd a0, 32(ra)<br>   |
|   6|[0x80008038]<br>0x0000000000000001|- rs1 : x13<br> - rs2 : x11<br> - rs1_val == 0<br> - rs2_val == -288230376151711745<br>                                                                                                            |[0x8000042a]:c.subw a3, a1<br> [0x8000042c]:sd a3, 40(ra)<br>   |
|   7|[0x80008040]<br>0xFFFFFFFFAAAAAAAA|- rs1 : x9<br> - rs2 : x8<br> - rs1_val == (2**(xlen-1)-1)<br> - rs2_val == 6148914691236517205<br> - rs1_val == 9223372036854775807<br>                                                           |[0x8000045c]:c.subw s1, s0<br> [0x8000045e]:sd s1, 48(ra)<br>   |
|   8|[0x80008048]<br>0x0000000000000002|- rs1 : x8<br> - rs2 : x13<br> - rs1_val == 1<br> - rs2_val == -4611686018427387905<br>                                                                                                            |[0x80000472]:c.subw s0, a3<br> [0x80000474]:sd fp, 56(ra)<br>   |
|   9|[0x80008050]<br>0xFFFFFFFFFFFFFFFE|- rs2_val == 2<br>                                                                                                                                                                                 |[0x80000484]:c.subw a0, a1<br> [0x80000486]:sd a0, 64(ra)<br>   |
|  10|[0x80008058]<br>0x0000000033333330|- rs2_val == 4<br> - rs1_val==3689348814741910324 and rs2_val==4<br>                                                                                                                               |[0x800004ae]:c.subw a0, a1<br> [0x800004b0]:sd a0, 72(ra)<br>   |
|  11|[0x80008060]<br>0xFFFFFFFFFFFFFFF9|- rs2_val == 8<br>                                                                                                                                                                                 |[0x800004bc]:c.subw a0, a1<br> [0x800004be]:sd a0, 80(ra)<br>   |
|  12|[0x80008068]<br>0xFFFFFFFFFFFFFFF9|- rs2_val == 16<br>                                                                                                                                                                                |[0x800004ca]:c.subw a0, a1<br> [0x800004cc]:sd a0, 88(ra)<br>   |
|  13|[0x80008070]<br>0xFFFFFFFFFFF7FFDF|- rs2_val == 32<br> - rs1_val == -524289<br>                                                                                                                                                       |[0x800004dc]:c.subw a0, a1<br> [0x800004de]:sd a0, 96(ra)<br>   |
|  14|[0x80008078]<br>0xFFFFFFFFFFDFFFBF|- rs2_val == 64<br> - rs1_val == -2097153<br>                                                                                                                                                      |[0x800004ee]:c.subw a0, a1<br> [0x800004f0]:sd a0, 104(ra)<br>  |
|  15|[0x80008080]<br>0x00000000001FFF80|- rs2_val == 128<br> - rs1_val == 2097152<br>                                                                                                                                                      |[0x800004fc]:c.subw a0, a1<br> [0x800004fe]:sd a0, 112(ra)<br>  |
|  16|[0x80008088]<br>0x0000000000003F00|- rs2_val == 256<br> - rs1_val == 16384<br>                                                                                                                                                        |[0x8000050a]:c.subw a0, a1<br> [0x8000050c]:sd a0, 120(ra)<br>  |
|  17|[0x80008090]<br>0xFFFFFFFFFFFFFDEF|- rs2_val == 512<br> - rs1_val == -17<br>                                                                                                                                                          |[0x80000518]:c.subw a0, a1<br> [0x8000051a]:sd a0, 128(ra)<br>  |
|  18|[0x80008098]<br>0xFFFFFFFFFFFFFC00|- rs2_val == 1024<br> - rs1_val == 18014398509481984<br>                                                                                                                                           |[0x8000052a]:c.subw a0, a1<br> [0x8000052c]:sd a0, 136(ra)<br>  |
|  19|[0x800080a0]<br>0xFFFFFFFFFFFFE7FF|- rs2_val == 2048<br> - rs1_val == -4097<br>                                                                                                                                                       |[0x80000540]:c.subw a0, a1<br> [0x80000542]:sd a0, 144(ra)<br>  |
|  20|[0x800080a8]<br>0xFFFFFFFFFFFFDBFF|- rs2_val == 8192<br> - rs1_val == -1025<br>                                                                                                                                                       |[0x8000054e]:c.subw a0, a1<br> [0x80000550]:sd a0, 152(ra)<br>  |
|  21|[0x800080b0]<br>0x0000000055551556|- rs2_val == 16384<br>                                                                                                                                                                             |[0x80000578]:c.subw a0, a1<br> [0x8000057a]:sd a0, 160(ra)<br>  |
|  22|[0x800080b8]<br>0xFFFFFFFFFFEF7FFF|- rs2_val == 32768<br> - rs1_val == -1048577<br>                                                                                                                                                   |[0x8000058a]:c.subw a0, a1<br> [0x8000058c]:sd a0, 168(ra)<br>  |
|  23|[0x800080c0]<br>0xFFFFFFFFAAA9AAAA|- rs2_val == 65536<br> - rs1_val == -6148914691236517206<br>                                                                                                                                       |[0x800005b4]:c.subw a0, a1<br> [0x800005b6]:sd a0, 176(ra)<br>  |
|  24|[0x800080c8]<br>0xFFFFFFFFFFFDFFFF|- rs2_val == 131072<br> - rs1_val == -1125899906842625<br>                                                                                                                                         |[0x800005ca]:c.subw a0, a1<br> [0x800005cc]:sd a0, 184(ra)<br>  |
|  25|[0x800080d0]<br>0xFFFFFFFFFFFC0000|- rs2_val == 262144<br> - rs1_val == 1152921504606846976<br>                                                                                                                                       |[0x800005dc]:c.subw a0, a1<br> [0x800005de]:sd a0, 192(ra)<br>  |
|  26|[0x800080d8]<br>0xFFFFFFFFFFF90000|- rs2_val == 524288<br> - rs1_val == 65536<br>                                                                                                                                                     |[0x800005ea]:c.subw a0, a1<br> [0x800005ec]:sd a0, 200(ra)<br>  |
|  27|[0x800080e0]<br>0xFFFFFFFFFFF00000|- rs2_val == 1048576<br> - rs1_val == 140737488355328<br>                                                                                                                                          |[0x800005fc]:c.subw a0, a1<br> [0x800005fe]:sd a0, 208(ra)<br>  |
|  28|[0x800080e8]<br>0xFFFFFFFFFFE00000|- rs2_val == 2097152<br>                                                                                                                                                                           |[0x8000060e]:c.subw a0, a1<br> [0x80000610]:sd a0, 216(ra)<br>  |
|  29|[0x800080f0]<br>0x0000000007C00000|- rs2_val == 4194304<br> - rs1_val == 134217728<br>                                                                                                                                                |[0x8000061c]:c.subw a0, a1<br> [0x8000061e]:sd a0, 224(ra)<br>  |
|  30|[0x800080f8]<br>0xFFFFFFFFFF77FFFF|- rs2_val == 8388608<br>                                                                                                                                                                           |[0x8000062e]:c.subw a0, a1<br> [0x80000630]:sd a0, 232(ra)<br>  |
|  31|[0x80008100]<br>0xFFFFFFFFFF000004|- rs2_val == 16777216<br> - rs1_val == 4<br>                                                                                                                                                       |[0x8000063c]:c.subw a0, a1<br> [0x8000063e]:sd a0, 240(ra)<br>  |
|  32|[0x80008108]<br>0xFFFFFFFFFE002000|- rs2_val == 33554432<br> - rs1_val == 8192<br>                                                                                                                                                    |[0x8000064a]:c.subw a0, a1<br> [0x8000064c]:sd a0, 248(ra)<br>  |
|  33|[0x80008110]<br>0xFFFFFFFFFC000000|- rs2_val == 67108864<br> - rs1_val == 288230376151711744<br>                                                                                                                                      |[0x8000065c]:c.subw a0, a1<br> [0x8000065e]:sd a0, 256(ra)<br>  |
|  34|[0x80008118]<br>0xFFFFFFFFF7FFFFFF|- rs2_val == 134217728<br> - rs1_val == -562949953421313<br>                                                                                                                                       |[0x80000672]:c.subw a0, a1<br> [0x80000674]:sd a0, 264(ra)<br>  |
|  35|[0x80008120]<br>0x0000000010000000|- rs2_val == 268435456<br> - rs1_val == 536870912<br>                                                                                                                                              |[0x80000680]:c.subw a0, a1<br> [0x80000682]:sd a0, 272(ra)<br>  |
|  36|[0x80008128]<br>0xFFFFFFFFDFFFFFFF|- rs2_val == 536870912<br> - rs1_val == -4611686018427387905<br>                                                                                                                                   |[0x80000696]:c.subw a0, a1<br> [0x80000698]:sd a0, 280(ra)<br>  |
|  37|[0x80008130]<br>0x0000000026666667|- rs2_val == 1073741824<br>                                                                                                                                                                        |[0x800006c0]:c.subw a0, a1<br> [0x800006c2]:sd a0, 288(ra)<br>  |
|  38|[0x80008138]<br>0x000000007FFFFFFF|- rs2_val == 2147483648<br> - rs1_val == -35184372088833<br>                                                                                                                                       |[0x800006da]:c.subw a0, a1<br> [0x800006dc]:sd a0, 296(ra)<br>  |
|  39|[0x80008140]<br>0xFFFFFFFFFFFF7FFF|- rs2_val == 4294967296<br> - rs1_val == -32769<br>                                                                                                                                                |[0x800006f0]:c.subw a0, a1<br> [0x800006f2]:sd a0, 304(ra)<br>  |
|  40|[0x80008148]<br>0x0000000000000000|- rs2_val == 8589934592<br>                                                                                                                                                                        |[0x80000702]:c.subw a0, a1<br> [0x80000704]:sd a0, 312(ra)<br>  |
|  41|[0x80008150]<br>0xFFFFFFFFAAAAAAAB|- rs2_val == 17179869184<br>                                                                                                                                                                       |[0x80000730]:c.subw a0, a1<br> [0x80000732]:sd a0, 320(ra)<br>  |
|  42|[0x80008158]<br>0x0000000000001000|- rs2_val == 34359738368<br> - rs1_val == 4096<br>                                                                                                                                                 |[0x80000742]:c.subw a0, a1<br> [0x80000744]:sd a0, 328(ra)<br>  |
|  43|[0x80008160]<br>0xFFFFFFFFFFFFFFFF|- rs2_val == 68719476736<br> - rs1_val == -8589934593<br>                                                                                                                                          |[0x8000075c]:c.subw a0, a1<br> [0x8000075e]:sd a0, 336(ra)<br>  |
|  44|[0x80008168]<br>0x0000000000000001|- rs2_val == 137438953472<br>                                                                                                                                                                      |[0x8000076e]:c.subw a0, a1<br> [0x80000770]:sd a0, 344(ra)<br>  |
|  45|[0x80008170]<br>0x0000000000000000|- rs2_val == 274877906944<br>                                                                                                                                                                      |[0x80000784]:c.subw a0, a1<br> [0x80000786]:sd a0, 352(ra)<br>  |
|  46|[0x80008178]<br>0x0000000000020000|- rs2_val == 549755813888<br> - rs1_val == 131072<br>                                                                                                                                              |[0x80000796]:c.subw a0, a1<br> [0x80000798]:sd a0, 360(ra)<br>  |
|  47|[0x80008180]<br>0x0000000000000000|- rs2_val == 1099511627776<br> - rs1_val == 17592186044416<br>                                                                                                                                     |[0x800007ac]:c.subw a0, a1<br> [0x800007ae]:sd a0, 368(ra)<br>  |
|  48|[0x80008188]<br>0x0000000000000000|- rs2_val == 2199023255552<br>                                                                                                                                                                     |[0x800007be]:c.subw a0, a1<br> [0x800007c0]:sd a0, 376(ra)<br>  |
|  49|[0x80008190]<br>0xFFFFFFFFFFFFFFFF|- rs2_val == 4398046511104<br> - rs1_val == -1152921504606846977<br>                                                                                                                               |[0x800007d8]:c.subw a0, a1<br> [0x800007da]:sd a0, 384(ra)<br>  |
|  50|[0x80008198]<br>0x0000000000000003|- rs2_val == 8796093022208<br>                                                                                                                                                                     |[0x800007ea]:c.subw a0, a1<br> [0x800007ec]:sd a0, 392(ra)<br>  |
|  51|[0x800081a0]<br>0xFFFFFFFFFFFFFFFF|- rs2_val == 17592186044416<br> - rs1_val == -17592186044417<br>                                                                                                                                   |[0x80000804]:c.subw a0, a1<br> [0x80000806]:sd a0, 400(ra)<br>  |
|  52|[0x800081a8]<br>0x0000000000000000|- rs2_val == 35184372088832<br> - rs1_val == 8796093022208<br>                                                                                                                                     |[0x8000081a]:c.subw a0, a1<br> [0x8000081c]:sd a0, 408(ra)<br>  |
|  53|[0x800081b0]<br>0x0000000000000000|- rs2_val == 70368744177664<br> - rs1_val == 274877906944<br>                                                                                                                                      |[0x80000830]:c.subw a0, a1<br> [0x80000832]:sd a0, 416(ra)<br>  |
|  54|[0x800081b8]<br>0xFFFFFFFFFFFFFFFF|- rs2_val == 140737488355328<br> - rs1_val == -137438953473<br>                                                                                                                                    |[0x8000084a]:c.subw a0, a1<br> [0x8000084c]:sd a0, 424(ra)<br>  |
|  55|[0x800081c0]<br>0x0000000000000000|- rs2_val == 281474976710656<br>                                                                                                                                                                   |[0x80000860]:c.subw a0, a1<br> [0x80000862]:sd a0, 432(ra)<br>  |
|  56|[0x800081c8]<br>0x0000000000000400|- rs1_val == 1024<br>                                                                                                                                                                              |[0x80000872]:c.subw a0, a1<br> [0x80000874]:sd a0, 440(ra)<br>  |
|  57|[0x800081d0]<br>0xFFFFFFFFFFFFFFFF|- rs2_val == 1125899906842624<br> - rs1_val == -549755813889<br>                                                                                                                                   |[0x8000088c]:c.subw a0, a1<br> [0x8000088e]:sd a0, 448(ra)<br>  |
|  58|[0x800081d8]<br>0xFFFFFFFFFFFFFDFF|- rs2_val == 2251799813685248<br> - rs1_val == -513<br>                                                                                                                                            |[0x8000089e]:c.subw a0, a1<br> [0x800008a0]:sd a0, 456(ra)<br>  |
|  59|[0x800081e0]<br>0x0000000033333333|- rs2_val == 4503599627370496<br>                                                                                                                                                                  |[0x800008cc]:c.subw a0, a1<br> [0x800008ce]:sd a0, 464(ra)<br>  |
|  60|[0x800081e8]<br>0x0000000000000000|- rs2_val == 9007199254740992<br>                                                                                                                                                                  |[0x800008e2]:c.subw a0, a1<br> [0x800008e4]:sd a0, 472(ra)<br>  |
|  61|[0x800081f0]<br>0x0000000033333334|- rs2_val == 18014398509481984<br>                                                                                                                                                                 |[0x80000910]:c.subw a0, a1<br> [0x80000912]:sd a0, 480(ra)<br>  |
|  62|[0x800081f8]<br>0xFFFFFFFFFFFFFFFD|- rs2_val == 36028797018963968<br> - rs1_val == -3<br>                                                                                                                                             |[0x80000922]:c.subw a0, a1<br> [0x80000924]:sd a0, 488(ra)<br>  |
|  63|[0x80008200]<br>0x0000000000040000|- rs2_val == 72057594037927936<br> - rs1_val == 262144<br>                                                                                                                                         |[0x80000934]:c.subw a0, a1<br> [0x80000936]:sd a0, 496(ra)<br>  |
|  64|[0x80008208]<br>0xFFFFFFFFB504F334|- rs2_val == 144115188075855872<br>                                                                                                                                                                |[0x80000952]:c.subw a0, a1<br> [0x80000954]:sd a0, 504(ra)<br>  |
|  65|[0x80008210]<br>0x0000000000000000|- rs2_val == 288230376151711744<br> - rs1_val == 17179869184<br>                                                                                                                                   |[0x80000968]:c.subw a0, a1<br> [0x8000096a]:sd a0, 512(ra)<br>  |
|  66|[0x80008218]<br>0x0000000000000007|- rs2_val == 576460752303423488<br>                                                                                                                                                                |[0x8000097a]:c.subw a0, a1<br> [0x8000097c]:sd a0, 520(ra)<br>  |
|  67|[0x80008220]<br>0x0000000000000000|- rs2_val == 1152921504606846976<br>                                                                                                                                                               |[0x8000098c]:c.subw a0, a1<br> [0x8000098e]:sd a0, 528(ra)<br>  |
|  68|[0x80008228]<br>0xFFFFFFFFFFFFFFFF|- rs2_val == 2305843009213693952<br> - rs1_val == -9007199254740993<br>                                                                                                                            |[0x800009a6]:c.subw a0, a1<br> [0x800009a8]:sd a0, 536(ra)<br>  |
|  69|[0x80008230]<br>0xFFFFFFFFFFFFFFFF|- rs2_val == 4611686018427387904<br> - rs1_val == -1099511627777<br>                                                                                                                               |[0x800009c0]:c.subw a0, a1<br> [0x800009c2]:sd a0, 544(ra)<br>  |
|  70|[0x80008238]<br>0x000000004AFB0CD0|- rs2_val == -2<br>                                                                                                                                                                                |[0x800009da]:c.subw a0, a1<br> [0x800009dc]:sd a0, 552(ra)<br>  |
|  71|[0x80008240]<br>0x0000000033333337|- rs2_val == -3<br>                                                                                                                                                                                |[0x80000a04]:c.subw a0, a1<br> [0x80000a06]:sd a0, 560(ra)<br>  |
|  72|[0x80008248]<br>0x0000000000000005|- rs2_val == -5<br>                                                                                                                                                                                |[0x80000a16]:c.subw a0, a1<br> [0x80000a18]:sd a0, 568(ra)<br>  |
|  73|[0x80008250]<br>0x0000000000000008|- rs2_val == -9<br> - rs1_val == -72057594037927937<br>                                                                                                                                            |[0x80000a2c]:c.subw a0, a1<br> [0x80000a2e]:sd a0, 576(ra)<br>  |
|  74|[0x80008258]<br>0x000000000000000C|- rs2_val == -17<br> - rs1_val == -5<br>                                                                                                                                                           |[0x80000a3a]:c.subw a0, a1<br> [0x80000a3c]:sd a0, 584(ra)<br>  |
|  75|[0x80008260]<br>0x0000000000000021|- rs2_val == -33<br>                                                                                                                                                                               |[0x80000a4c]:c.subw a0, a1<br> [0x80000a4e]:sd a0, 592(ra)<br>  |
|  76|[0x80008268]<br>0x0000000000000041|- rs2_val == -65<br> - rs1_val == 2251799813685248<br>                                                                                                                                             |[0x80000a5e]:c.subw a0, a1<br> [0x80000a60]:sd a0, 600(ra)<br>  |
|  77|[0x80008270]<br>0x0000000040000081|- rs2_val == -129<br> - rs1_val == 1073741824<br>                                                                                                                                                  |[0x80000a6c]:c.subw a0, a1<br> [0x80000a6e]:sd a0, 608(ra)<br>  |
|  78|[0x80008278]<br>0x0000000000000104|- rs2_val == -257<br>                                                                                                                                                                              |[0x80000a7a]:c.subw a0, a1<br> [0x80000a7c]:sd a0, 616(ra)<br>  |
|  79|[0x80008280]<br>0x0000000066666867|- rs2_val == -513<br>                                                                                                                                                                              |[0x80000aa4]:c.subw a0, a1<br> [0x80000aa6]:sd a0, 624(ra)<br>  |
|  80|[0x80008288]<br>0x0000000000000400|- rs2_val == -1025<br>                                                                                                                                                                             |[0x80000aba]:c.subw a0, a1<br> [0x80000abc]:sd a0, 632(ra)<br>  |
|  81|[0x80008290]<br>0x0000000000000802|- rs2_val == -2049<br>                                                                                                                                                                             |[0x80000acc]:c.subw a0, a1<br> [0x80000ace]:sd a0, 640(ra)<br>  |
|  82|[0x80008298]<br>0x0000000000001011|- rs2_val == -4097<br> - rs1_val == 16<br>                                                                                                                                                         |[0x80000ade]:c.subw a0, a1<br> [0x80000ae0]:sd a0, 648(ra)<br>  |
|  83|[0x800082a0]<br>0x0000000066668667|- rs2_val == -8193<br>                                                                                                                                                                             |[0x80000b0c]:c.subw a0, a1<br> [0x80000b0e]:sd a0, 656(ra)<br>  |
|  84|[0x800082a8]<br>0x0000000000003000|- rs2_val == -16385<br>                                                                                                                                                                            |[0x80000b22]:c.subw a0, a1<br> [0x80000b24]:sd a0, 664(ra)<br>  |
|  85|[0x800082b0]<br>0xFFFFFFFFFF808000|- rs2_val == -32769<br> - rs1_val == -8388609<br>                                                                                                                                                  |[0x80000b38]:c.subw a0, a1<br> [0x80000b3a]:sd a0, 672(ra)<br>  |
|  86|[0x800082b8]<br>0x0000000040010001|- rs2_val == -65537<br>                                                                                                                                                                            |[0x80000b4a]:c.subw a0, a1<br> [0x80000b4c]:sd a0, 680(ra)<br>  |
|  87|[0x800082c0]<br>0x000000000002000A|- rs2_val == -131073<br>                                                                                                                                                                           |[0x80000b5c]:c.subw a0, a1<br> [0x80000b5e]:sd a0, 688(ra)<br>  |
|  88|[0x800082c8]<br>0x0000000000040401|- rs2_val == -262145<br>                                                                                                                                                                           |[0x80000b6e]:c.subw a0, a1<br> [0x80000b70]:sd a0, 696(ra)<br>  |
|  89|[0x800082d0]<br>0x0000000000080001|- rs2_val == -524289<br> - rs1_val == 576460752303423488<br>                                                                                                                                       |[0x80000b84]:c.subw a0, a1<br> [0x80000b86]:sd a0, 704(ra)<br>  |
|  90|[0x800082d8]<br>0x0000000000100001|- rs2_val == -1048577<br> - rs1_val == 70368744177664<br>                                                                                                                                          |[0x80000b9a]:c.subw a0, a1<br> [0x80000b9c]:sd a0, 712(ra)<br>  |
|  91|[0x800082e0]<br>0x0000000000200001|- rs2_val == -2097153<br> - rs1_val == 2199023255552<br>                                                                                                                                           |[0x80000bb0]:c.subw a0, a1<br> [0x80000bb2]:sd a0, 720(ra)<br>  |
|  92|[0x800082e8]<br>0x0000000000400001|- rs2_val == -4194305<br> - rs1_val == 4398046511104<br>                                                                                                                                           |[0x80000bc6]:c.subw a0, a1<br> [0x80000bc8]:sd a0, 728(ra)<br>  |
|  93|[0x800082f0]<br>0x0000000055D55555|- rs2_val == -8388609<br>                                                                                                                                                                          |[0x80000bf4]:c.subw a0, a1<br> [0x80000bf6]:sd a0, 736(ra)<br>  |
|  94|[0x800082f8]<br>0x0000000000FFFFFA|- rs2_val == -16777217<br>                                                                                                                                                                         |[0x80000c06]:c.subw a0, a1<br> [0x80000c08]:sd a0, 744(ra)<br>  |
|  95|[0x80008300]<br>0x0000000001FFFFFA|- rs2_val == -33554433<br>                                                                                                                                                                         |[0x80000c18]:c.subw a0, a1<br> [0x80000c1a]:sd a0, 752(ra)<br>  |
|  96|[0x80008308]<br>0x0000000004000001|- rs2_val == -67108865<br> - rs1_val == 36028797018963968<br>                                                                                                                                      |[0x80000c2e]:c.subw a0, a1<br> [0x80000c30]:sd a0, 760(ra)<br>  |
|  97|[0x80008310]<br>0xFFFFFFFF88000001|- rs2_val == -134217729<br> - rs1_val == 2147483648<br>                                                                                                                                            |[0x80000c44]:c.subw a0, a1<br> [0x80000c46]:sd a0, 768(ra)<br>  |
|  98|[0x80008318]<br>0x000000000FFFFFFA|- rs2_val == -268435457<br>                                                                                                                                                                        |[0x80000c56]:c.subw a0, a1<br> [0x80000c58]:sd a0, 776(ra)<br>  |
|  99|[0x80008320]<br>0x0000000020000000|- rs2_val == -536870913<br> - rs1_val == -34359738369<br>                                                                                                                                          |[0x80000c70]:c.subw a0, a1<br> [0x80000c72]:sd a0, 784(ra)<br>  |
| 100|[0x80008328]<br>0x0000000040000003|- rs2_val == -1073741825<br> - rs1_val == 2<br>                                                                                                                                                    |[0x80000c82]:c.subw a0, a1<br> [0x80000c84]:sd a0, 792(ra)<br>  |
| 101|[0x80008330]<br>0xFFFFFFFF80000011|- rs2_val == -2147483649<br>                                                                                                                                                                       |[0x80000c98]:c.subw a0, a1<br> [0x80000c9a]:sd a0, 800(ra)<br>  |
| 102|[0x80008338]<br>0xFFFFFFFFF0000000|- rs2_val == -4294967297<br> - rs1_val == -268435457<br>                                                                                                                                           |[0x80000cb2]:c.subw a0, a1<br> [0x80000cb4]:sd a0, 808(ra)<br>  |
| 103|[0x80008340]<br>0x0000000000000000|- rs2_val == -8589934593<br>                                                                                                                                                                       |[0x80000cd0]:c.subw a0, a1<br> [0x80000cd2]:sd a0, 816(ra)<br>  |
| 104|[0x80008348]<br>0x0000000000000000|- rs2_val == -17179869185<br> - rs1_val == -2305843009213693953<br>                                                                                                                                |[0x80000cee]:c.subw a0, a1<br> [0x80000cf0]:sd a0, 824(ra)<br>  |
| 105|[0x80008350]<br>0x0000000000000001|- rs2_val == -34359738369<br> - rs1_val == 34359738368<br>                                                                                                                                         |[0x80000d08]:c.subw a0, a1<br> [0x80000d0a]:sd a0, 832(ra)<br>  |
| 106|[0x80008358]<br>0xFFFFFFFFFFFF0000|- rs2_val == -68719476737<br> - rs1_val == -65537<br>                                                                                                                                              |[0x80000d22]:c.subw a0, a1<br> [0x80000d24]:sd a0, 840(ra)<br>  |
| 107|[0x80008360]<br>0x0000000000000021|- rs2_val == -137438953473<br> - rs1_val == 32<br>                                                                                                                                                 |[0x80000d38]:c.subw a0, a1<br> [0x80000d3a]:sd a0, 848(ra)<br>  |
| 108|[0x80008368]<br>0xFFFFFFFFFFFFFFC0|- rs2_val == -274877906945<br> - rs1_val == -65<br>                                                                                                                                                |[0x80000d4e]:c.subw a0, a1<br> [0x80000d50]:sd a0, 856(ra)<br>  |
| 109|[0x80008370]<br>0x0000000000000007|- rs2_val == -549755813889<br>                                                                                                                                                                     |[0x80000d64]:c.subw a0, a1<br> [0x80000d66]:sd a0, 864(ra)<br>  |
| 110|[0x80008378]<br>0xFFFFFFFFFFFE0000|- rs2_val == -1099511627777<br> - rs1_val == -131073<br>                                                                                                                                           |[0x80000d7e]:c.subw a0, a1<br> [0x80000d80]:sd a0, 872(ra)<br>  |
| 111|[0x80008380]<br>0xFFFFFFFFC0000000|- rs2_val == -2199023255553<br> - rs1_val == -1073741825<br>                                                                                                                                       |[0x80000d98]:c.subw a0, a1<br> [0x80000d9a]:sd a0, 880(ra)<br>  |
| 112|[0x80008388]<br>0x0000000000000001|- rs2_val == -4398046511105<br> - rs1_val == 137438953472<br>                                                                                                                                      |[0x80000db2]:c.subw a0, a1<br> [0x80000db4]:sd a0, 888(ra)<br>  |
| 113|[0x80008390]<br>0x0000000000000000|- rs2_val == -8796093022209<br>                                                                                                                                                                    |[0x80000dd0]:c.subw a0, a1<br> [0x80000dd2]:sd a0, 896(ra)<br>  |
| 114|[0x80008398]<br>0xFFFFFFFFFFFFFFF0|- rs2_val == -17592186044417<br>                                                                                                                                                                   |[0x80000de6]:c.subw a0, a1<br> [0x80000de8]:sd a0, 904(ra)<br>  |
| 115|[0x800083a0]<br>0x0000000000000000|- rs2_val == -35184372088833<br>                                                                                                                                                                   |[0x80000e04]:c.subw a0, a1<br> [0x80000e06]:sd a0, 912(ra)<br>  |
| 116|[0x800083a8]<br>0xFFFFFFFFE0000000|- rs2_val == -70368744177665<br> - rs1_val == -536870913<br>                                                                                                                                       |[0x80000e1e]:c.subw a0, a1<br> [0x80000e20]:sd a0, 920(ra)<br>  |
| 117|[0x800083b0]<br>0x0000000000001001|- rs2_val == -140737488355329<br>                                                                                                                                                                  |[0x80000e34]:c.subw a0, a1<br> [0x80000e36]:sd a0, 928(ra)<br>  |
| 118|[0x800083b8]<br>0xFFFFFFFFFFFFFFF0|- rs2_val == -281474976710657<br>                                                                                                                                                                  |[0x80000e4a]:c.subw a0, a1<br> [0x80000e4c]:sd a0, 936(ra)<br>  |
| 119|[0x800083c0]<br>0x0000000000001001|- rs2_val == -562949953421313<br>                                                                                                                                                                  |[0x80000e60]:c.subw a0, a1<br> [0x80000e62]:sd a0, 944(ra)<br>  |
| 120|[0x800083c8]<br>0x0000000000000001|- rs2_val == -1125899906842625<br>                                                                                                                                                                 |[0x80000e7a]:c.subw a0, a1<br> [0x80000e7c]:sd a0, 952(ra)<br>  |
| 121|[0x800083d0]<br>0x0000000000000007|- rs2_val == -2251799813685249<br>                                                                                                                                                                 |[0x80000e90]:c.subw a0, a1<br> [0x80000e92]:sd a0, 960(ra)<br>  |
| 122|[0x800083d8]<br>0x0000000000000000|- rs2_val == -4503599627370497<br>                                                                                                                                                                 |[0x80000eae]:c.subw a0, a1<br> [0x80000eb0]:sd a0, 968(ra)<br>  |
| 123|[0x800083e0]<br>0x0000000000000000|- rs2_val == -9007199254740993<br> - rs1_val == -4398046511105<br>                                                                                                                                 |[0x80000ecc]:c.subw a0, a1<br> [0x80000ece]:sd a0, 976(ra)<br>  |
| 124|[0x800083e8]<br>0x0000000000040001|- rs2_val == -18014398509481985<br>                                                                                                                                                                |[0x80000ee2]:c.subw a0, a1<br> [0x80000ee4]:sd a0, 984(ra)<br>  |
| 125|[0x800083f0]<br>0x0000000000000000|- rs2_val == -36028797018963969<br> - rs1_val == -140737488355329<br>                                                                                                                              |[0x80000f00]:c.subw a0, a1<br> [0x80000f02]:sd a0, 992(ra)<br>  |
| 126|[0x800083f8]<br>0x000000000000000A|- rs2_val == -72057594037927937<br>                                                                                                                                                                |[0x80000f16]:c.subw a0, a1<br> [0x80000f18]:sd a0, 1000(ra)<br> |
| 127|[0x80008400]<br>0xFFFFFFFF80000000|- rs2_val == -144115188075855873<br> - rs1_val == -2147483649<br>                                                                                                                                  |[0x80000f34]:c.subw a0, a1<br> [0x80000f36]:sd a0, 1008(ra)<br> |
| 128|[0x80008408]<br>0x0000000000000007|- rs2_val == -576460752303423489<br>                                                                                                                                                               |[0x80000f4a]:c.subw a0, a1<br> [0x80000f4c]:sd a0, 1016(ra)<br> |
| 129|[0x80008410]<br>0x0000000000000001|- rs2_val == -1152921504606846977<br> - rs1_val == 281474976710656<br>                                                                                                                             |[0x80000f64]:c.subw a0, a1<br> [0x80000f66]:sd a0, 1024(ra)<br> |
| 130|[0x80008418]<br>0xFFFFFFFFFF800000|- rs2_val == -2305843009213693953<br>                                                                                                                                                              |[0x80000f7e]:c.subw a0, a1<br> [0x80000f80]:sd a0, 1032(ra)<br> |
| 131|[0x80008420]<br>0x000000005555554C|- rs2_val == -6148914691236517206<br>                                                                                                                                                              |[0x80000fa8]:c.subw a0, a1<br> [0x80000faa]:sd a0, 1040(ra)<br> |
| 132|[0x80008428]<br>0xFFFFFFFFFFFFF008|- rs1_val == 8<br>                                                                                                                                                                                 |[0x80000fb6]:c.subw a0, a1<br> [0x80000fb8]:sd a0, 1048(ra)<br> |
| 133|[0x80008430]<br>0x0000000000000040|- rs1_val == 64<br>                                                                                                                                                                                |[0x80000fc8]:c.subw a0, a1<br> [0x80000fca]:sd a0, 1056(ra)<br> |
| 134|[0x80008438]<br>0xFFFFFFFFFC000080|- rs1_val == 128<br>                                                                                                                                                                               |[0x80000fd6]:c.subw a0, a1<br> [0x80000fd8]:sd a0, 1064(ra)<br> |
| 135|[0x80008440]<br>0xFFFFFFFF80000100|- rs1_val == 256<br>                                                                                                                                                                               |[0x80000fe8]:c.subw a0, a1<br> [0x80000fea]:sd a0, 1072(ra)<br> |
| 136|[0x80008448]<br>0x00000000000001FC|- rs1_val == 512<br>                                                                                                                                                                               |[0x80000ff6]:c.subw a0, a1<br> [0x80000ff8]:sd a0, 1080(ra)<br> |
| 137|[0x80008450]<br>0xFFFFFFFFFFFC0800|- rs1_val == 2048<br>                                                                                                                                                                              |[0x80001008]:c.subw a0, a1<br> [0x8000100a]:sd a0, 1088(ra)<br> |
| 138|[0x80008458]<br>0x0000000000010001|- rs1_val == 32768<br>                                                                                                                                                                             |[0x8000101a]:c.subw a0, a1<br> [0x8000101c]:sd a0, 1096(ra)<br> |
| 139|[0x80008460]<br>0x0000000000080001|- rs1_val == 524288<br>                                                                                                                                                                            |[0x80001030]:c.subw a0, a1<br> [0x80001032]:sd a0, 1104(ra)<br> |
| 140|[0x80008468]<br>0x0000000000100801|- rs1_val == 1048576<br>                                                                                                                                                                           |[0x80001042]:c.subw a0, a1<br> [0x80001044]:sd a0, 1112(ra)<br> |
| 141|[0x80008470]<br>0x0000000000800001|- rs1_val == 8388608<br>                                                                                                                                                                           |[0x80001058]:c.subw a0, a1<br> [0x8000105a]:sd a0, 1120(ra)<br> |
| 142|[0x80008478]<br>0x0000000001000008|- rs1_val == 16777216<br>                                                                                                                                                                          |[0x80001066]:c.subw a0, a1<br> [0x80001068]:sd a0, 1128(ra)<br> |
| 143|[0x80008480]<br>0x0000000002000004|- rs1_val == 33554432<br>                                                                                                                                                                          |[0x80001074]:c.subw a0, a1<br> [0x80001076]:sd a0, 1136(ra)<br> |
| 144|[0x80008488]<br>0x0000000004000001|- rs1_val == 67108864<br>                                                                                                                                                                          |[0x8000108a]:c.subw a0, a1<br> [0x8000108c]:sd a0, 1144(ra)<br> |
| 145|[0x80008490]<br>0xFFFFFFFFC504F332|- rs1_val == 268435456<br>                                                                                                                                                                         |[0x800010a4]:c.subw a0, a1<br> [0x800010a6]:sd a0, 1152(ra)<br> |
| 146|[0x80008498]<br>0xFFFFFFFFFFFFFFFF|- rs1_val == 4294967296<br>                                                                                                                                                                        |[0x800010b6]:c.subw a0, a1<br> [0x800010b8]:sd a0, 1160(ra)<br> |
| 147|[0x800084a0]<br>0x0000000000020001|- rs1_val == 8589934592<br>                                                                                                                                                                        |[0x800010cc]:c.subw a0, a1<br> [0x800010ce]:sd a0, 1168(ra)<br> |
| 148|[0x800084a8]<br>0x0000000020000001|- rs1_val == 68719476736<br>                                                                                                                                                                       |[0x800010e2]:c.subw a0, a1<br> [0x800010e4]:sd a0, 1176(ra)<br> |
| 149|[0x800084b0]<br>0x000000004AFB0CCC|- rs1_val == 549755813888<br>                                                                                                                                                                      |[0x80001100]:c.subw a0, a1<br> [0x80001102]:sd a0, 1184(ra)<br> |
| 150|[0x800084b8]<br>0xFFFFFFFF80000000|- rs1_val == 1099511627776<br>                                                                                                                                                                     |[0x80001116]:c.subw a0, a1<br> [0x80001118]:sd a0, 1192(ra)<br> |
| 151|[0x800084c0]<br>0xFFFFFFFFFFFFFFFB|- rs1_val == 35184372088832<br>                                                                                                                                                                    |[0x80001128]:c.subw a0, a1<br> [0x8000112a]:sd a0, 1200(ra)<br> |
| 152|[0x800084c8]<br>0x0000000004000001|- rs1_val == 1125899906842624<br>                                                                                                                                                                  |[0x8000113e]:c.subw a0, a1<br> [0x80001140]:sd a0, 1208(ra)<br> |
| 153|[0x800084d0]<br>0x0000000000000004|- rs1_val == 4503599627370496<br>                                                                                                                                                                  |[0x80001150]:c.subw a0, a1<br> [0x80001152]:sd a0, 1216(ra)<br> |
| 154|[0x800084d8]<br>0x0000000000100001|- rs1_val == 9007199254740992<br>                                                                                                                                                                  |[0x80001166]:c.subw a0, a1<br> [0x80001168]:sd a0, 1224(ra)<br> |
| 155|[0x800084e0]<br>0xFFFFFFFFC0000000|- rs1_val == 72057594037927936<br>                                                                                                                                                                 |[0x80001178]:c.subw a0, a1<br> [0x8000117a]:sd a0, 1232(ra)<br> |
| 156|[0x800084e8]<br>0x0000000000000000|- rs1_val == 144115188075855872<br>                                                                                                                                                                |[0x8000118e]:c.subw a0, a1<br> [0x80001190]:sd a0, 1240(ra)<br> |
| 157|[0x800084f0]<br>0x0000000000000001|- rs1_val == 2305843009213693952<br>                                                                                                                                                               |[0x800011a8]:c.subw a0, a1<br> [0x800011aa]:sd a0, 1248(ra)<br> |
| 158|[0x800084f8]<br>0x0000000000000001|- rs1_val == 4611686018427387904<br>                                                                                                                                                               |[0x800011c2]:c.subw a0, a1<br> [0x800011c4]:sd a0, 1256(ra)<br> |
| 159|[0x80008500]<br>0xFFFFFFFFFFFFFFFB|- rs1_val == -2<br>                                                                                                                                                                                |[0x800011d0]:c.subw a0, a1<br> [0x800011d2]:sd a0, 1264(ra)<br> |
| 160|[0x80008508]<br>0xFFFFFFFFFFFFFFF7|- rs1_val == -9<br>                                                                                                                                                                                |[0x800011e2]:c.subw a0, a1<br> [0x800011e4]:sd a0, 1272(ra)<br> |
| 161|[0x80008510]<br>0xFFFFFFFFFFFFFFDF|- rs1_val == -33<br>                                                                                                                                                                               |[0x800011f4]:c.subw a0, a1<br> [0x800011f6]:sd a0, 1280(ra)<br> |
| 162|[0x80008518]<br>0xFFFFFFFFB504F2B1|- rs1_val == -129<br>                                                                                                                                                                              |[0x8000120e]:c.subw a0, a1<br> [0x80001210]:sd a0, 1288(ra)<br> |
| 163|[0x80008520]<br>0x000000007FFFFEFF|- rs1_val == -257<br>                                                                                                                                                                              |[0x80001220]:c.subw a0, a1<br> [0x80001222]:sd a0, 1296(ra)<br> |
| 164|[0x80008528]<br>0xFFFFFFFFFFFFF7FD|- rs1_val == -2049<br>                                                                                                                                                                             |[0x80001232]:c.subw a0, a1<br> [0x80001234]:sd a0, 1304(ra)<br> |
| 165|[0x80008530]<br>0xFFFFFFFFFFFFDFFF|- rs1_val == -8193<br>                                                                                                                                                                             |[0x80001248]:c.subw a0, a1<br> [0x8000124a]:sd a0, 1312(ra)<br> |
| 166|[0x80008538]<br>0xFFFFFFFFFFFFBEFF|- rs1_val == -16385<br>                                                                                                                                                                            |[0x8000125a]:c.subw a0, a1<br> [0x8000125c]:sd a0, 1320(ra)<br> |
| 167|[0x80008540]<br>0x0000000000000000|- rs1_val == -262145<br>                                                                                                                                                                           |[0x80001270]:c.subw a0, a1<br> [0x80001272]:sd a0, 1328(ra)<br> |
| 168|[0x80008548]<br>0xFFFFFFFFFFB7FFFF|- rs1_val == -4194305<br>                                                                                                                                                                          |[0x80001282]:c.subw a0, a1<br> [0x80001284]:sd a0, 1336(ra)<br> |
| 169|[0x80008550]<br>0x0000000003000000|- rs1_val == -16777217<br>                                                                                                                                                                         |[0x80001298]:c.subw a0, a1<br> [0x8000129a]:sd a0, 1344(ra)<br> |
| 170|[0x80008558]<br>0xFFFFFFFFF9FFFFFF|- rs1_val == -33554433<br>                                                                                                                                                                         |[0x800012aa]:c.subw a0, a1<br> [0x800012ac]:sd a0, 1352(ra)<br> |
| 171|[0x80008560]<br>0xFFFFFFFFFBFFFFFF|- rs2_val == 0<br> - rs1_val == -67108865<br>                                                                                                                                                      |[0x800012bc]:c.subw a0, a1<br> [0x800012be]:sd a0, 1360(ra)<br> |
| 172|[0x80008568]<br>0xFFFFFFFFF7FFFFFB|- rs1_val == -134217729<br>                                                                                                                                                                        |[0x800012ce]:c.subw a0, a1<br> [0x800012d0]:sd a0, 1368(ra)<br> |
| 173|[0x80008570]<br>0xFFFFFFFFFFFFFFFF|- rs1_val == -4294967297<br>                                                                                                                                                                       |[0x800012e4]:c.subw a0, a1<br> [0x800012e6]:sd a0, 1376(ra)<br> |
| 174|[0x80008578]<br>0xFFFFFFFF80000000|- rs1_val == -17179869185<br>                                                                                                                                                                      |[0x80001302]:c.subw a0, a1<br> [0x80001304]:sd a0, 1384(ra)<br> |
| 175|[0x80008580]<br>0xFFFFFFFF80000000|- rs1_val == -68719476737<br>                                                                                                                                                                      |[0x80001320]:c.subw a0, a1<br> [0x80001322]:sd a0, 1392(ra)<br> |
| 176|[0x80008588]<br>0xFFFFFFFFFFFFFFFE|- rs1_val == -274877906945<br>                                                                                                                                                                     |[0x80001336]:c.subw a0, a1<br> [0x80001338]:sd a0, 1400(ra)<br> |
| 177|[0x80008590]<br>0x0000000000000000|- rs1_val == -2199023255553<br>                                                                                                                                                                    |[0x80001354]:c.subw a0, a1<br> [0x80001356]:sd a0, 1408(ra)<br> |
| 178|[0x80008598]<br>0xFFFFFFFFFFFFFFFF|- rs1_val == -8796093022209<br>                                                                                                                                                                    |[0x8000136e]:c.subw a0, a1<br> [0x80001370]:sd a0, 1416(ra)<br> |
| 179|[0x800085a0]<br>0x0000000020000000|- rs1_val == -70368744177665<br>                                                                                                                                                                   |[0x80001388]:c.subw a0, a1<br> [0x8000138a]:sd a0, 1424(ra)<br> |
| 180|[0x800085a8]<br>0x0000000002000000|- rs1_val == -281474976710657<br>                                                                                                                                                                  |[0x800013a2]:c.subw a0, a1<br> [0x800013a4]:sd a0, 1432(ra)<br> |
| 181|[0x800085b0]<br>0xFFFFFFFFB504F332|- rs1_val == -2251799813685249<br>                                                                                                                                                                 |[0x800013c4]:c.subw a0, a1<br> [0x800013c6]:sd a0, 1440(ra)<br> |
| 182|[0x800085b8]<br>0xFFFFFFFFFFFFFFFF|- rs1_val == -4503599627370497<br>                                                                                                                                                                 |[0x800013de]:c.subw a0, a1<br> [0x800013e0]:sd a0, 1448(ra)<br> |
| 183|[0x800085c0]<br>0xFFFFFFFFAAAAAAAB|- rs1_val == -36028797018963969<br>                                                                                                                                                                |[0x80001410]:c.subw a0, a1<br> [0x80001412]:sd a0, 1456(ra)<br> |
| 184|[0x800085c8]<br>0xFFFFFFFFFFFFFFFF|- rs1_val == -144115188075855873<br>                                                                                                                                                               |[0x8000142a]:c.subw a0, a1<br> [0x8000142c]:sd a0, 1464(ra)<br> |
| 185|[0x800085d0]<br>0xFFFFFFFFFFFFFFFF|- rs1_val == -288230376151711745<br>                                                                                                                                                               |[0x80001444]:c.subw a0, a1<br> [0x80001446]:sd a0, 1472(ra)<br> |
| 186|[0x800085d8]<br>0x0000000040000000|- rs1_val == -576460752303423489<br>                                                                                                                                                               |[0x8000145e]:c.subw a0, a1<br> [0x80001460]:sd a0, 1480(ra)<br> |
| 187|[0x800085e0]<br>0x0000000055555555|- rs1_val == 6148914691236517205<br>                                                                                                                                                               |[0x8000148c]:c.subw a0, a1<br> [0x8000148e]:sd a0, 1488(ra)<br> |
| 188|[0x800085e8]<br>0x0000000000000000|- rs1_val==3 and rs2_val==3<br>                                                                                                                                                                    |[0x8000149a]:c.subw a0, a1<br> [0x8000149c]:sd a0, 1496(ra)<br> |
| 189|[0x800085f0]<br>0xFFFFFFFFAAAAAAAE|- rs1_val==3 and rs2_val==6148914691236517205<br>                                                                                                                                                  |[0x800014c4]:c.subw a0, a1<br> [0x800014c6]:sd a0, 1504(ra)<br> |
| 190|[0x800085f8]<br>0x0000000055555559|- rs1_val==3 and rs2_val==-6148914691236517206<br>                                                                                                                                                 |[0x800014ee]:c.subw a0, a1<br> [0x800014f0]:sd a0, 1512(ra)<br> |
| 191|[0x80008600]<br>0xFFFFFFFFFFFFFFFE|- rs1_val==3 and rs2_val==5<br>                                                                                                                                                                    |[0x800014fc]:c.subw a0, a1<br> [0x800014fe]:sd a0, 1520(ra)<br> |
| 192|[0x80008608]<br>0xFFFFFFFFCCCCCCD0|- rs1_val==3 and rs2_val==3689348814741910323<br>                                                                                                                                                  |[0x80001526]:c.subw a0, a1<br> [0x80001528]:sd a0, 1528(ra)<br> |
| 193|[0x80008610]<br>0xFFFFFFFF9999999D|- rs1_val==3 and rs2_val==7378697629483820646<br>                                                                                                                                                  |[0x80001550]:c.subw a0, a1<br> [0x80001552]:sd a0, 1536(ra)<br> |
| 194|[0x80008618]<br>0xFFFFFFFFB504F336|- rs1_val==3 and rs2_val==-3037000499<br>                                                                                                                                                          |[0x8000156a]:c.subw a0, a1<br> [0x8000156c]:sd a0, 1544(ra)<br> |
| 195|[0x80008620]<br>0x000000004AFB0CD0|- rs1_val==3 and rs2_val==3037000499<br>                                                                                                                                                           |[0x80001584]:c.subw a0, a1<br> [0x80001586]:sd a0, 1552(ra)<br> |
| 196|[0x80008628]<br>0x0000000000000001|- rs1_val==3 and rs2_val==2<br>                                                                                                                                                                    |[0x80001592]:c.subw a0, a1<br> [0x80001594]:sd a0, 1560(ra)<br> |
| 197|[0x80008630]<br>0xFFFFFFFFAAAAAAAF|- rs1_val==3 and rs2_val==6148914691236517204<br>                                                                                                                                                  |[0x800015bc]:c.subw a0, a1<br> [0x800015be]:sd a0, 1568(ra)<br> |
| 198|[0x80008638]<br>0x0000000000000003|- rs1_val==3 and rs2_val==0<br>                                                                                                                                                                    |[0x800015ca]:c.subw a0, a1<br> [0x800015cc]:sd a0, 1576(ra)<br> |
| 199|[0x80008640]<br>0xFFFFFFFFFFFFFFFF|- rs1_val==3 and rs2_val==4<br>                                                                                                                                                                    |[0x800015d8]:c.subw a0, a1<br> [0x800015da]:sd a0, 1584(ra)<br> |
| 200|[0x80008648]<br>0xFFFFFFFFCCCCCCD1|- rs1_val==3 and rs2_val==3689348814741910322<br>                                                                                                                                                  |[0x80001602]:c.subw a0, a1<br> [0x80001604]:sd a0, 1592(ra)<br> |
| 201|[0x80008650]<br>0xFFFFFFFF9999999E|- rs1_val==3 and rs2_val==7378697629483820645<br>                                                                                                                                                  |[0x8000162c]:c.subw a0, a1<br> [0x8000162e]:sd a0, 1600(ra)<br> |
| 202|[0x80008658]<br>0x000000004AFB0CD1|- rs1_val==3 and rs2_val==3037000498<br>                                                                                                                                                           |[0x80001646]:c.subw a0, a1<br> [0x80001648]:sd a0, 1608(ra)<br> |
| 203|[0x80008660]<br>0xFFFFFFFFAAAAAAAD|- rs1_val==3 and rs2_val==6148914691236517206<br>                                                                                                                                                  |[0x80001670]:c.subw a0, a1<br> [0x80001672]:sd a0, 1616(ra)<br> |
| 204|[0x80008668]<br>0x0000000055555558|- rs1_val==3 and rs2_val==-6148914691236517205<br>                                                                                                                                                 |[0x8000169a]:c.subw a0, a1<br> [0x8000169c]:sd a0, 1624(ra)<br> |
| 205|[0x80008670]<br>0xFFFFFFFFFFFFFFFD|- rs1_val==3 and rs2_val==6<br>                                                                                                                                                                    |[0x800016a8]:c.subw a0, a1<br> [0x800016aa]:sd a0, 1632(ra)<br> |
| 206|[0x80008678]<br>0xFFFFFFFFCCCCCCCF|- rs1_val==3 and rs2_val==3689348814741910324<br>                                                                                                                                                  |[0x800016d2]:c.subw a0, a1<br> [0x800016d4]:sd a0, 1640(ra)<br> |
| 207|[0x80008680]<br>0xFFFFFFFF9999999C|- rs1_val==3 and rs2_val==7378697629483820647<br>                                                                                                                                                  |[0x800016fc]:c.subw a0, a1<br> [0x800016fe]:sd a0, 1648(ra)<br> |
| 208|[0x80008688]<br>0xFFFFFFFFB504F335|- rs1_val==3 and rs2_val==-3037000498<br>                                                                                                                                                          |[0x80001716]:c.subw a0, a1<br> [0x80001718]:sd a0, 1656(ra)<br> |
| 209|[0x80008690]<br>0x000000004AFB0CCF|- rs1_val==3 and rs2_val==3037000500<br>                                                                                                                                                           |[0x80001730]:c.subw a0, a1<br> [0x80001732]:sd a0, 1664(ra)<br> |
| 210|[0x80008698]<br>0x0000000055555552|- rs1_val==6148914691236517205 and rs2_val==3<br>                                                                                                                                                  |[0x8000175a]:c.subw a0, a1<br> [0x8000175c]:sd a0, 1672(ra)<br> |
| 211|[0x800086a0]<br>0x0000000000000000|- rs1_val==6148914691236517205 and rs2_val==6148914691236517205<br>                                                                                                                                |[0x800017a0]:c.subw a0, a1<br> [0x800017a2]:sd a0, 1680(ra)<br> |
| 212|[0x800086a8]<br>0xFFFFFFFFAAAAAAAB|- rs1_val==6148914691236517205 and rs2_val==-6148914691236517206<br>                                                                                                                               |[0x800017e6]:c.subw a0, a1<br> [0x800017e8]:sd a0, 1688(ra)<br> |
| 213|[0x800086b0]<br>0x0000000055555550|- rs1_val==6148914691236517205 and rs2_val==5<br>                                                                                                                                                  |[0x80001810]:c.subw a0, a1<br> [0x80001812]:sd a0, 1696(ra)<br> |
| 214|[0x800086b8]<br>0x0000000022222222|- rs1_val==6148914691236517205 and rs2_val==3689348814741910323<br>                                                                                                                                |[0x80001856]:c.subw a0, a1<br> [0x80001858]:sd a0, 1704(ra)<br> |
| 215|[0x800086c0]<br>0xFFFFFFFFEEEEEEEF|- rs1_val==6148914691236517205 and rs2_val==7378697629483820646<br>                                                                                                                                |[0x8000189c]:c.subw a0, a1<br> [0x8000189e]:sd a0, 1712(ra)<br> |
| 216|[0x800086c8]<br>0x000000000A5A4888|- rs1_val==6148914691236517205 and rs2_val==-3037000499<br>                                                                                                                                        |[0x800018d2]:c.subw a0, a1<br> [0x800018d4]:sd a0, 1720(ra)<br> |
| 217|[0x800086d0]<br>0xFFFFFFFFA0506222|- rs1_val==6148914691236517205 and rs2_val==3037000499<br>                                                                                                                                         |[0x80001908]:c.subw a0, a1<br> [0x8000190a]:sd a0, 1728(ra)<br> |
| 218|[0x800086d8]<br>0x0000000055555553|- rs1_val==6148914691236517205 and rs2_val==2<br>                                                                                                                                                  |[0x80001932]:c.subw a0, a1<br> [0x80001934]:sd a0, 1736(ra)<br> |
| 219|[0x800086e0]<br>0x0000000000000001|- rs1_val==6148914691236517205 and rs2_val==6148914691236517204<br>                                                                                                                                |[0x80001978]:c.subw a0, a1<br> [0x8000197a]:sd a0, 1744(ra)<br> |
| 220|[0x800086e8]<br>0x0000000055555555|- rs1_val==6148914691236517205 and rs2_val==0<br>                                                                                                                                                  |[0x800019a2]:c.subw a0, a1<br> [0x800019a4]:sd a0, 1752(ra)<br> |
| 221|[0x800086f0]<br>0x0000000055555551|- rs1_val==6148914691236517205 and rs2_val==4<br>                                                                                                                                                  |[0x800019cc]:c.subw a0, a1<br> [0x800019ce]:sd a0, 1760(ra)<br> |
| 222|[0x800086f8]<br>0x0000000022222223|- rs1_val==6148914691236517205 and rs2_val==3689348814741910322<br>                                                                                                                                |[0x80001a12]:c.subw a0, a1<br> [0x80001a14]:sd a0, 1768(ra)<br> |
| 223|[0x80008700]<br>0xFFFFFFFFEEEEEEF0|- rs1_val==6148914691236517205 and rs2_val==7378697629483820645<br>                                                                                                                                |[0x80001a58]:c.subw a0, a1<br> [0x80001a5a]:sd a0, 1776(ra)<br> |
| 224|[0x80008708]<br>0xFFFFFFFFA0506223|- rs1_val==6148914691236517205 and rs2_val==3037000498<br>                                                                                                                                         |[0x80001a8e]:c.subw a0, a1<br> [0x80001a90]:sd a0, 1784(ra)<br> |
| 225|[0x80008710]<br>0xFFFFFFFFFFFFFFFF|- rs1_val==6148914691236517205 and rs2_val==6148914691236517206<br>                                                                                                                                |[0x80001ad4]:c.subw a0, a1<br> [0x80001ad6]:sd a0, 1792(ra)<br> |
| 226|[0x80008718]<br>0xFFFFFFFFAAAAAAAA|- rs1_val==6148914691236517205 and rs2_val==-6148914691236517205<br>                                                                                                                               |[0x80001b1a]:c.subw a0, a1<br> [0x80001b1c]:sd a0, 1800(ra)<br> |
| 227|[0x80008720]<br>0x000000005555554F|- rs1_val==6148914691236517205 and rs2_val==6<br>                                                                                                                                                  |[0x80001b44]:c.subw a0, a1<br> [0x80001b46]:sd a0, 1808(ra)<br> |
| 228|[0x80008728]<br>0x0000000022222221|- rs1_val==6148914691236517205 and rs2_val==3689348814741910324<br>                                                                                                                                |[0x80001b8a]:c.subw a0, a1<br> [0x80001b8c]:sd a0, 1816(ra)<br> |
| 229|[0x80008730]<br>0xFFFFFFFFEEEEEEEE|- rs1_val==6148914691236517205 and rs2_val==7378697629483820647<br>                                                                                                                                |[0x80001bd0]:c.subw a0, a1<br> [0x80001bd2]:sd a0, 1824(ra)<br> |
| 230|[0x80008738]<br>0x000000000A5A4887|- rs1_val==6148914691236517205 and rs2_val==-3037000498<br>                                                                                                                                        |[0x80001c06]:c.subw a0, a1<br> [0x80001c08]:sd a0, 1832(ra)<br> |
| 231|[0x80008740]<br>0xFFFFFFFFA0506221|- rs1_val==6148914691236517205 and rs2_val==3037000500<br>                                                                                                                                         |[0x80001c3c]:c.subw a0, a1<br> [0x80001c3e]:sd a0, 1840(ra)<br> |
| 232|[0x80008748]<br>0xFFFFFFFFAAAAAAA7|- rs1_val==-6148914691236517206 and rs2_val==3<br>                                                                                                                                                 |[0x80001c66]:c.subw a0, a1<br> [0x80001c68]:sd a0, 1848(ra)<br> |
| 233|[0x80008750]<br>0x0000000055555555|- rs1_val==-6148914691236517206 and rs2_val==6148914691236517205<br>                                                                                                                               |[0x80001cac]:c.subw a0, a1<br> [0x80001cae]:sd a0, 1856(ra)<br> |
| 234|[0x80008758]<br>0x0000000000000000|- rs1_val==-6148914691236517206 and rs2_val==-6148914691236517206<br>                                                                                                                              |[0x80001cf2]:c.subw a0, a1<br> [0x80001cf4]:sd a0, 1864(ra)<br> |
| 235|[0x80008760]<br>0xFFFFFFFFAAAAAAA5|- rs1_val==-6148914691236517206 and rs2_val==5<br>                                                                                                                                                 |[0x80001d1c]:c.subw a0, a1<br> [0x80001d1e]:sd a0, 1872(ra)<br> |
| 236|[0x80008768]<br>0x0000000077777777|- rs1_val==-6148914691236517206 and rs2_val==3689348814741910323<br>                                                                                                                               |[0x80001d62]:c.subw a0, a1<br> [0x80001d64]:sd a0, 1880(ra)<br> |
| 237|[0x80008770]<br>0x0000000044444444|- rs1_val==-6148914691236517206 and rs2_val==7378697629483820646<br>                                                                                                                               |[0x80001da8]:c.subw a0, a1<br> [0x80001daa]:sd a0, 1888(ra)<br> |
| 238|[0x80008778]<br>0x000000005FAF9DDD|- rs1_val==-6148914691236517206 and rs2_val==-3037000499<br>                                                                                                                                       |[0x80001dde]:c.subw a0, a1<br> [0x80001de0]:sd a0, 1896(ra)<br> |
| 239|[0x80008780]<br>0xFFFFFFFFF5A5B777|- rs1_val==-6148914691236517206 and rs2_val==3037000499<br>                                                                                                                                        |[0x80001e14]:c.subw a0, a1<br> [0x80001e16]:sd a0, 1904(ra)<br> |
| 240|[0x80008788]<br>0xFFFFFFFFAAAAAAA8|- rs1_val==-6148914691236517206 and rs2_val==2<br>                                                                                                                                                 |[0x80001e3e]:c.subw a0, a1<br> [0x80001e40]:sd a0, 1912(ra)<br> |
| 241|[0x80008790]<br>0x0000000055555556|- rs1_val==-6148914691236517206 and rs2_val==6148914691236517204<br>                                                                                                                               |[0x80001e84]:c.subw a0, a1<br> [0x80001e86]:sd a0, 1920(ra)<br> |
| 242|[0x80008798]<br>0xFFFFFFFFAAAAAAAA|- rs1_val==-6148914691236517206 and rs2_val==0<br>                                                                                                                                                 |[0x80001eae]:c.subw a0, a1<br> [0x80001eb0]:sd a0, 1928(ra)<br> |
| 243|[0x800087a0]<br>0xFFFFFFFFAAAAAAA6|- rs1_val==-6148914691236517206 and rs2_val==4<br>                                                                                                                                                 |[0x80001ed8]:c.subw a0, a1<br> [0x80001eda]:sd a0, 1936(ra)<br> |
| 244|[0x800087a8]<br>0x0000000077777778|- rs1_val==-6148914691236517206 and rs2_val==3689348814741910322<br>                                                                                                                               |[0x80001f1e]:c.subw a0, a1<br> [0x80001f20]:sd a0, 1944(ra)<br> |
| 245|[0x800087b0]<br>0x0000000044444445|- rs1_val==-6148914691236517206 and rs2_val==7378697629483820645<br>                                                                                                                               |[0x80001f64]:c.subw a0, a1<br> [0x80001f66]:sd a0, 1952(ra)<br> |
| 246|[0x800087b8]<br>0xFFFFFFFFF5A5B778|- rs1_val==-6148914691236517206 and rs2_val==3037000498<br>                                                                                                                                        |[0x80001f9a]:c.subw a0, a1<br> [0x80001f9c]:sd a0, 1960(ra)<br> |
| 247|[0x800087c0]<br>0x0000000055555554|- rs1_val==-6148914691236517206 and rs2_val==6148914691236517206<br>                                                                                                                               |[0x80001fe0]:c.subw a0, a1<br> [0x80001fe2]:sd a0, 1968(ra)<br> |
| 248|[0x800087c8]<br>0xFFFFFFFFFFFFFFFF|- rs1_val==-6148914691236517206 and rs2_val==-6148914691236517205<br>                                                                                                                              |[0x80002026]:c.subw a0, a1<br> [0x80002028]:sd a0, 1976(ra)<br> |
| 249|[0x800087d0]<br>0xFFFFFFFFAAAAAAA4|- rs1_val==-6148914691236517206 and rs2_val==6<br>                                                                                                                                                 |[0x80002050]:c.subw a0, a1<br> [0x80002052]:sd a0, 1984(ra)<br> |
| 250|[0x800087d8]<br>0x0000000077777776|- rs1_val==-6148914691236517206 and rs2_val==3689348814741910324<br>                                                                                                                               |[0x80002096]:c.subw a0, a1<br> [0x80002098]:sd a0, 1992(ra)<br> |
| 251|[0x800087e0]<br>0x0000000044444443|- rs1_val==-6148914691236517206 and rs2_val==7378697629483820647<br>                                                                                                                               |[0x800020dc]:c.subw a0, a1<br> [0x800020de]:sd a0, 2000(ra)<br> |
| 252|[0x800087e8]<br>0x000000005FAF9DDC|- rs1_val==-6148914691236517206 and rs2_val==-3037000498<br>                                                                                                                                       |[0x80002112]:c.subw a0, a1<br> [0x80002114]:sd a0, 2008(ra)<br> |
| 253|[0x800087f0]<br>0xFFFFFFFFF5A5B776|- rs1_val==-6148914691236517206 and rs2_val==3037000500<br>                                                                                                                                        |[0x80002148]:c.subw a0, a1<br> [0x8000214a]:sd a0, 2016(ra)<br> |
| 254|[0x800087f8]<br>0x0000000000000002|- rs1_val==5 and rs2_val==3<br>                                                                                                                                                                    |[0x80002156]:c.subw a0, a1<br> [0x80002158]:sd a0, 2024(ra)<br> |
| 255|[0x80008800]<br>0xFFFFFFFFAAAAAAB0|- rs1_val==5 and rs2_val==6148914691236517205<br>                                                                                                                                                  |[0x80002180]:c.subw a0, a1<br> [0x80002182]:sd a0, 2032(ra)<br> |
| 256|[0x80008808]<br>0x000000005555555B|- rs1_val==5 and rs2_val==-6148914691236517206<br>                                                                                                                                                 |[0x800021aa]:c.subw a0, a1<br> [0x800021ac]:sd a0, 2040(ra)<br> |
| 257|[0x80008810]<br>0x0000000000000000|- rs1_val==5 and rs2_val==5<br>                                                                                                                                                                    |[0x800021c0]:c.subw a0, a1<br> [0x800021c2]:sd a0, 0(ra)<br>    |
| 258|[0x80008818]<br>0xFFFFFFFFCCCCCCD2|- rs1_val==5 and rs2_val==3689348814741910323<br>                                                                                                                                                  |[0x800021ea]:c.subw a0, a1<br> [0x800021ec]:sd a0, 8(ra)<br>    |
| 259|[0x80008820]<br>0xFFFFFFFF9999999F|- rs1_val==5 and rs2_val==7378697629483820646<br>                                                                                                                                                  |[0x80002214]:c.subw a0, a1<br> [0x80002216]:sd a0, 16(ra)<br>   |
| 260|[0x80008828]<br>0xFFFFFFFFB504F338|- rs1_val==5 and rs2_val==-3037000499<br>                                                                                                                                                          |[0x8000222e]:c.subw a0, a1<br> [0x80002230]:sd a0, 24(ra)<br>   |
| 261|[0x80008830]<br>0x000000004AFB0CD2|- rs1_val==5 and rs2_val==3037000499<br>                                                                                                                                                           |[0x80002248]:c.subw a0, a1<br> [0x8000224a]:sd a0, 32(ra)<br>   |
| 262|[0x80008838]<br>0x0000000000000003|- rs1_val==5 and rs2_val==2<br>                                                                                                                                                                    |[0x80002256]:c.subw a0, a1<br> [0x80002258]:sd a0, 40(ra)<br>   |
| 263|[0x80008840]<br>0xFFFFFFFFAAAAAAB1|- rs1_val==5 and rs2_val==6148914691236517204<br>                                                                                                                                                  |[0x80002280]:c.subw a0, a1<br> [0x80002282]:sd a0, 48(ra)<br>   |
| 264|[0x80008848]<br>0x0000000000000005|- rs1_val==5 and rs2_val==0<br>                                                                                                                                                                    |[0x8000228e]:c.subw a0, a1<br> [0x80002290]:sd a0, 56(ra)<br>   |
| 265|[0x80008850]<br>0x0000000000000001|- rs1_val==5 and rs2_val==4<br>                                                                                                                                                                    |[0x8000229c]:c.subw a0, a1<br> [0x8000229e]:sd a0, 64(ra)<br>   |
| 266|[0x80008858]<br>0xFFFFFFFFCCCCCCD3|- rs1_val==5 and rs2_val==3689348814741910322<br>                                                                                                                                                  |[0x800022c6]:c.subw a0, a1<br> [0x800022c8]:sd a0, 72(ra)<br>   |
| 267|[0x80008860]<br>0xFFFFFFFF999999A0|- rs1_val==5 and rs2_val==7378697629483820645<br>                                                                                                                                                  |[0x800022f0]:c.subw a0, a1<br> [0x800022f2]:sd a0, 80(ra)<br>   |
| 268|[0x80008868]<br>0x000000004AFB0CD3|- rs1_val==5 and rs2_val==3037000498<br>                                                                                                                                                           |[0x8000230a]:c.subw a0, a1<br> [0x8000230c]:sd a0, 88(ra)<br>   |
| 269|[0x80008870]<br>0xFFFFFFFFAAAAAAAF|- rs1_val==5 and rs2_val==6148914691236517206<br>                                                                                                                                                  |[0x80002334]:c.subw a0, a1<br> [0x80002336]:sd a0, 96(ra)<br>   |
| 270|[0x80008878]<br>0x000000005555555A|- rs1_val==5 and rs2_val==-6148914691236517205<br>                                                                                                                                                 |[0x8000235e]:c.subw a0, a1<br> [0x80002360]:sd a0, 104(ra)<br>  |
| 271|[0x80008880]<br>0xFFFFFFFFFFFFFFFF|- rs1_val==5 and rs2_val==6<br>                                                                                                                                                                    |[0x8000236c]:c.subw a0, a1<br> [0x8000236e]:sd a0, 112(ra)<br>  |
| 272|[0x80008888]<br>0xFFFFFFFFCCCCCCD1|- rs1_val==5 and rs2_val==3689348814741910324<br>                                                                                                                                                  |[0x80002396]:c.subw a0, a1<br> [0x80002398]:sd a0, 120(ra)<br>  |
| 273|[0x80008890]<br>0xFFFFFFFF9999999E|- rs1_val==5 and rs2_val==7378697629483820647<br>                                                                                                                                                  |[0x800023c0]:c.subw a0, a1<br> [0x800023c2]:sd a0, 128(ra)<br>  |
| 274|[0x80008898]<br>0xFFFFFFFFB504F337|- rs1_val==5 and rs2_val==-3037000498<br>                                                                                                                                                          |[0x800023da]:c.subw a0, a1<br> [0x800023dc]:sd a0, 136(ra)<br>  |
| 275|[0x800088a0]<br>0x000000004AFB0CD1|- rs1_val==5 and rs2_val==3037000500<br>                                                                                                                                                           |[0x800023f4]:c.subw a0, a1<br> [0x800023f6]:sd a0, 144(ra)<br>  |
| 276|[0x800088a8]<br>0x0000000033333330|- rs1_val==3689348814741910323 and rs2_val==3<br>                                                                                                                                                  |[0x8000241e]:c.subw a0, a1<br> [0x80002420]:sd a0, 152(ra)<br>  |
| 277|[0x800088b0]<br>0xFFFFFFFFDDDDDDDE|- rs1_val==3689348814741910323 and rs2_val==6148914691236517205<br>                                                                                                                                |[0x80002464]:c.subw a0, a1<br> [0x80002466]:sd a0, 160(ra)<br>  |
| 278|[0x800088b8]<br>0xFFFFFFFF88888889|- rs1_val==3689348814741910323 and rs2_val==-6148914691236517206<br>                                                                                                                               |[0x800024aa]:c.subw a0, a1<br> [0x800024ac]:sd a0, 168(ra)<br>  |
| 279|[0x800088c0]<br>0x000000003333332E|- rs1_val==3689348814741910323 and rs2_val==5<br>                                                                                                                                                  |[0x800024d4]:c.subw a0, a1<br> [0x800024d6]:sd a0, 176(ra)<br>  |
| 280|[0x800088c8]<br>0x0000000000000000|- rs1_val==3689348814741910323 and rs2_val==3689348814741910323<br>                                                                                                                                |[0x8000251a]:c.subw a0, a1<br> [0x8000251c]:sd a0, 184(ra)<br>  |
| 281|[0x800088d0]<br>0xFFFFFFFFCCCCCCCD|- rs1_val==3689348814741910323 and rs2_val==7378697629483820646<br>                                                                                                                                |[0x80002560]:c.subw a0, a1<br> [0x80002562]:sd a0, 192(ra)<br>  |
| 282|[0x800088d8]<br>0xFFFFFFFFE8382666|- rs1_val==3689348814741910323 and rs2_val==-3037000499<br>                                                                                                                                        |[0x80002596]:c.subw a0, a1<br> [0x80002598]:sd a0, 200(ra)<br>  |
| 283|[0x800088e0]<br>0x000000007E2E4000|- rs1_val==3689348814741910323 and rs2_val==3037000499<br>                                                                                                                                         |[0x800025cc]:c.subw a0, a1<br> [0x800025ce]:sd a0, 208(ra)<br>  |
| 284|[0x800088e8]<br>0x0000000033333331|- rs1_val==3689348814741910323 and rs2_val==2<br>                                                                                                                                                  |[0x800025f6]:c.subw a0, a1<br> [0x800025f8]:sd a0, 216(ra)<br>  |
| 285|[0x800088f0]<br>0xFFFFFFFFDDDDDDDF|- rs1_val==3689348814741910323 and rs2_val==6148914691236517204<br>                                                                                                                                |[0x8000263c]:c.subw a0, a1<br> [0x8000263e]:sd a0, 224(ra)<br>  |
| 286|[0x800088f8]<br>0x0000000033333333|- rs1_val==3689348814741910323 and rs2_val==0<br>                                                                                                                                                  |[0x80002666]:c.subw a0, a1<br> [0x80002668]:sd a0, 232(ra)<br>  |
| 287|[0x80008900]<br>0x000000003333332F|- rs1_val==3689348814741910323 and rs2_val==4<br>                                                                                                                                                  |[0x80002690]:c.subw a0, a1<br> [0x80002692]:sd a0, 240(ra)<br>  |
| 288|[0x80008908]<br>0x0000000000000001|- rs1_val==3689348814741910323 and rs2_val==3689348814741910322<br>                                                                                                                                |[0x800026d6]:c.subw a0, a1<br> [0x800026d8]:sd a0, 248(ra)<br>  |
| 289|[0x80008910]<br>0xFFFFFFFFCCCCCCCE|- rs1_val==3689348814741910323 and rs2_val==7378697629483820645<br>                                                                                                                                |[0x8000271c]:c.subw a0, a1<br> [0x8000271e]:sd a0, 256(ra)<br>  |
| 290|[0x80008918]<br>0x000000007E2E4001|- rs1_val==3689348814741910323 and rs2_val==3037000498<br>                                                                                                                                         |[0x80002752]:c.subw a0, a1<br> [0x80002754]:sd a0, 264(ra)<br>  |
| 291|[0x80008920]<br>0xFFFFFFFFDDDDDDDD|- rs1_val==3689348814741910323 and rs2_val==6148914691236517206<br>                                                                                                                                |[0x80002798]:c.subw a0, a1<br> [0x8000279a]:sd a0, 272(ra)<br>  |
| 292|[0x80008928]<br>0xFFFFFFFF88888888|- rs1_val==3689348814741910323 and rs2_val==-6148914691236517205<br>                                                                                                                               |[0x800027de]:c.subw a0, a1<br> [0x800027e0]:sd a0, 280(ra)<br>  |
| 293|[0x80008930]<br>0x000000003333332D|- rs1_val==3689348814741910323 and rs2_val==6<br>                                                                                                                                                  |[0x80002808]:c.subw a0, a1<br> [0x8000280a]:sd a0, 288(ra)<br>  |
| 294|[0x80008938]<br>0xFFFFFFFFFFFFFFFF|- rs1_val==3689348814741910323 and rs2_val==3689348814741910324<br>                                                                                                                                |[0x8000284e]:c.subw a0, a1<br> [0x80002850]:sd a0, 296(ra)<br>  |
| 295|[0x80008940]<br>0xFFFFFFFFCCCCCCCC|- rs1_val==3689348814741910323 and rs2_val==7378697629483820647<br>                                                                                                                                |[0x80002894]:c.subw a0, a1<br> [0x80002896]:sd a0, 304(ra)<br>  |
| 296|[0x80008948]<br>0xFFFFFFFFE8382665|- rs1_val==3689348814741910323 and rs2_val==-3037000498<br>                                                                                                                                        |[0x800028ca]:c.subw a0, a1<br> [0x800028cc]:sd a0, 312(ra)<br>  |
| 297|[0x80008950]<br>0x000000007E2E3FFF|- rs1_val==3689348814741910323 and rs2_val==3037000500<br>                                                                                                                                         |[0x80002900]:c.subw a0, a1<br> [0x80002902]:sd a0, 320(ra)<br>  |
| 298|[0x80008958]<br>0x0000000066666663|- rs1_val==7378697629483820646 and rs2_val==3<br>                                                                                                                                                  |[0x8000292a]:c.subw a0, a1<br> [0x8000292c]:sd a0, 328(ra)<br>  |
| 299|[0x80008960]<br>0x0000000011111111|- rs1_val==7378697629483820646 and rs2_val==6148914691236517205<br>                                                                                                                                |[0x80002970]:c.subw a0, a1<br> [0x80002972]:sd a0, 336(ra)<br>  |
| 300|[0x80008968]<br>0xFFFFFFFFBBBBBBBC|- rs1_val==7378697629483820646 and rs2_val==-6148914691236517206<br>                                                                                                                               |[0x800029b6]:c.subw a0, a1<br> [0x800029b8]:sd a0, 344(ra)<br>  |
| 301|[0x80008970]<br>0x0000000066666661|- rs1_val==7378697629483820646 and rs2_val==5<br>                                                                                                                                                  |[0x800029e0]:c.subw a0, a1<br> [0x800029e2]:sd a0, 352(ra)<br>  |
| 302|[0x80008978]<br>0x0000000033333333|- rs1_val==7378697629483820646 and rs2_val==3689348814741910323<br>                                                                                                                                |[0x80002a26]:c.subw a0, a1<br> [0x80002a28]:sd a0, 360(ra)<br>  |
| 303|[0x80008980]<br>0x0000000000000000|- rs1_val==7378697629483820646 and rs2_val==7378697629483820646<br>                                                                                                                                |[0x80002a6c]:c.subw a0, a1<br> [0x80002a6e]:sd a0, 368(ra)<br>  |
| 304|[0x80008988]<br>0x000000001B6B5999|- rs1_val==7378697629483820646 and rs2_val==-3037000499<br>                                                                                                                                        |[0x80002aa2]:c.subw a0, a1<br> [0x80002aa4]:sd a0, 376(ra)<br>  |
| 305|[0x80008990]<br>0xFFFFFFFFB1617333|- rs1_val==7378697629483820646 and rs2_val==3037000499<br>                                                                                                                                         |[0x80002ad8]:c.subw a0, a1<br> [0x80002ada]:sd a0, 384(ra)<br>  |
| 306|[0x80008998]<br>0x0000000066666664|- rs1_val==7378697629483820646 and rs2_val==2<br>                                                                                                                                                  |[0x80002b02]:c.subw a0, a1<br> [0x80002b04]:sd a0, 392(ra)<br>  |
| 307|[0x800089a0]<br>0x0000000011111112|- rs1_val==7378697629483820646 and rs2_val==6148914691236517204<br>                                                                                                                                |[0x80002b48]:c.subw a0, a1<br> [0x80002b4a]:sd a0, 400(ra)<br>  |
| 308|[0x800089a8]<br>0x0000000066666666|- rs1_val==7378697629483820646 and rs2_val==0<br>                                                                                                                                                  |[0x80002b72]:c.subw a0, a1<br> [0x80002b74]:sd a0, 408(ra)<br>  |
| 309|[0x800089b0]<br>0x0000000066666662|- rs1_val==7378697629483820646 and rs2_val==4<br>                                                                                                                                                  |[0x80002b9c]:c.subw a0, a1<br> [0x80002b9e]:sd a0, 416(ra)<br>  |
| 310|[0x800089b8]<br>0x0000000033333334|- rs1_val==7378697629483820646 and rs2_val==3689348814741910322<br>                                                                                                                                |[0x80002be2]:c.subw a0, a1<br> [0x80002be4]:sd a0, 424(ra)<br>  |
| 311|[0x800089c0]<br>0x0000000000000001|- rs1_val==7378697629483820646 and rs2_val==7378697629483820645<br>                                                                                                                                |[0x80002c28]:c.subw a0, a1<br> [0x80002c2a]:sd a0, 432(ra)<br>  |
| 312|[0x800089c8]<br>0xFFFFFFFFB1617334|- rs1_val==7378697629483820646 and rs2_val==3037000498<br>                                                                                                                                         |[0x80002c5e]:c.subw a0, a1<br> [0x80002c60]:sd a0, 440(ra)<br>  |
| 313|[0x800089d0]<br>0x0000000011111110|- rs1_val==7378697629483820646 and rs2_val==6148914691236517206<br>                                                                                                                                |[0x80002ca4]:c.subw a0, a1<br> [0x80002ca6]:sd a0, 448(ra)<br>  |
| 314|[0x800089d8]<br>0xFFFFFFFFBBBBBBBB|- rs1_val==7378697629483820646 and rs2_val==-6148914691236517205<br>                                                                                                                               |[0x80002cea]:c.subw a0, a1<br> [0x80002cec]:sd a0, 456(ra)<br>  |
| 315|[0x800089e0]<br>0x0000000066666660|- rs1_val==7378697629483820646 and rs2_val==6<br>                                                                                                                                                  |[0x80002d14]:c.subw a0, a1<br> [0x80002d16]:sd a0, 464(ra)<br>  |
| 316|[0x800089e8]<br>0x0000000033333332|- rs1_val==7378697629483820646 and rs2_val==3689348814741910324<br>                                                                                                                                |[0x80002d5a]:c.subw a0, a1<br> [0x80002d5c]:sd a0, 472(ra)<br>  |
| 317|[0x800089f0]<br>0xFFFFFFFFFFFFFFFF|- rs1_val==7378697629483820646 and rs2_val==7378697629483820647<br>                                                                                                                                |[0x80002da0]:c.subw a0, a1<br> [0x80002da2]:sd a0, 480(ra)<br>  |
| 318|[0x800089f8]<br>0x000000001B6B5998|- rs1_val==7378697629483820646 and rs2_val==-3037000498<br>                                                                                                                                        |[0x80002dd6]:c.subw a0, a1<br> [0x80002dd8]:sd a0, 488(ra)<br>  |
| 319|[0x80008a00]<br>0xFFFFFFFFB1617332|- rs1_val==7378697629483820646 and rs2_val==3037000500<br>                                                                                                                                         |[0x80002e0c]:c.subw a0, a1<br> [0x80002e0e]:sd a0, 496(ra)<br>  |
| 320|[0x80008a08]<br>0x000000004AFB0CCA|- rs1_val==-3037000499 and rs2_val==3<br>                                                                                                                                                          |[0x80002e26]:c.subw a0, a1<br> [0x80002e28]:sd a0, 504(ra)<br>  |
| 321|[0x80008a10]<br>0xFFFFFFFFF5A5B778|- rs1_val==-3037000499 and rs2_val==6148914691236517205<br>                                                                                                                                        |[0x80002e5c]:c.subw a0, a1<br> [0x80002e5e]:sd a0, 512(ra)<br>  |
| 322|[0x80008a18]<br>0xFFFFFFFFA0506223|- rs1_val==-3037000499 and rs2_val==-6148914691236517206<br>                                                                                                                                       |[0x80002e92]:c.subw a0, a1<br> [0x80002e94]:sd a0, 520(ra)<br>  |
| 323|[0x80008a20]<br>0x000000004AFB0CC8|- rs1_val==-3037000499 and rs2_val==5<br>                                                                                                                                                          |[0x80002eac]:c.subw a0, a1<br> [0x80002eae]:sd a0, 528(ra)<br>  |
| 324|[0x80008a28]<br>0x0000000017C7D99A|- rs1_val==-3037000499 and rs2_val==3689348814741910323<br>                                                                                                                                        |[0x80002ee2]:c.subw a0, a1<br> [0x80002ee4]:sd a0, 536(ra)<br>  |
| 325|[0x80008a30]<br>0xFFFFFFFFE494A667|- rs1_val==-3037000499 and rs2_val==7378697629483820646<br>                                                                                                                                        |[0x80002f18]:c.subw a0, a1<br> [0x80002f1a]:sd a0, 544(ra)<br>  |
| 326|[0x80008a38]<br>0x0000000000000000|- rs1_val==-3037000499 and rs2_val==-3037000499<br>                                                                                                                                                |[0x80002f3e]:c.subw a0, a1<br> [0x80002f40]:sd a0, 552(ra)<br>  |
| 327|[0x80008a40]<br>0xFFFFFFFF95F6199A|- rs1_val==-3037000499 and rs2_val==3037000499<br>                                                                                                                                                 |[0x80002f64]:c.subw a0, a1<br> [0x80002f66]:sd a0, 560(ra)<br>  |
| 328|[0x80008a48]<br>0x000000004AFB0CCB|- rs1_val==-3037000499 and rs2_val==2<br>                                                                                                                                                          |[0x80002f7e]:c.subw a0, a1<br> [0x80002f80]:sd a0, 568(ra)<br>  |
| 329|[0x80008a50]<br>0xFFFFFFFFF5A5B779|- rs1_val==-3037000499 and rs2_val==6148914691236517204<br>                                                                                                                                        |[0x80002fb4]:c.subw a0, a1<br> [0x80002fb6]:sd a0, 576(ra)<br>  |
| 330|[0x80008a58]<br>0x000000004AFB0CCD|- rs1_val==-3037000499 and rs2_val==0<br>                                                                                                                                                          |[0x80002fce]:c.subw a0, a1<br> [0x80002fd0]:sd a0, 584(ra)<br>  |
| 331|[0x80008a60]<br>0x000000004AFB0CC9|- rs1_val==-3037000499 and rs2_val==4<br>                                                                                                                                                          |[0x80002fe8]:c.subw a0, a1<br> [0x80002fea]:sd a0, 592(ra)<br>  |
| 332|[0x80008a68]<br>0x0000000017C7D99B|- rs1_val==-3037000499 and rs2_val==3689348814741910322<br>                                                                                                                                        |[0x8000301e]:c.subw a0, a1<br> [0x80003020]:sd a0, 600(ra)<br>  |
| 333|[0x80008a70]<br>0xFFFFFFFFE494A668|- rs1_val==-3037000499 and rs2_val==7378697629483820645<br>                                                                                                                                        |[0x80003054]:c.subw a0, a1<br> [0x80003056]:sd a0, 608(ra)<br>  |
| 334|[0x80008a78]<br>0xFFFFFFFF95F6199B|- rs1_val==-3037000499 and rs2_val==3037000498<br>                                                                                                                                                 |[0x8000307a]:c.subw a0, a1<br> [0x8000307c]:sd a0, 616(ra)<br>  |
| 335|[0x80008a80]<br>0xFFFFFFFFF5A5B777|- rs1_val==-3037000499 and rs2_val==6148914691236517206<br>                                                                                                                                        |[0x800030b0]:c.subw a0, a1<br> [0x800030b2]:sd a0, 624(ra)<br>  |
| 336|[0x80008a88]<br>0xFFFFFFFFA0506222|- rs1_val==-3037000499 and rs2_val==-6148914691236517205<br>                                                                                                                                       |[0x800030e6]:c.subw a0, a1<br> [0x800030e8]:sd a0, 632(ra)<br>  |
| 337|[0x80008a90]<br>0x000000004AFB0CC7|- rs1_val==-3037000499 and rs2_val==6<br>                                                                                                                                                          |[0x80003100]:c.subw a0, a1<br> [0x80003102]:sd a0, 640(ra)<br>  |
| 338|[0x80008a98]<br>0x0000000017C7D999|- rs1_val==-3037000499 and rs2_val==3689348814741910324<br>                                                                                                                                        |[0x80003136]:c.subw a0, a1<br> [0x80003138]:sd a0, 648(ra)<br>  |
| 339|[0x80008aa0]<br>0xFFFFFFFFE494A666|- rs1_val==-3037000499 and rs2_val==7378697629483820647<br>                                                                                                                                        |[0x8000316c]:c.subw a0, a1<br> [0x8000316e]:sd a0, 656(ra)<br>  |
| 340|[0x80008aa8]<br>0xFFFFFFFFFFFFFFFF|- rs1_val==-3037000499 and rs2_val==-3037000498<br>                                                                                                                                                |[0x80003192]:c.subw a0, a1<br> [0x80003194]:sd a0, 664(ra)<br>  |
| 341|[0x80008ab0]<br>0xFFFFFFFF95F61999|- rs1_val==-3037000499 and rs2_val==3037000500<br>                                                                                                                                                 |[0x800031b8]:c.subw a0, a1<br> [0x800031ba]:sd a0, 672(ra)<br>  |
| 342|[0x80008ab8]<br>0xFFFFFFFFB504F330|- rs1_val==3037000499 and rs2_val==3<br>                                                                                                                                                           |[0x800031d2]:c.subw a0, a1<br> [0x800031d4]:sd a0, 680(ra)<br>  |
| 343|[0x80008ac0]<br>0x000000005FAF9DDE|- rs1_val==3037000499 and rs2_val==6148914691236517205<br>                                                                                                                                         |[0x80003208]:c.subw a0, a1<br> [0x8000320a]:sd a0, 688(ra)<br>  |
| 344|[0x80008ac8]<br>0x000000000A5A4889|- rs1_val==3037000499 and rs2_val==-6148914691236517206<br>                                                                                                                                        |[0x8000323e]:c.subw a0, a1<br> [0x80003240]:sd a0, 696(ra)<br>  |
| 345|[0x80008ad0]<br>0xFFFFFFFFB504F32E|- rs1_val==3037000499 and rs2_val==5<br>                                                                                                                                                           |[0x80003258]:c.subw a0, a1<br> [0x8000325a]:sd a0, 704(ra)<br>  |
| 346|[0x80008ad8]<br>0xFFFFFFFF81D1C000|- rs1_val==3037000499 and rs2_val==3689348814741910323<br>                                                                                                                                         |[0x8000328e]:c.subw a0, a1<br> [0x80003290]:sd a0, 712(ra)<br>  |
| 347|[0x80008ae0]<br>0x000000004E9E8CCD|- rs1_val==3037000499 and rs2_val==7378697629483820646<br>                                                                                                                                         |[0x800032c4]:c.subw a0, a1<br> [0x800032c6]:sd a0, 720(ra)<br>  |
| 348|[0x80008ae8]<br>0x000000006A09E666|- rs1_val==3037000499 and rs2_val==-3037000499<br>                                                                                                                                                 |[0x800032ea]:c.subw a0, a1<br> [0x800032ec]:sd a0, 728(ra)<br>  |
| 349|[0x80008af0]<br>0x0000000000000000|- rs1_val==3037000499 and rs2_val==3037000499<br>                                                                                                                                                  |[0x80003310]:c.subw a0, a1<br> [0x80003312]:sd a0, 736(ra)<br>  |
| 350|[0x80008af8]<br>0xFFFFFFFFB504F331|- rs1_val==3037000499 and rs2_val==2<br>                                                                                                                                                           |[0x8000332a]:c.subw a0, a1<br> [0x8000332c]:sd a0, 744(ra)<br>  |
| 351|[0x80008b00]<br>0x000000005FAF9DDF|- rs1_val==3037000499 and rs2_val==6148914691236517204<br>                                                                                                                                         |[0x80003360]:c.subw a0, a1<br> [0x80003362]:sd a0, 752(ra)<br>  |
| 352|[0x80008b08]<br>0xFFFFFFFFB504F333|- rs1_val==3037000499 and rs2_val==0<br>                                                                                                                                                           |[0x8000337a]:c.subw a0, a1<br> [0x8000337c]:sd a0, 760(ra)<br>  |
| 353|[0x80008b10]<br>0xFFFFFFFFB504F32F|- rs1_val==3037000499 and rs2_val==4<br>                                                                                                                                                           |[0x80003394]:c.subw a0, a1<br> [0x80003396]:sd a0, 768(ra)<br>  |
| 354|[0x80008b18]<br>0xFFFFFFFF81D1C001|- rs1_val==3037000499 and rs2_val==3689348814741910322<br>                                                                                                                                         |[0x800033ca]:c.subw a0, a1<br> [0x800033cc]:sd a0, 776(ra)<br>  |
| 355|[0x80008b20]<br>0x000000004E9E8CCE|- rs1_val==3037000499 and rs2_val==7378697629483820645<br>                                                                                                                                         |[0x80003400]:c.subw a0, a1<br> [0x80003402]:sd a0, 784(ra)<br>  |
| 356|[0x80008b28]<br>0x0000000000000001|- rs1_val==3037000499 and rs2_val==3037000498<br>                                                                                                                                                  |[0x80003426]:c.subw a0, a1<br> [0x80003428]:sd a0, 792(ra)<br>  |
| 357|[0x80008b30]<br>0x000000005FAF9DDD|- rs1_val==3037000499 and rs2_val==6148914691236517206<br>                                                                                                                                         |[0x8000345c]:c.subw a0, a1<br> [0x8000345e]:sd a0, 800(ra)<br>  |
| 358|[0x80008b38]<br>0x000000000A5A4888|- rs1_val==3037000499 and rs2_val==-6148914691236517205<br>                                                                                                                                        |[0x80003492]:c.subw a0, a1<br> [0x80003494]:sd a0, 808(ra)<br>  |
| 359|[0x80008b40]<br>0xFFFFFFFFB504F32D|- rs1_val==3037000499 and rs2_val==6<br>                                                                                                                                                           |[0x800034ac]:c.subw a0, a1<br> [0x800034ae]:sd a0, 816(ra)<br>  |
| 360|[0x80008b48]<br>0xFFFFFFFF81D1BFFF|- rs1_val==3037000499 and rs2_val==3689348814741910324<br>                                                                                                                                         |[0x800034e2]:c.subw a0, a1<br> [0x800034e4]:sd a0, 824(ra)<br>  |
| 361|[0x80008b50]<br>0x000000004E9E8CCC|- rs1_val==3037000499 and rs2_val==7378697629483820647<br>                                                                                                                                         |[0x80003518]:c.subw a0, a1<br> [0x8000351a]:sd a0, 832(ra)<br>  |
| 362|[0x80008b58]<br>0x000000006A09E665|- rs1_val==3037000499 and rs2_val==-3037000498<br>                                                                                                                                                 |[0x8000353e]:c.subw a0, a1<br> [0x80003540]:sd a0, 840(ra)<br>  |
| 363|[0x80008b60]<br>0xFFFFFFFFFFFFFFFF|- rs1_val==3037000499 and rs2_val==3037000500<br>                                                                                                                                                  |[0x80003564]:c.subw a0, a1<br> [0x80003566]:sd a0, 848(ra)<br>  |
| 364|[0x80008b68]<br>0xFFFFFFFFFFFFFFFF|- rs1_val==2 and rs2_val==3<br>                                                                                                                                                                    |[0x80003572]:c.subw a0, a1<br> [0x80003574]:sd a0, 856(ra)<br>  |
| 365|[0x80008b70]<br>0xFFFFFFFFAAAAAAAD|- rs1_val==2 and rs2_val==6148914691236517205<br>                                                                                                                                                  |[0x8000359c]:c.subw a0, a1<br> [0x8000359e]:sd a0, 864(ra)<br>  |
| 366|[0x80008b78]<br>0x0000000055555558|- rs1_val==2 and rs2_val==-6148914691236517206<br>                                                                                                                                                 |[0x800035c6]:c.subw a0, a1<br> [0x800035c8]:sd a0, 872(ra)<br>  |
| 367|[0x80008b80]<br>0xFFFFFFFFFFFFFFFD|- rs1_val==2 and rs2_val==5<br>                                                                                                                                                                    |[0x800035d4]:c.subw a0, a1<br> [0x800035d6]:sd a0, 880(ra)<br>  |
| 368|[0x80008b88]<br>0xFFFFFFFFCCCCCCCF|- rs1_val==2 and rs2_val==3689348814741910323<br>                                                                                                                                                  |[0x800035fe]:c.subw a0, a1<br> [0x80003600]:sd a0, 888(ra)<br>  |
| 369|[0x80008b90]<br>0xFFFFFFFF9999999C|- rs1_val==2 and rs2_val==7378697629483820646<br>                                                                                                                                                  |[0x80003628]:c.subw a0, a1<br> [0x8000362a]:sd a0, 896(ra)<br>  |
| 370|[0x80008b98]<br>0xFFFFFFFFB504F335|- rs1_val==2 and rs2_val==-3037000499<br>                                                                                                                                                          |[0x80003642]:c.subw a0, a1<br> [0x80003644]:sd a0, 904(ra)<br>  |
| 371|[0x80008ba0]<br>0x000000004AFB0CCF|- rs1_val==2 and rs2_val==3037000499<br>                                                                                                                                                           |[0x8000365c]:c.subw a0, a1<br> [0x8000365e]:sd a0, 912(ra)<br>  |
| 372|[0x80008ba8]<br>0x0000000000000000|- rs1_val==2 and rs2_val==2<br>                                                                                                                                                                    |[0x8000366a]:c.subw a0, a1<br> [0x8000366c]:sd a0, 920(ra)<br>  |
| 373|[0x80008bb0]<br>0xFFFFFFFFAAAAAAAE|- rs1_val==2 and rs2_val==6148914691236517204<br>                                                                                                                                                  |[0x80003694]:c.subw a0, a1<br> [0x80003696]:sd a0, 928(ra)<br>  |
| 374|[0x80008bb8]<br>0x0000000000000002|- rs1_val==2 and rs2_val==0<br>                                                                                                                                                                    |[0x800036a2]:c.subw a0, a1<br> [0x800036a4]:sd a0, 936(ra)<br>  |
| 375|[0x80008bc0]<br>0xFFFFFFFFFFFFFFFE|- rs1_val==2 and rs2_val==4<br>                                                                                                                                                                    |[0x800036b0]:c.subw a0, a1<br> [0x800036b2]:sd a0, 944(ra)<br>  |
| 376|[0x80008bc8]<br>0xFFFFFFFFCCCCCCD0|- rs1_val==2 and rs2_val==3689348814741910322<br>                                                                                                                                                  |[0x800036da]:c.subw a0, a1<br> [0x800036dc]:sd a0, 952(ra)<br>  |
| 377|[0x80008bd0]<br>0xFFFFFFFF9999999D|- rs1_val==2 and rs2_val==7378697629483820645<br>                                                                                                                                                  |[0x80003704]:c.subw a0, a1<br> [0x80003706]:sd a0, 960(ra)<br>  |
| 378|[0x80008bd8]<br>0x000000004AFB0CD0|- rs1_val==2 and rs2_val==3037000498<br>                                                                                                                                                           |[0x8000371e]:c.subw a0, a1<br> [0x80003720]:sd a0, 968(ra)<br>  |
| 379|[0x80008be0]<br>0xFFFFFFFFAAAAAAAC|- rs1_val==2 and rs2_val==6148914691236517206<br>                                                                                                                                                  |[0x80003748]:c.subw a0, a1<br> [0x8000374a]:sd a0, 976(ra)<br>  |
| 380|[0x80008be8]<br>0x0000000055555557|- rs1_val==2 and rs2_val==-6148914691236517205<br>                                                                                                                                                 |[0x80003772]:c.subw a0, a1<br> [0x80003774]:sd a0, 984(ra)<br>  |
| 381|[0x80008bf0]<br>0xFFFFFFFFFFFFFFFC|- rs1_val==2 and rs2_val==6<br>                                                                                                                                                                    |[0x80003780]:c.subw a0, a1<br> [0x80003782]:sd a0, 992(ra)<br>  |
| 382|[0x80008bf8]<br>0xFFFFFFFFCCCCCCCE|- rs1_val==2 and rs2_val==3689348814741910324<br>                                                                                                                                                  |[0x800037aa]:c.subw a0, a1<br> [0x800037ac]:sd a0, 1000(ra)<br> |
| 383|[0x80008c00]<br>0xFFFFFFFF9999999B|- rs1_val==2 and rs2_val==7378697629483820647<br>                                                                                                                                                  |[0x800037d4]:c.subw a0, a1<br> [0x800037d6]:sd a0, 1008(ra)<br> |
| 384|[0x80008c08]<br>0xFFFFFFFFB504F334|- rs1_val==2 and rs2_val==-3037000498<br>                                                                                                                                                          |[0x800037ee]:c.subw a0, a1<br> [0x800037f0]:sd a0, 1016(ra)<br> |
| 385|[0x80008c10]<br>0x000000004AFB0CCE|- rs1_val==2 and rs2_val==3037000500<br>                                                                                                                                                           |[0x80003808]:c.subw a0, a1<br> [0x8000380a]:sd a0, 1024(ra)<br> |
| 386|[0x80008c18]<br>0x0000000055555551|- rs1_val==6148914691236517204 and rs2_val==3<br>                                                                                                                                                  |[0x80003832]:c.subw a0, a1<br> [0x80003834]:sd a0, 1032(ra)<br> |
| 387|[0x80008c20]<br>0xFFFFFFFFFFFFFFFF|- rs1_val==6148914691236517204 and rs2_val==6148914691236517205<br>                                                                                                                                |[0x80003878]:c.subw a0, a1<br> [0x8000387a]:sd a0, 1040(ra)<br> |
| 388|[0x80008c28]<br>0xFFFFFFFFAAAAAAAA|- rs1_val==6148914691236517204 and rs2_val==-6148914691236517206<br>                                                                                                                               |[0x800038be]:c.subw a0, a1<br> [0x800038c0]:sd a0, 1048(ra)<br> |
| 389|[0x80008c30]<br>0x000000005555554F|- rs1_val==6148914691236517204 and rs2_val==5<br>                                                                                                                                                  |[0x800038e8]:c.subw a0, a1<br> [0x800038ea]:sd a0, 1056(ra)<br> |
| 390|[0x80008c38]<br>0x0000000022222221|- rs1_val==6148914691236517204 and rs2_val==3689348814741910323<br>                                                                                                                                |[0x8000392e]:c.subw a0, a1<br> [0x80003930]:sd a0, 1064(ra)<br> |
| 391|[0x80008c40]<br>0xFFFFFFFFEEEEEEEE|- rs1_val==6148914691236517204 and rs2_val==7378697629483820646<br>                                                                                                                                |[0x80003974]:c.subw a0, a1<br> [0x80003976]:sd a0, 1072(ra)<br> |
| 392|[0x80008c48]<br>0x000000000A5A4887|- rs1_val==6148914691236517204 and rs2_val==-3037000499<br>                                                                                                                                        |[0x800039aa]:c.subw a0, a1<br> [0x800039ac]:sd a0, 1080(ra)<br> |
| 393|[0x80008c50]<br>0xFFFFFFFFA0506221|- rs1_val==6148914691236517204 and rs2_val==3037000499<br>                                                                                                                                         |[0x800039e0]:c.subw a0, a1<br> [0x800039e2]:sd a0, 1088(ra)<br> |
| 394|[0x80008c58]<br>0x0000000055555552|- rs1_val==6148914691236517204 and rs2_val==2<br>                                                                                                                                                  |[0x80003a0a]:c.subw a0, a1<br> [0x80003a0c]:sd a0, 1096(ra)<br> |
| 395|[0x80008c60]<br>0x0000000000000000|- rs1_val==6148914691236517204 and rs2_val==6148914691236517204<br>                                                                                                                                |[0x80003a50]:c.subw a0, a1<br> [0x80003a52]:sd a0, 1104(ra)<br> |
| 396|[0x80008c68]<br>0x0000000055555554|- rs1_val==6148914691236517204 and rs2_val==0<br>                                                                                                                                                  |[0x80003a7a]:c.subw a0, a1<br> [0x80003a7c]:sd a0, 1112(ra)<br> |
| 397|[0x80008c70]<br>0x0000000055555550|- rs1_val==6148914691236517204 and rs2_val==4<br>                                                                                                                                                  |[0x80003aa4]:c.subw a0, a1<br> [0x80003aa6]:sd a0, 1120(ra)<br> |
| 398|[0x80008c78]<br>0x0000000022222222|- rs1_val==6148914691236517204 and rs2_val==3689348814741910322<br>                                                                                                                                |[0x80003aea]:c.subw a0, a1<br> [0x80003aec]:sd a0, 1128(ra)<br> |
| 399|[0x80008c80]<br>0xFFFFFFFFEEEEEEEF|- rs1_val==6148914691236517204 and rs2_val==7378697629483820645<br>                                                                                                                                |[0x80003b30]:c.subw a0, a1<br> [0x80003b32]:sd a0, 1136(ra)<br> |
| 400|[0x80008c88]<br>0xFFFFFFFFA0506222|- rs1_val==6148914691236517204 and rs2_val==3037000498<br>                                                                                                                                         |[0x80003b66]:c.subw a0, a1<br> [0x80003b68]:sd a0, 1144(ra)<br> |
| 401|[0x80008c90]<br>0xFFFFFFFFFFFFFFFE|- rs1_val==6148914691236517204 and rs2_val==6148914691236517206<br>                                                                                                                                |[0x80003bac]:c.subw a0, a1<br> [0x80003bae]:sd a0, 1152(ra)<br> |
| 402|[0x80008c98]<br>0xFFFFFFFFAAAAAAA9|- rs1_val==6148914691236517204 and rs2_val==-6148914691236517205<br>                                                                                                                               |[0x80003bf2]:c.subw a0, a1<br> [0x80003bf4]:sd a0, 1160(ra)<br> |
| 403|[0x80008ca0]<br>0x000000005555554E|- rs1_val==6148914691236517204 and rs2_val==6<br>                                                                                                                                                  |[0x80003c1c]:c.subw a0, a1<br> [0x80003c1e]:sd a0, 1168(ra)<br> |
| 404|[0x80008ca8]<br>0x0000000022222220|- rs1_val==6148914691236517204 and rs2_val==3689348814741910324<br>                                                                                                                                |[0x80003c62]:c.subw a0, a1<br> [0x80003c64]:sd a0, 1176(ra)<br> |
| 405|[0x80008cb0]<br>0xFFFFFFFFEEEEEEED|- rs1_val==6148914691236517204 and rs2_val==7378697629483820647<br>                                                                                                                                |[0x80003ca8]:c.subw a0, a1<br> [0x80003caa]:sd a0, 1184(ra)<br> |
| 406|[0x80008cb8]<br>0x000000000A5A4886|- rs1_val==6148914691236517204 and rs2_val==-3037000498<br>                                                                                                                                        |[0x80003cde]:c.subw a0, a1<br> [0x80003ce0]:sd a0, 1192(ra)<br> |
| 407|[0x80008cc0]<br>0xFFFFFFFFA0506220|- rs1_val==6148914691236517204 and rs2_val==3037000500<br>                                                                                                                                         |[0x80003d14]:c.subw a0, a1<br> [0x80003d16]:sd a0, 1200(ra)<br> |
| 408|[0x80008cc8]<br>0xFFFFFFFFFFFFFFFD|- rs1_val==0 and rs2_val==3<br>                                                                                                                                                                    |[0x80003d22]:c.subw a0, a1<br> [0x80003d24]:sd a0, 1208(ra)<br> |
| 409|[0x80008cd0]<br>0xFFFFFFFFAAAAAAAB|- rs1_val==0 and rs2_val==6148914691236517205<br>                                                                                                                                                  |[0x80003d4c]:c.subw a0, a1<br> [0x80003d4e]:sd a0, 1216(ra)<br> |
| 410|[0x80008cd8]<br>0x0000000055555556|- rs1_val==0 and rs2_val==-6148914691236517206<br>                                                                                                                                                 |[0x80003d76]:c.subw a0, a1<br> [0x80003d78]:sd a0, 1224(ra)<br> |
| 411|[0x80008ce0]<br>0xFFFFFFFFFFFFFFFB|- rs1_val==0 and rs2_val==5<br>                                                                                                                                                                    |[0x80003d84]:c.subw a0, a1<br> [0x80003d86]:sd a0, 1232(ra)<br> |
| 412|[0x80008ce8]<br>0xFFFFFFFFCCCCCCCD|- rs1_val==0 and rs2_val==3689348814741910323<br>                                                                                                                                                  |[0x80003dae]:c.subw a0, a1<br> [0x80003db0]:sd a0, 1240(ra)<br> |
| 413|[0x80008cf0]<br>0xFFFFFFFF9999999A|- rs1_val==0 and rs2_val==7378697629483820646<br>                                                                                                                                                  |[0x80003dd8]:c.subw a0, a1<br> [0x80003dda]:sd a0, 1248(ra)<br> |
| 414|[0x80008cf8]<br>0xFFFFFFFFB504F333|- rs1_val==0 and rs2_val==-3037000499<br>                                                                                                                                                          |[0x80003df2]:c.subw a0, a1<br> [0x80003df4]:sd a0, 1256(ra)<br> |
| 415|[0x80008d00]<br>0x000000004AFB0CCD|- rs1_val==0 and rs2_val==3037000499<br>                                                                                                                                                           |[0x80003e0c]:c.subw a0, a1<br> [0x80003e0e]:sd a0, 1264(ra)<br> |
| 416|[0x80008d08]<br>0x000000005555555A|- rs1_val==4 and rs2_val==-6148914691236517206<br>                                                                                                                                                 |[0x80003e36]:c.subw a0, a1<br> [0x80003e38]:sd a0, 1272(ra)<br> |
| 417|[0x80008d10]<br>0xFFFFFFFFFFFFFFFF|- rs1_val==4 and rs2_val==5<br>                                                                                                                                                                    |[0x80003e44]:c.subw a0, a1<br> [0x80003e46]:sd a0, 1280(ra)<br> |
| 418|[0x80008d18]<br>0xFFFFFFFFCCCCCCD1|- rs1_val==4 and rs2_val==3689348814741910323<br>                                                                                                                                                  |[0x80003e6e]:c.subw a0, a1<br> [0x80003e70]:sd a0, 1288(ra)<br> |
| 419|[0x80008d20]<br>0xFFFFFFFF9999999E|- rs1_val==4 and rs2_val==7378697629483820646<br>                                                                                                                                                  |[0x80003e98]:c.subw a0, a1<br> [0x80003e9a]:sd a0, 1296(ra)<br> |
| 420|[0x80008d28]<br>0xFFFFFFFFB504F337|- rs1_val==4 and rs2_val==-3037000499<br>                                                                                                                                                          |[0x80003eb2]:c.subw a0, a1<br> [0x80003eb4]:sd a0, 1304(ra)<br> |
| 421|[0x80008d30]<br>0x000000004AFB0CD1|- rs1_val==4 and rs2_val==3037000499<br>                                                                                                                                                           |[0x80003ecc]:c.subw a0, a1<br> [0x80003ece]:sd a0, 1312(ra)<br> |
| 422|[0x80008d38]<br>0x0000000000000002|- rs1_val==4 and rs2_val==2<br>                                                                                                                                                                    |[0x80003eda]:c.subw a0, a1<br> [0x80003edc]:sd a0, 1320(ra)<br> |
| 423|[0x80008d40]<br>0xFFFFFFFFAAAAAAB0|- rs1_val==4 and rs2_val==6148914691236517204<br>                                                                                                                                                  |[0x80003f04]:c.subw a0, a1<br> [0x80003f06]:sd a0, 1328(ra)<br> |
| 424|[0x80008d48]<br>0x0000000000000004|- rs1_val==4 and rs2_val==0<br>                                                                                                                                                                    |[0x80003f12]:c.subw a0, a1<br> [0x80003f14]:sd a0, 1336(ra)<br> |
| 425|[0x80008d50]<br>0x0000000000000000|- rs1_val==4 and rs2_val==4<br>                                                                                                                                                                    |[0x80003f20]:c.subw a0, a1<br> [0x80003f22]:sd a0, 1344(ra)<br> |
| 426|[0x80008d58]<br>0xFFFFFFFFCCCCCCD2|- rs1_val==4 and rs2_val==3689348814741910322<br>                                                                                                                                                  |[0x80003f4a]:c.subw a0, a1<br> [0x80003f4c]:sd a0, 1352(ra)<br> |
| 427|[0x80008d60]<br>0xFFFFFFFF9999999F|- rs1_val==4 and rs2_val==7378697629483820645<br>                                                                                                                                                  |[0x80003f74]:c.subw a0, a1<br> [0x80003f76]:sd a0, 1360(ra)<br> |
| 428|[0x80008d68]<br>0x000000004AFB0CD2|- rs1_val==4 and rs2_val==3037000498<br>                                                                                                                                                           |[0x80003f8e]:c.subw a0, a1<br> [0x80003f90]:sd a0, 1368(ra)<br> |
| 429|[0x80008d70]<br>0xFFFFFFFFAAAAAAAE|- rs1_val==4 and rs2_val==6148914691236517206<br>                                                                                                                                                  |[0x80003fb8]:c.subw a0, a1<br> [0x80003fba]:sd a0, 1376(ra)<br> |
| 430|[0x80008d78]<br>0x0000000055555559|- rs1_val==4 and rs2_val==-6148914691236517205<br>                                                                                                                                                 |[0x80003fe2]:c.subw a0, a1<br> [0x80003fe4]:sd a0, 1384(ra)<br> |
| 431|[0x80008d80]<br>0xFFFFFFFFFFFFFFFE|- rs1_val==4 and rs2_val==6<br>                                                                                                                                                                    |[0x80003ff0]:c.subw a0, a1<br> [0x80003ff2]:sd a0, 1392(ra)<br> |
| 432|[0x80008d88]<br>0xFFFFFFFFCCCCCCD0|- rs1_val==4 and rs2_val==3689348814741910324<br>                                                                                                                                                  |[0x8000401a]:c.subw a0, a1<br> [0x8000401c]:sd a0, 1400(ra)<br> |
| 433|[0x80008d90]<br>0xFFFFFFFF9999999D|- rs1_val==4 and rs2_val==7378697629483820647<br>                                                                                                                                                  |[0x80004044]:c.subw a0, a1<br> [0x80004046]:sd a0, 1408(ra)<br> |
| 434|[0x80008d98]<br>0xFFFFFFFFB504F336|- rs1_val==4 and rs2_val==-3037000498<br>                                                                                                                                                          |[0x8000405e]:c.subw a0, a1<br> [0x80004060]:sd a0, 1416(ra)<br> |
| 435|[0x80008da0]<br>0x000000004AFB0CD0|- rs1_val==4 and rs2_val==3037000500<br>                                                                                                                                                           |[0x80004078]:c.subw a0, a1<br> [0x8000407a]:sd a0, 1424(ra)<br> |
| 436|[0x80008da8]<br>0x000000003333332F|- rs1_val==3689348814741910322 and rs2_val==3<br>                                                                                                                                                  |[0x800040a2]:c.subw a0, a1<br> [0x800040a4]:sd a0, 1432(ra)<br> |
| 437|[0x80008db0]<br>0xFFFFFFFFDDDDDDDD|- rs1_val==3689348814741910322 and rs2_val==6148914691236517205<br>                                                                                                                                |[0x800040e8]:c.subw a0, a1<br> [0x800040ea]:sd a0, 1440(ra)<br> |
| 438|[0x80008db8]<br>0xFFFFFFFF88888888|- rs1_val==3689348814741910322 and rs2_val==-6148914691236517206<br>                                                                                                                               |[0x8000412e]:c.subw a0, a1<br> [0x80004130]:sd a0, 1448(ra)<br> |
| 439|[0x80008dc0]<br>0x000000003333332D|- rs1_val==3689348814741910322 and rs2_val==5<br>                                                                                                                                                  |[0x80004158]:c.subw a0, a1<br> [0x8000415a]:sd a0, 1456(ra)<br> |
| 440|[0x80008dc8]<br>0xFFFFFFFFFFFFFFFF|- rs1_val==3689348814741910322 and rs2_val==3689348814741910323<br>                                                                                                                                |[0x8000419e]:c.subw a0, a1<br> [0x800041a0]:sd a0, 1464(ra)<br> |
| 441|[0x80008dd0]<br>0xFFFFFFFFCCCCCCCC|- rs1_val==3689348814741910322 and rs2_val==7378697629483820646<br>                                                                                                                                |[0x800041e4]:c.subw a0, a1<br> [0x800041e6]:sd a0, 1472(ra)<br> |
| 442|[0x80008dd8]<br>0xFFFFFFFFE8382665|- rs1_val==3689348814741910322 and rs2_val==-3037000499<br>                                                                                                                                        |[0x8000421a]:c.subw a0, a1<br> [0x8000421c]:sd a0, 1480(ra)<br> |
| 443|[0x80008de0]<br>0x000000007E2E3FFF|- rs1_val==3689348814741910322 and rs2_val==3037000499<br>                                                                                                                                         |[0x80004250]:c.subw a0, a1<br> [0x80004252]:sd a0, 1488(ra)<br> |
| 444|[0x80008de8]<br>0x0000000033333330|- rs1_val==3689348814741910322 and rs2_val==2<br>                                                                                                                                                  |[0x8000427a]:c.subw a0, a1<br> [0x8000427c]:sd a0, 1496(ra)<br> |
| 445|[0x80008df0]<br>0xFFFFFFFFDDDDDDDE|- rs1_val==3689348814741910322 and rs2_val==6148914691236517204<br>                                                                                                                                |[0x800042c0]:c.subw a0, a1<br> [0x800042c2]:sd a0, 1504(ra)<br> |
| 446|[0x80008df8]<br>0x0000000033333332|- rs1_val==3689348814741910322 and rs2_val==0<br>                                                                                                                                                  |[0x800042ea]:c.subw a0, a1<br> [0x800042ec]:sd a0, 1512(ra)<br> |
| 447|[0x80008e00]<br>0x000000003333332E|- rs1_val==3689348814741910322 and rs2_val==4<br>                                                                                                                                                  |[0x80004314]:c.subw a0, a1<br> [0x80004316]:sd a0, 1520(ra)<br> |
| 448|[0x80008e08]<br>0x0000000000000000|- rs1_val==3689348814741910322 and rs2_val==3689348814741910322<br>                                                                                                                                |[0x8000435a]:c.subw a0, a1<br> [0x8000435c]:sd a0, 1528(ra)<br> |
| 449|[0x80008e10]<br>0xFFFFFFFFCCCCCCCD|- rs1_val==3689348814741910322 and rs2_val==7378697629483820645<br>                                                                                                                                |[0x800043a0]:c.subw a0, a1<br> [0x800043a2]:sd a0, 1536(ra)<br> |
| 450|[0x80008e18]<br>0x000000007E2E4000|- rs1_val==3689348814741910322 and rs2_val==3037000498<br>                                                                                                                                         |[0x800043d6]:c.subw a0, a1<br> [0x800043d8]:sd a0, 1544(ra)<br> |
| 451|[0x80008e20]<br>0xFFFFFFFFDDDDDDDC|- rs1_val==3689348814741910322 and rs2_val==6148914691236517206<br>                                                                                                                                |[0x8000441c]:c.subw a0, a1<br> [0x8000441e]:sd a0, 1552(ra)<br> |
| 452|[0x80008e28]<br>0xFFFFFFFF88888887|- rs1_val==3689348814741910322 and rs2_val==-6148914691236517205<br>                                                                                                                               |[0x80004462]:c.subw a0, a1<br> [0x80004464]:sd a0, 1560(ra)<br> |
| 453|[0x80008e30]<br>0x000000003333332C|- rs1_val==3689348814741910322 and rs2_val==6<br>                                                                                                                                                  |[0x8000448c]:c.subw a0, a1<br> [0x8000448e]:sd a0, 1568(ra)<br> |
| 454|[0x80008e38]<br>0xFFFFFFFFFFFFFFFE|- rs1_val==3689348814741910322 and rs2_val==3689348814741910324<br>                                                                                                                                |[0x800044d2]:c.subw a0, a1<br> [0x800044d4]:sd a0, 1576(ra)<br> |
| 455|[0x80008e40]<br>0xFFFFFFFFCCCCCCCB|- rs1_val==3689348814741910322 and rs2_val==7378697629483820647<br>                                                                                                                                |[0x80004518]:c.subw a0, a1<br> [0x8000451a]:sd a0, 1584(ra)<br> |
| 456|[0x80008e48]<br>0xFFFFFFFFE8382664|- rs1_val==3689348814741910322 and rs2_val==-3037000498<br>                                                                                                                                        |[0x8000454e]:c.subw a0, a1<br> [0x80004550]:sd a0, 1592(ra)<br> |
| 457|[0x80008e50]<br>0x000000007E2E3FFE|- rs1_val==3689348814741910322 and rs2_val==3037000500<br>                                                                                                                                         |[0x80004584]:c.subw a0, a1<br> [0x80004586]:sd a0, 1600(ra)<br> |
| 458|[0x80008e58]<br>0x0000000066666662|- rs1_val==7378697629483820645 and rs2_val==3<br>                                                                                                                                                  |[0x800045ae]:c.subw a0, a1<br> [0x800045b0]:sd a0, 1608(ra)<br> |
| 459|[0x80008e60]<br>0x0000000011111110|- rs1_val==7378697629483820645 and rs2_val==6148914691236517205<br>                                                                                                                                |[0x800045f4]:c.subw a0, a1<br> [0x800045f6]:sd a0, 1616(ra)<br> |
| 460|[0x80008e68]<br>0xFFFFFFFFBBBBBBBB|- rs1_val==7378697629483820645 and rs2_val==-6148914691236517206<br>                                                                                                                               |[0x8000463a]:c.subw a0, a1<br> [0x8000463c]:sd a0, 1624(ra)<br> |
| 461|[0x80008e70]<br>0x0000000066666660|- rs1_val==7378697629483820645 and rs2_val==5<br>                                                                                                                                                  |[0x80004664]:c.subw a0, a1<br> [0x80004666]:sd a0, 1632(ra)<br> |
| 462|[0x80008e78]<br>0x0000000033333332|- rs1_val==7378697629483820645 and rs2_val==3689348814741910323<br>                                                                                                                                |[0x800046aa]:c.subw a0, a1<br> [0x800046ac]:sd a0, 1640(ra)<br> |
| 463|[0x80008e80]<br>0xFFFFFFFFFFFFFFFF|- rs1_val==7378697629483820645 and rs2_val==7378697629483820646<br>                                                                                                                                |[0x800046f0]:c.subw a0, a1<br> [0x800046f2]:sd a0, 1648(ra)<br> |
| 464|[0x80008e88]<br>0x000000001B6B5998|- rs1_val==7378697629483820645 and rs2_val==-3037000499<br>                                                                                                                                        |[0x80004726]:c.subw a0, a1<br> [0x80004728]:sd a0, 1656(ra)<br> |
| 465|[0x80008e90]<br>0xFFFFFFFFB1617332|- rs1_val==7378697629483820645 and rs2_val==3037000499<br>                                                                                                                                         |[0x8000475c]:c.subw a0, a1<br> [0x8000475e]:sd a0, 1664(ra)<br> |
| 466|[0x80008e98]<br>0x0000000066666663|- rs1_val==7378697629483820645 and rs2_val==2<br>                                                                                                                                                  |[0x80004786]:c.subw a0, a1<br> [0x80004788]:sd a0, 1672(ra)<br> |
| 467|[0x80008ea0]<br>0x0000000011111111|- rs1_val==7378697629483820645 and rs2_val==6148914691236517204<br>                                                                                                                                |[0x800047cc]:c.subw a0, a1<br> [0x800047ce]:sd a0, 1680(ra)<br> |
| 468|[0x80008ea8]<br>0x0000000066666665|- rs1_val==7378697629483820645 and rs2_val==0<br>                                                                                                                                                  |[0x800047f6]:c.subw a0, a1<br> [0x800047f8]:sd a0, 1688(ra)<br> |
| 469|[0x80008eb0]<br>0x0000000066666661|- rs1_val==7378697629483820645 and rs2_val==4<br>                                                                                                                                                  |[0x80004820]:c.subw a0, a1<br> [0x80004822]:sd a0, 1696(ra)<br> |
| 470|[0x80008eb8]<br>0x0000000033333333|- rs1_val==7378697629483820645 and rs2_val==3689348814741910322<br>                                                                                                                                |[0x80004866]:c.subw a0, a1<br> [0x80004868]:sd a0, 1704(ra)<br> |
| 471|[0x80008ec0]<br>0x0000000000000000|- rs1_val==7378697629483820645 and rs2_val==7378697629483820645<br>                                                                                                                                |[0x800048ac]:c.subw a0, a1<br> [0x800048ae]:sd a0, 1712(ra)<br> |
| 472|[0x80008ec8]<br>0xFFFFFFFFB1617333|- rs1_val==7378697629483820645 and rs2_val==3037000498<br>                                                                                                                                         |[0x800048e2]:c.subw a0, a1<br> [0x800048e4]:sd a0, 1720(ra)<br> |
| 473|[0x80008ed0]<br>0x000000001111110F|- rs1_val==7378697629483820645 and rs2_val==6148914691236517206<br>                                                                                                                                |[0x80004928]:c.subw a0, a1<br> [0x8000492a]:sd a0, 1728(ra)<br> |
| 474|[0x80008ed8]<br>0xFFFFFFFFBBBBBBBA|- rs1_val==7378697629483820645 and rs2_val==-6148914691236517205<br>                                                                                                                               |[0x8000496e]:c.subw a0, a1<br> [0x80004970]:sd a0, 1736(ra)<br> |
| 475|[0x80008ee0]<br>0x000000006666665F|- rs1_val==7378697629483820645 and rs2_val==6<br>                                                                                                                                                  |[0x80004998]:c.subw a0, a1<br> [0x8000499a]:sd a0, 1744(ra)<br> |
| 476|[0x80008ee8]<br>0x0000000033333331|- rs1_val==7378697629483820645 and rs2_val==3689348814741910324<br>                                                                                                                                |[0x800049de]:c.subw a0, a1<br> [0x800049e0]:sd a0, 1752(ra)<br> |
| 477|[0x80008ef0]<br>0xFFFFFFFFFFFFFFFE|- rs1_val==7378697629483820645 and rs2_val==7378697629483820647<br>                                                                                                                                |[0x80004a24]:c.subw a0, a1<br> [0x80004a26]:sd a0, 1760(ra)<br> |
| 478|[0x80008ef8]<br>0x000000001B6B5997|- rs1_val==7378697629483820645 and rs2_val==-3037000498<br>                                                                                                                                        |[0x80004a5a]:c.subw a0, a1<br> [0x80004a5c]:sd a0, 1768(ra)<br> |
| 479|[0x80008f00]<br>0xFFFFFFFFB1617331|- rs1_val==7378697629483820645 and rs2_val==3037000500<br>                                                                                                                                         |[0x80004a90]:c.subw a0, a1<br> [0x80004a92]:sd a0, 1776(ra)<br> |
| 480|[0x80008f08]<br>0xFFFFFFFFB504F32F|- rs1_val==3037000498 and rs2_val==3<br>                                                                                                                                                           |[0x80004aaa]:c.subw a0, a1<br> [0x80004aac]:sd a0, 1784(ra)<br> |
| 481|[0x80008f10]<br>0x000000005FAF9DDD|- rs1_val==3037000498 and rs2_val==6148914691236517205<br>                                                                                                                                         |[0x80004ae0]:c.subw a0, a1<br> [0x80004ae2]:sd a0, 1792(ra)<br> |
| 482|[0x80008f18]<br>0x000000000A5A4888|- rs1_val==3037000498 and rs2_val==-6148914691236517206<br>                                                                                                                                        |[0x80004b16]:c.subw a0, a1<br> [0x80004b18]:sd a0, 1800(ra)<br> |
| 483|[0x80008f20]<br>0xFFFFFFFFB504F32D|- rs1_val==3037000498 and rs2_val==5<br>                                                                                                                                                           |[0x80004b30]:c.subw a0, a1<br> [0x80004b32]:sd a0, 1808(ra)<br> |
| 484|[0x80008f28]<br>0xFFFFFFFF81D1BFFF|- rs1_val==3037000498 and rs2_val==3689348814741910323<br>                                                                                                                                         |[0x80004b66]:c.subw a0, a1<br> [0x80004b68]:sd a0, 1816(ra)<br> |
| 485|[0x80008f30]<br>0x000000004E9E8CCC|- rs1_val==3037000498 and rs2_val==7378697629483820646<br>                                                                                                                                         |[0x80004b9c]:c.subw a0, a1<br> [0x80004b9e]:sd a0, 1824(ra)<br> |
| 486|[0x80008f38]<br>0x000000006A09E665|- rs1_val==3037000498 and rs2_val==-3037000499<br>                                                                                                                                                 |[0x80004bc2]:c.subw a0, a1<br> [0x80004bc4]:sd a0, 1832(ra)<br> |
| 487|[0x80008f40]<br>0xFFFFFFFFFFFFFFFF|- rs1_val==3037000498 and rs2_val==3037000499<br>                                                                                                                                                  |[0x80004be8]:c.subw a0, a1<br> [0x80004bea]:sd a0, 1840(ra)<br> |
| 488|[0x80008f48]<br>0xFFFFFFFFB504F330|- rs1_val==3037000498 and rs2_val==2<br>                                                                                                                                                           |[0x80004c02]:c.subw a0, a1<br> [0x80004c04]:sd a0, 1848(ra)<br> |
| 489|[0x80008f50]<br>0x000000005FAF9DDE|- rs1_val==3037000498 and rs2_val==6148914691236517204<br>                                                                                                                                         |[0x80004c38]:c.subw a0, a1<br> [0x80004c3a]:sd a0, 1856(ra)<br> |
| 490|[0x80008f58]<br>0xFFFFFFFFB504F332|- rs1_val==3037000498 and rs2_val==0<br>                                                                                                                                                           |[0x80004c52]:c.subw a0, a1<br> [0x80004c54]:sd a0, 1864(ra)<br> |
| 491|[0x80008f60]<br>0xFFFFFFFFB504F32E|- rs1_val==3037000498 and rs2_val==4<br>                                                                                                                                                           |[0x80004c6c]:c.subw a0, a1<br> [0x80004c6e]:sd a0, 1872(ra)<br> |
| 492|[0x80008f68]<br>0xFFFFFFFF81D1C000|- rs1_val==3037000498 and rs2_val==3689348814741910322<br>                                                                                                                                         |[0x80004ca2]:c.subw a0, a1<br> [0x80004ca4]:sd a0, 1880(ra)<br> |
| 493|[0x80008f70]<br>0x000000004E9E8CCD|- rs1_val==3037000498 and rs2_val==7378697629483820645<br>                                                                                                                                         |[0x80004cd8]:c.subw a0, a1<br> [0x80004cda]:sd a0, 1888(ra)<br> |
| 494|[0x80008f78]<br>0x0000000000000000|- rs1_val==3037000498 and rs2_val==3037000498<br>                                                                                                                                                  |[0x80004cfe]:c.subw a0, a1<br> [0x80004d00]:sd a0, 1896(ra)<br> |
| 495|[0x80008f80]<br>0x000000005FAF9DDC|- rs1_val==3037000498 and rs2_val==6148914691236517206<br>                                                                                                                                         |[0x80004d34]:c.subw a0, a1<br> [0x80004d36]:sd a0, 1904(ra)<br> |
| 496|[0x80008f88]<br>0x000000000A5A4887|- rs1_val==3037000498 and rs2_val==-6148914691236517205<br>                                                                                                                                        |[0x80004d6a]:c.subw a0, a1<br> [0x80004d6c]:sd a0, 1912(ra)<br> |
| 497|[0x80008f90]<br>0xFFFFFFFFB504F32C|- rs1_val==3037000498 and rs2_val==6<br>                                                                                                                                                           |[0x80004d84]:c.subw a0, a1<br> [0x80004d86]:sd a0, 1920(ra)<br> |
| 498|[0x80008f98]<br>0xFFFFFFFF81D1BFFE|- rs1_val==3037000498 and rs2_val==3689348814741910324<br>                                                                                                                                         |[0x80004dba]:c.subw a0, a1<br> [0x80004dbc]:sd a0, 1928(ra)<br> |
| 499|[0x80008fa0]<br>0x000000004E9E8CCB|- rs1_val==3037000498 and rs2_val==7378697629483820647<br>                                                                                                                                         |[0x80004df0]:c.subw a0, a1<br> [0x80004df2]:sd a0, 1936(ra)<br> |
| 500|[0x80008fa8]<br>0x000000006A09E664|- rs1_val==3037000498 and rs2_val==-3037000498<br>                                                                                                                                                 |[0x80004e16]:c.subw a0, a1<br> [0x80004e18]:sd a0, 1944(ra)<br> |
| 501|[0x80008fb0]<br>0xFFFFFFFFFFFFFFFE|- rs1_val==3037000498 and rs2_val==3037000500<br>                                                                                                                                                  |[0x80004e3c]:c.subw a0, a1<br> [0x80004e3e]:sd a0, 1952(ra)<br> |
| 502|[0x80008fb8]<br>0x0000000055555553|- rs1_val==6148914691236517206 and rs2_val==3<br>                                                                                                                                                  |[0x80004e66]:c.subw a0, a1<br> [0x80004e68]:sd a0, 1960(ra)<br> |
| 503|[0x80008fc0]<br>0x0000000000000001|- rs1_val==6148914691236517206 and rs2_val==6148914691236517205<br>                                                                                                                                |[0x80004eac]:c.subw a0, a1<br> [0x80004eae]:sd a0, 1968(ra)<br> |
| 504|[0x80008fc8]<br>0xFFFFFFFFAAAAAAAC|- rs1_val==6148914691236517206 and rs2_val==-6148914691236517206<br>                                                                                                                               |[0x80004ef2]:c.subw a0, a1<br> [0x80004ef4]:sd a0, 1976(ra)<br> |
| 505|[0x80008fd0]<br>0x0000000055555551|- rs1_val==6148914691236517206 and rs2_val==5<br>                                                                                                                                                  |[0x80004f1c]:c.subw a0, a1<br> [0x80004f1e]:sd a0, 1984(ra)<br> |
| 506|[0x80008fd8]<br>0x0000000022222223|- rs1_val==6148914691236517206 and rs2_val==3689348814741910323<br>                                                                                                                                |[0x80004f62]:c.subw a0, a1<br> [0x80004f64]:sd a0, 1992(ra)<br> |
| 507|[0x80008fe0]<br>0xFFFFFFFFEEEEEEF0|- rs1_val==6148914691236517206 and rs2_val==7378697629483820646<br>                                                                                                                                |[0x80004fa8]:c.subw a0, a1<br> [0x80004faa]:sd a0, 2000(ra)<br> |
| 508|[0x80008fe8]<br>0x000000000A5A4889|- rs1_val==6148914691236517206 and rs2_val==-3037000499<br>                                                                                                                                        |[0x80004fde]:c.subw a0, a1<br> [0x80004fe0]:sd a0, 2008(ra)<br> |
| 509|[0x80008ff0]<br>0xFFFFFFFFA0506223|- rs1_val==6148914691236517206 and rs2_val==3037000499<br>                                                                                                                                         |[0x80005014]:c.subw a0, a1<br> [0x80005016]:sd a0, 2016(ra)<br> |
| 510|[0x80008ff8]<br>0x0000000055555554|- rs1_val==6148914691236517206 and rs2_val==2<br>                                                                                                                                                  |[0x8000503e]:c.subw a0, a1<br> [0x80005040]:sd a0, 2024(ra)<br> |
| 511|[0x80009000]<br>0x0000000000000002|- rs1_val==6148914691236517206 and rs2_val==6148914691236517204<br>                                                                                                                                |[0x80005084]:c.subw a0, a1<br> [0x80005086]:sd a0, 2032(ra)<br> |
| 512|[0x80009008]<br>0x0000000055555556|- rs1_val==6148914691236517206 and rs2_val==0<br>                                                                                                                                                  |[0x800050ae]:c.subw a0, a1<br> [0x800050b0]:sd a0, 2040(ra)<br> |
| 513|[0x80009010]<br>0x0000000055555552|- rs1_val==6148914691236517206 and rs2_val==4<br>                                                                                                                                                  |[0x800050e0]:c.subw a0, a1<br> [0x800050e2]:sd a0, 0(ra)<br>    |
| 514|[0x80009018]<br>0x0000000022222224|- rs1_val==6148914691236517206 and rs2_val==3689348814741910322<br>                                                                                                                                |[0x80005126]:c.subw a0, a1<br> [0x80005128]:sd a0, 8(ra)<br>    |
| 515|[0x80009020]<br>0xFFFFFFFFEEEEEEF1|- rs1_val==6148914691236517206 and rs2_val==7378697629483820645<br>                                                                                                                                |[0x8000516c]:c.subw a0, a1<br> [0x8000516e]:sd a0, 16(ra)<br>   |
| 516|[0x80009028]<br>0xFFFFFFFFA0506224|- rs1_val==6148914691236517206 and rs2_val==3037000498<br>                                                                                                                                         |[0x800051a2]:c.subw a0, a1<br> [0x800051a4]:sd a0, 24(ra)<br>   |
| 517|[0x80009030]<br>0x0000000000000000|- rs1_val==6148914691236517206 and rs2_val==6148914691236517206<br>                                                                                                                                |[0x800051e8]:c.subw a0, a1<br> [0x800051ea]:sd a0, 32(ra)<br>   |
| 518|[0x80009038]<br>0xFFFFFFFFAAAAAAAB|- rs1_val==6148914691236517206 and rs2_val==-6148914691236517205<br>                                                                                                                               |[0x8000522e]:c.subw a0, a1<br> [0x80005230]:sd a0, 40(ra)<br>   |
| 519|[0x80009040]<br>0x0000000055555550|- rs1_val==6148914691236517206 and rs2_val==6<br>                                                                                                                                                  |[0x80005258]:c.subw a0, a1<br> [0x8000525a]:sd a0, 48(ra)<br>   |
| 520|[0x80009048]<br>0x0000000022222222|- rs1_val==6148914691236517206 and rs2_val==3689348814741910324<br>                                                                                                                                |[0x8000529e]:c.subw a0, a1<br> [0x800052a0]:sd a0, 56(ra)<br>   |
| 521|[0x80009050]<br>0xFFFFFFFFEEEEEEEF|- rs1_val==6148914691236517206 and rs2_val==7378697629483820647<br>                                                                                                                                |[0x800052e4]:c.subw a0, a1<br> [0x800052e6]:sd a0, 64(ra)<br>   |
| 522|[0x80009058]<br>0x000000000A5A4888|- rs1_val==6148914691236517206 and rs2_val==-3037000498<br>                                                                                                                                        |[0x8000531a]:c.subw a0, a1<br> [0x8000531c]:sd a0, 72(ra)<br>   |
| 523|[0x80009060]<br>0xFFFFFFFFA0506222|- rs1_val==6148914691236517206 and rs2_val==3037000500<br>                                                                                                                                         |[0x80005350]:c.subw a0, a1<br> [0x80005352]:sd a0, 80(ra)<br>   |
| 524|[0x80009068]<br>0xFFFFFFFFAAAAAAA8|- rs1_val==-6148914691236517205 and rs2_val==3<br>                                                                                                                                                 |[0x8000537a]:c.subw a0, a1<br> [0x8000537c]:sd a0, 88(ra)<br>   |
| 525|[0x80009070]<br>0x0000000055555556|- rs1_val==-6148914691236517205 and rs2_val==6148914691236517205<br>                                                                                                                               |[0x800053c0]:c.subw a0, a1<br> [0x800053c2]:sd a0, 96(ra)<br>   |
| 526|[0x80009078]<br>0x0000000000000001|- rs1_val==-6148914691236517205 and rs2_val==-6148914691236517206<br>                                                                                                                              |[0x80005406]:c.subw a0, a1<br> [0x80005408]:sd a0, 104(ra)<br>  |
| 527|[0x80009080]<br>0xFFFFFFFFAAAAAAA6|- rs1_val==-6148914691236517205 and rs2_val==5<br>                                                                                                                                                 |[0x80005430]:c.subw a0, a1<br> [0x80005432]:sd a0, 112(ra)<br>  |
| 528|[0x80009088]<br>0x0000000077777778|- rs1_val==-6148914691236517205 and rs2_val==3689348814741910323<br>                                                                                                                               |[0x80005476]:c.subw a0, a1<br> [0x80005478]:sd a0, 120(ra)<br>  |
| 529|[0x80009090]<br>0x0000000044444445|- rs1_val==-6148914691236517205 and rs2_val==7378697629483820646<br>                                                                                                                               |[0x800054bc]:c.subw a0, a1<br> [0x800054be]:sd a0, 128(ra)<br>  |
| 530|[0x80009098]<br>0x000000005FAF9DDE|- rs1_val==-6148914691236517205 and rs2_val==-3037000499<br>                                                                                                                                       |[0x800054f2]:c.subw a0, a1<br> [0x800054f4]:sd a0, 136(ra)<br>  |
| 531|[0x800090a0]<br>0xFFFFFFFFF5A5B778|- rs1_val==-6148914691236517205 and rs2_val==3037000499<br>                                                                                                                                        |[0x80005528]:c.subw a0, a1<br> [0x8000552a]:sd a0, 144(ra)<br>  |
| 532|[0x800090a8]<br>0xFFFFFFFFAAAAAAA9|- rs1_val==-6148914691236517205 and rs2_val==2<br>                                                                                                                                                 |[0x80005552]:c.subw a0, a1<br> [0x80005554]:sd a0, 152(ra)<br>  |
| 533|[0x800090b0]<br>0x0000000055555557|- rs1_val==-6148914691236517205 and rs2_val==6148914691236517204<br>                                                                                                                               |[0x80005598]:c.subw a0, a1<br> [0x8000559a]:sd a0, 160(ra)<br>  |
| 534|[0x800090b8]<br>0xFFFFFFFFAAAAAAAB|- rs1_val==-6148914691236517205 and rs2_val==0<br>                                                                                                                                                 |[0x800055c2]:c.subw a0, a1<br> [0x800055c4]:sd a0, 168(ra)<br>  |
| 535|[0x800090c0]<br>0xFFFFFFFFAAAAAAA7|- rs1_val==-6148914691236517205 and rs2_val==4<br>                                                                                                                                                 |[0x800055ec]:c.subw a0, a1<br> [0x800055ee]:sd a0, 176(ra)<br>  |
| 536|[0x800090c8]<br>0x0000000077777779|- rs1_val==-6148914691236517205 and rs2_val==3689348814741910322<br>                                                                                                                               |[0x80005632]:c.subw a0, a1<br> [0x80005634]:sd a0, 184(ra)<br>  |
| 537|[0x800090d0]<br>0x0000000044444446|- rs1_val==-6148914691236517205 and rs2_val==7378697629483820645<br>                                                                                                                               |[0x80005678]:c.subw a0, a1<br> [0x8000567a]:sd a0, 192(ra)<br>  |
| 538|[0x800090d8]<br>0xFFFFFFFFF5A5B779|- rs1_val==-6148914691236517205 and rs2_val==3037000498<br>                                                                                                                                        |[0x800056ae]:c.subw a0, a1<br> [0x800056b0]:sd a0, 200(ra)<br>  |
| 539|[0x800090e0]<br>0x0000000055555555|- rs1_val==-6148914691236517205 and rs2_val==6148914691236517206<br>                                                                                                                               |[0x800056f4]:c.subw a0, a1<br> [0x800056f6]:sd a0, 208(ra)<br>  |
| 540|[0x800090e8]<br>0x0000000000000000|- rs1_val==-6148914691236517205 and rs2_val==-6148914691236517205<br>                                                                                                                              |[0x8000573a]:c.subw a0, a1<br> [0x8000573c]:sd a0, 216(ra)<br>  |
| 541|[0x800090f0]<br>0xFFFFFFFFAAAAAAA5|- rs1_val==-6148914691236517205 and rs2_val==6<br>                                                                                                                                                 |[0x80005764]:c.subw a0, a1<br> [0x80005766]:sd a0, 224(ra)<br>  |
| 542|[0x800090f8]<br>0x0000000077777777|- rs1_val==-6148914691236517205 and rs2_val==3689348814741910324<br>                                                                                                                               |[0x800057aa]:c.subw a0, a1<br> [0x800057ac]:sd a0, 232(ra)<br>  |
| 543|[0x80009100]<br>0x0000000044444444|- rs1_val==-6148914691236517205 and rs2_val==7378697629483820647<br>                                                                                                                               |[0x800057f0]:c.subw a0, a1<br> [0x800057f2]:sd a0, 240(ra)<br>  |
| 544|[0x80009108]<br>0x000000005FAF9DDD|- rs1_val==-6148914691236517205 and rs2_val==-3037000498<br>                                                                                                                                       |[0x80005826]:c.subw a0, a1<br> [0x80005828]:sd a0, 248(ra)<br>  |
| 545|[0x80009110]<br>0xFFFFFFFFF5A5B777|- rs1_val==-6148914691236517205 and rs2_val==3037000500<br>                                                                                                                                        |[0x8000585c]:c.subw a0, a1<br> [0x8000585e]:sd a0, 256(ra)<br>  |
| 546|[0x80009118]<br>0x0000000000000003|- rs1_val==6 and rs2_val==3<br>                                                                                                                                                                    |[0x8000586a]:c.subw a0, a1<br> [0x8000586c]:sd a0, 264(ra)<br>  |
| 547|[0x80009120]<br>0xFFFFFFFFAAAAAAB1|- rs1_val==6 and rs2_val==6148914691236517205<br>                                                                                                                                                  |[0x80005894]:c.subw a0, a1<br> [0x80005896]:sd a0, 272(ra)<br>  |
| 548|[0x80009128]<br>0x000000005555555C|- rs1_val==6 and rs2_val==-6148914691236517206<br>                                                                                                                                                 |[0x800058be]:c.subw a0, a1<br> [0x800058c0]:sd a0, 280(ra)<br>  |
| 549|[0x80009130]<br>0x0000000000000001|- rs1_val==6 and rs2_val==5<br>                                                                                                                                                                    |[0x800058cc]:c.subw a0, a1<br> [0x800058ce]:sd a0, 288(ra)<br>  |
| 550|[0x80009138]<br>0xFFFFFFFFCCCCCCD3|- rs1_val==6 and rs2_val==3689348814741910323<br>                                                                                                                                                  |[0x800058f6]:c.subw a0, a1<br> [0x800058f8]:sd a0, 296(ra)<br>  |
| 551|[0x80009140]<br>0xFFFFFFFF999999A0|- rs1_val==6 and rs2_val==7378697629483820646<br>                                                                                                                                                  |[0x80005920]:c.subw a0, a1<br> [0x80005922]:sd a0, 304(ra)<br>  |
| 552|[0x80009148]<br>0xFFFFFFFFB504F339|- rs1_val==6 and rs2_val==-3037000499<br>                                                                                                                                                          |[0x8000593a]:c.subw a0, a1<br> [0x8000593c]:sd a0, 312(ra)<br>  |
| 553|[0x80009150]<br>0x000000004AFB0CD3|- rs1_val==6 and rs2_val==3037000499<br>                                                                                                                                                           |[0x80005954]:c.subw a0, a1<br> [0x80005956]:sd a0, 320(ra)<br>  |
| 554|[0x80009158]<br>0x0000000000000004|- rs1_val==6 and rs2_val==2<br>                                                                                                                                                                    |[0x80005962]:c.subw a0, a1<br> [0x80005964]:sd a0, 328(ra)<br>  |
| 555|[0x80009160]<br>0xFFFFFFFFAAAAAAB2|- rs1_val==6 and rs2_val==6148914691236517204<br>                                                                                                                                                  |[0x8000598c]:c.subw a0, a1<br> [0x8000598e]:sd a0, 336(ra)<br>  |
| 556|[0x80009168]<br>0x0000000000000006|- rs1_val==6 and rs2_val==0<br>                                                                                                                                                                    |[0x8000599a]:c.subw a0, a1<br> [0x8000599c]:sd a0, 344(ra)<br>  |
| 557|[0x80009170]<br>0x0000000000000002|- rs1_val==6 and rs2_val==4<br>                                                                                                                                                                    |[0x800059a8]:c.subw a0, a1<br> [0x800059aa]:sd a0, 352(ra)<br>  |
| 558|[0x80009178]<br>0xFFFFFFFFCCCCCCD4|- rs1_val==6 and rs2_val==3689348814741910322<br>                                                                                                                                                  |[0x800059d2]:c.subw a0, a1<br> [0x800059d4]:sd a0, 360(ra)<br>  |
| 559|[0x80009180]<br>0xFFFFFFFF999999A1|- rs1_val==6 and rs2_val==7378697629483820645<br>                                                                                                                                                  |[0x800059fc]:c.subw a0, a1<br> [0x800059fe]:sd a0, 368(ra)<br>  |
| 560|[0x80009188]<br>0x000000004AFB0CD4|- rs1_val==6 and rs2_val==3037000498<br>                                                                                                                                                           |[0x80005a16]:c.subw a0, a1<br> [0x80005a18]:sd a0, 376(ra)<br>  |
| 561|[0x80009190]<br>0xFFFFFFFFAAAAAAB0|- rs1_val==6 and rs2_val==6148914691236517206<br>                                                                                                                                                  |[0x80005a40]:c.subw a0, a1<br> [0x80005a42]:sd a0, 384(ra)<br>  |
| 562|[0x80009198]<br>0x000000005555555B|- rs1_val==6 and rs2_val==-6148914691236517205<br>                                                                                                                                                 |[0x80005a6a]:c.subw a0, a1<br> [0x80005a6c]:sd a0, 392(ra)<br>  |
| 563|[0x800091a0]<br>0x0000000000000000|- rs1_val==6 and rs2_val==6<br>                                                                                                                                                                    |[0x80005a78]:c.subw a0, a1<br> [0x80005a7a]:sd a0, 400(ra)<br>  |
| 564|[0x800091a8]<br>0xFFFFFFFFCCCCCCD2|- rs1_val==6 and rs2_val==3689348814741910324<br>                                                                                                                                                  |[0x80005aa2]:c.subw a0, a1<br> [0x80005aa4]:sd a0, 408(ra)<br>  |
| 565|[0x800091b0]<br>0xFFFFFFFF9999999F|- rs1_val==6 and rs2_val==7378697629483820647<br>                                                                                                                                                  |[0x80005acc]:c.subw a0, a1<br> [0x80005ace]:sd a0, 416(ra)<br>  |
| 566|[0x800091b8]<br>0xFFFFFFFFB504F338|- rs1_val==6 and rs2_val==-3037000498<br>                                                                                                                                                          |[0x80005ae6]:c.subw a0, a1<br> [0x80005ae8]:sd a0, 424(ra)<br>  |
| 567|[0x800091c0]<br>0x000000004AFB0CD2|- rs1_val==6 and rs2_val==3037000500<br>                                                                                                                                                           |[0x80005b00]:c.subw a0, a1<br> [0x80005b02]:sd a0, 432(ra)<br>  |
| 568|[0x800091c8]<br>0x0000000033333331|- rs1_val==3689348814741910324 and rs2_val==3<br>                                                                                                                                                  |[0x80005b2a]:c.subw a0, a1<br> [0x80005b2c]:sd a0, 440(ra)<br>  |
| 569|[0x800091d0]<br>0xFFFFFFFFDDDDDDDF|- rs1_val==3689348814741910324 and rs2_val==6148914691236517205<br>                                                                                                                                |[0x80005b70]:c.subw a0, a1<br> [0x80005b72]:sd a0, 448(ra)<br>  |
| 570|[0x800091d8]<br>0xFFFFFFFF8888888A|- rs1_val==3689348814741910324 and rs2_val==-6148914691236517206<br>                                                                                                                               |[0x80005bb6]:c.subw a0, a1<br> [0x80005bb8]:sd a0, 456(ra)<br>  |
| 571|[0x800091e0]<br>0x000000003333332F|- rs1_val==3689348814741910324 and rs2_val==5<br>                                                                                                                                                  |[0x80005be0]:c.subw a0, a1<br> [0x80005be2]:sd a0, 464(ra)<br>  |
| 572|[0x800091e8]<br>0x0000000000000001|- rs1_val==3689348814741910324 and rs2_val==3689348814741910323<br>                                                                                                                                |[0x80005c26]:c.subw a0, a1<br> [0x80005c28]:sd a0, 472(ra)<br>  |
| 573|[0x800091f0]<br>0xFFFFFFFFCCCCCCCE|- rs1_val==3689348814741910324 and rs2_val==7378697629483820646<br>                                                                                                                                |[0x80005c6c]:c.subw a0, a1<br> [0x80005c6e]:sd a0, 480(ra)<br>  |
| 574|[0x800091f8]<br>0xFFFFFFFFE8382667|- rs1_val==3689348814741910324 and rs2_val==-3037000499<br>                                                                                                                                        |[0x80005ca2]:c.subw a0, a1<br> [0x80005ca4]:sd a0, 488(ra)<br>  |
| 575|[0x80009200]<br>0x000000007E2E4001|- rs1_val==3689348814741910324 and rs2_val==3037000499<br>                                                                                                                                         |[0x80005cd8]:c.subw a0, a1<br> [0x80005cda]:sd a0, 496(ra)<br>  |
| 576|[0x80009208]<br>0x0000000033333332|- rs1_val==3689348814741910324 and rs2_val==2<br>                                                                                                                                                  |[0x80005d02]:c.subw a0, a1<br> [0x80005d04]:sd a0, 504(ra)<br>  |
| 577|[0x80009210]<br>0xFFFFFFFFDDDDDDE0|- rs1_val==3689348814741910324 and rs2_val==6148914691236517204<br>                                                                                                                                |[0x80005d48]:c.subw a0, a1<br> [0x80005d4a]:sd a0, 512(ra)<br>  |
| 578|[0x80009218]<br>0x0000000033333334|- rs1_val==3689348814741910324 and rs2_val==0<br>                                                                                                                                                  |[0x80005d72]:c.subw a0, a1<br> [0x80005d74]:sd a0, 520(ra)<br>  |
| 579|[0x80009220]<br>0x0000000000000002|- rs1_val==3689348814741910324 and rs2_val==3689348814741910322<br>                                                                                                                                |[0x80005db8]:c.subw a0, a1<br> [0x80005dba]:sd a0, 528(ra)<br>  |
| 580|[0x80009228]<br>0xFFFFFFFFCCCCCCCF|- rs1_val==3689348814741910324 and rs2_val==7378697629483820645<br>                                                                                                                                |[0x80005dfe]:c.subw a0, a1<br> [0x80005e00]:sd a0, 536(ra)<br>  |
| 581|[0x80009230]<br>0x000000007E2E4002|- rs1_val==3689348814741910324 and rs2_val==3037000498<br>                                                                                                                                         |[0x80005e34]:c.subw a0, a1<br> [0x80005e36]:sd a0, 544(ra)<br>  |
| 582|[0x80009238]<br>0xFFFFFFFFDDDDDDDE|- rs1_val==3689348814741910324 and rs2_val==6148914691236517206<br>                                                                                                                                |[0x80005e7a]:c.subw a0, a1<br> [0x80005e7c]:sd a0, 552(ra)<br>  |
| 583|[0x80009240]<br>0xFFFFFFFF88888889|- rs1_val==3689348814741910324 and rs2_val==-6148914691236517205<br>                                                                                                                               |[0x80005ec0]:c.subw a0, a1<br> [0x80005ec2]:sd a0, 560(ra)<br>  |
| 584|[0x80009248]<br>0x000000003333332E|- rs1_val==3689348814741910324 and rs2_val==6<br>                                                                                                                                                  |[0x80005eea]:c.subw a0, a1<br> [0x80005eec]:sd a0, 568(ra)<br>  |
| 585|[0x80009250]<br>0x0000000000000000|- rs1_val==3689348814741910324 and rs2_val==3689348814741910324<br>                                                                                                                                |[0x80005f30]:c.subw a0, a1<br> [0x80005f32]:sd a0, 576(ra)<br>  |
| 586|[0x80009258]<br>0xFFFFFFFFCCCCCCCD|- rs1_val==3689348814741910324 and rs2_val==7378697629483820647<br>                                                                                                                                |[0x80005f76]:c.subw a0, a1<br> [0x80005f78]:sd a0, 584(ra)<br>  |
| 587|[0x80009260]<br>0xFFFFFFFFE8382666|- rs1_val==3689348814741910324 and rs2_val==-3037000498<br>                                                                                                                                        |[0x80005fac]:c.subw a0, a1<br> [0x80005fae]:sd a0, 592(ra)<br>  |
| 588|[0x80009268]<br>0x000000007E2E4000|- rs1_val==3689348814741910324 and rs2_val==3037000500<br>                                                                                                                                         |[0x80005fe2]:c.subw a0, a1<br> [0x80005fe4]:sd a0, 600(ra)<br>  |
| 589|[0x80009270]<br>0x0000000066666664|- rs1_val==7378697629483820647 and rs2_val==3<br>                                                                                                                                                  |[0x8000600c]:c.subw a0, a1<br> [0x8000600e]:sd a0, 608(ra)<br>  |
| 590|[0x80009278]<br>0x0000000011111112|- rs1_val==7378697629483820647 and rs2_val==6148914691236517205<br>                                                                                                                                |[0x80006052]:c.subw a0, a1<br> [0x80006054]:sd a0, 616(ra)<br>  |
| 591|[0x80009280]<br>0xFFFFFFFFBBBBBBBD|- rs1_val==7378697629483820647 and rs2_val==-6148914691236517206<br>                                                                                                                               |[0x80006098]:c.subw a0, a1<br> [0x8000609a]:sd a0, 624(ra)<br>  |
| 592|[0x80009288]<br>0x0000000066666662|- rs1_val==7378697629483820647 and rs2_val==5<br>                                                                                                                                                  |[0x800060c2]:c.subw a0, a1<br> [0x800060c4]:sd a0, 632(ra)<br>  |
| 593|[0x80009290]<br>0x0000000033333334|- rs1_val==7378697629483820647 and rs2_val==3689348814741910323<br>                                                                                                                                |[0x80006108]:c.subw a0, a1<br> [0x8000610a]:sd a0, 640(ra)<br>  |
| 594|[0x80009298]<br>0x0000000000000001|- rs1_val==7378697629483820647 and rs2_val==7378697629483820646<br>                                                                                                                                |[0x8000614e]:c.subw a0, a1<br> [0x80006150]:sd a0, 648(ra)<br>  |
| 595|[0x800092a0]<br>0x000000001B6B599A|- rs1_val==7378697629483820647 and rs2_val==-3037000499<br>                                                                                                                                        |[0x80006184]:c.subw a0, a1<br> [0x80006186]:sd a0, 656(ra)<br>  |
| 596|[0x800092a8]<br>0xFFFFFFFFB1617334|- rs1_val==7378697629483820647 and rs2_val==3037000499<br>                                                                                                                                         |[0x800061ba]:c.subw a0, a1<br> [0x800061bc]:sd a0, 664(ra)<br>  |
| 597|[0x800092b0]<br>0x0000000066666665|- rs1_val==7378697629483820647 and rs2_val==2<br>                                                                                                                                                  |[0x800061e4]:c.subw a0, a1<br> [0x800061e6]:sd a0, 672(ra)<br>  |
| 598|[0x800092b8]<br>0x0000000011111113|- rs1_val==7378697629483820647 and rs2_val==6148914691236517204<br>                                                                                                                                |[0x8000622a]:c.subw a0, a1<br> [0x8000622c]:sd a0, 680(ra)<br>  |
| 599|[0x800092c0]<br>0x0000000066666667|- rs1_val==7378697629483820647 and rs2_val==0<br>                                                                                                                                                  |[0x80006254]:c.subw a0, a1<br> [0x80006256]:sd a0, 688(ra)<br>  |
| 600|[0x800092c8]<br>0x0000000066666663|- rs1_val==7378697629483820647 and rs2_val==4<br>                                                                                                                                                  |[0x8000627e]:c.subw a0, a1<br> [0x80006280]:sd a0, 696(ra)<br>  |
| 601|[0x800092d0]<br>0x0000000033333335|- rs1_val==7378697629483820647 and rs2_val==3689348814741910322<br>                                                                                                                                |[0x800062c4]:c.subw a0, a1<br> [0x800062c6]:sd a0, 704(ra)<br>  |
| 602|[0x800092d8]<br>0x0000000000000002|- rs1_val==7378697629483820647 and rs2_val==7378697629483820645<br>                                                                                                                                |[0x8000630a]:c.subw a0, a1<br> [0x8000630c]:sd a0, 712(ra)<br>  |
| 603|[0x800092e0]<br>0xFFFFFFFFB1617335|- rs1_val==7378697629483820647 and rs2_val==3037000498<br>                                                                                                                                         |[0x80006340]:c.subw a0, a1<br> [0x80006342]:sd a0, 720(ra)<br>  |
| 604|[0x800092e8]<br>0x0000000011111111|- rs1_val==7378697629483820647 and rs2_val==6148914691236517206<br>                                                                                                                                |[0x80006386]:c.subw a0, a1<br> [0x80006388]:sd a0, 728(ra)<br>  |
| 605|[0x800092f0]<br>0xFFFFFFFFBBBBBBBC|- rs1_val==7378697629483820647 and rs2_val==-6148914691236517205<br>                                                                                                                               |[0x800063cc]:c.subw a0, a1<br> [0x800063ce]:sd a0, 736(ra)<br>  |
| 606|[0x800092f8]<br>0x0000000066666661|- rs1_val==7378697629483820647 and rs2_val==6<br>                                                                                                                                                  |[0x800063f6]:c.subw a0, a1<br> [0x800063f8]:sd a0, 744(ra)<br>  |
| 607|[0x80009300]<br>0x0000000033333333|- rs1_val==7378697629483820647 and rs2_val==3689348814741910324<br>                                                                                                                                |[0x8000643c]:c.subw a0, a1<br> [0x8000643e]:sd a0, 752(ra)<br>  |
| 608|[0x80009308]<br>0x0000000000000000|- rs1_val==7378697629483820647 and rs2_val==7378697629483820647<br>                                                                                                                                |[0x80006482]:c.subw a0, a1<br> [0x80006484]:sd a0, 760(ra)<br>  |
| 609|[0x80009310]<br>0x000000001B6B5999|- rs1_val==7378697629483820647 and rs2_val==-3037000498<br>                                                                                                                                        |[0x800064b8]:c.subw a0, a1<br> [0x800064ba]:sd a0, 768(ra)<br>  |
| 610|[0x80009318]<br>0xFFFFFFFFB1617333|- rs1_val==7378697629483820647 and rs2_val==3037000500<br>                                                                                                                                         |[0x800064ee]:c.subw a0, a1<br> [0x800064f0]:sd a0, 776(ra)<br>  |
| 611|[0x80009320]<br>0x000000004AFB0CCB|- rs1_val==-3037000498 and rs2_val==3<br>                                                                                                                                                          |[0x80006508]:c.subw a0, a1<br> [0x8000650a]:sd a0, 784(ra)<br>  |
| 612|[0x80009328]<br>0xFFFFFFFFF5A5B779|- rs1_val==-3037000498 and rs2_val==6148914691236517205<br>                                                                                                                                        |[0x8000653e]:c.subw a0, a1<br> [0x80006540]:sd a0, 792(ra)<br>  |
| 613|[0x80009330]<br>0xFFFFFFFFA0506224|- rs1_val==-3037000498 and rs2_val==-6148914691236517206<br>                                                                                                                                       |[0x80006574]:c.subw a0, a1<br> [0x80006576]:sd a0, 800(ra)<br>  |
| 614|[0x80009338]<br>0x000000004AFB0CC9|- rs1_val==-3037000498 and rs2_val==5<br>                                                                                                                                                          |[0x8000658e]:c.subw a0, a1<br> [0x80006590]:sd a0, 808(ra)<br>  |
| 615|[0x80009340]<br>0x0000000017C7D99B|- rs1_val==-3037000498 and rs2_val==3689348814741910323<br>                                                                                                                                        |[0x800065c4]:c.subw a0, a1<br> [0x800065c6]:sd a0, 816(ra)<br>  |
| 616|[0x80009348]<br>0xFFFFFFFFE494A668|- rs1_val==-3037000498 and rs2_val==7378697629483820646<br>                                                                                                                                        |[0x800065fa]:c.subw a0, a1<br> [0x800065fc]:sd a0, 824(ra)<br>  |
| 617|[0x80009350]<br>0x0000000000000001|- rs1_val==-3037000498 and rs2_val==-3037000499<br>                                                                                                                                                |[0x80006620]:c.subw a0, a1<br> [0x80006622]:sd a0, 832(ra)<br>  |
| 618|[0x80009358]<br>0xFFFFFFFF95F6199B|- rs1_val==-3037000498 and rs2_val==3037000499<br>                                                                                                                                                 |[0x80006646]:c.subw a0, a1<br> [0x80006648]:sd a0, 840(ra)<br>  |
| 619|[0x80009360]<br>0x000000004AFB0CCC|- rs1_val==-3037000498 and rs2_val==2<br>                                                                                                                                                          |[0x80006660]:c.subw a0, a1<br> [0x80006662]:sd a0, 848(ra)<br>  |
| 620|[0x80009368]<br>0xFFFFFFFFF5A5B77A|- rs1_val==-3037000498 and rs2_val==6148914691236517204<br>                                                                                                                                        |[0x80006696]:c.subw a0, a1<br> [0x80006698]:sd a0, 856(ra)<br>  |
| 621|[0x80009370]<br>0x000000004AFB0CCE|- rs1_val==-3037000498 and rs2_val==0<br>                                                                                                                                                          |[0x800066b0]:c.subw a0, a1<br> [0x800066b2]:sd a0, 864(ra)<br>  |
| 622|[0x80009378]<br>0x000000004AFB0CCA|- rs1_val==-3037000498 and rs2_val==4<br>                                                                                                                                                          |[0x800066ca]:c.subw a0, a1<br> [0x800066cc]:sd a0, 872(ra)<br>  |
| 623|[0x80009380]<br>0x0000000017C7D99C|- rs1_val==-3037000498 and rs2_val==3689348814741910322<br>                                                                                                                                        |[0x80006700]:c.subw a0, a1<br> [0x80006702]:sd a0, 880(ra)<br>  |
| 624|[0x80009388]<br>0xFFFFFFFFE494A669|- rs1_val==-3037000498 and rs2_val==7378697629483820645<br>                                                                                                                                        |[0x80006736]:c.subw a0, a1<br> [0x80006738]:sd a0, 888(ra)<br>  |
| 625|[0x80009390]<br>0xFFFFFFFF95F6199C|- rs1_val==-3037000498 and rs2_val==3037000498<br>                                                                                                                                                 |[0x8000675c]:c.subw a0, a1<br> [0x8000675e]:sd a0, 896(ra)<br>  |
| 626|[0x80009398]<br>0xFFFFFFFFF5A5B778|- rs1_val==-3037000498 and rs2_val==6148914691236517206<br>                                                                                                                                        |[0x80006792]:c.subw a0, a1<br> [0x80006794]:sd a0, 904(ra)<br>  |
| 627|[0x800093a0]<br>0xFFFFFFFFA0506223|- rs1_val==-3037000498 and rs2_val==-6148914691236517205<br>                                                                                                                                       |[0x800067c8]:c.subw a0, a1<br> [0x800067ca]:sd a0, 912(ra)<br>  |
| 628|[0x800093a8]<br>0x000000004AFB0CC8|- rs1_val==-3037000498 and rs2_val==6<br>                                                                                                                                                          |[0x800067e2]:c.subw a0, a1<br> [0x800067e4]:sd a0, 920(ra)<br>  |
| 629|[0x800093b0]<br>0x0000000017C7D99A|- rs1_val==-3037000498 and rs2_val==3689348814741910324<br>                                                                                                                                        |[0x80006818]:c.subw a0, a1<br> [0x8000681a]:sd a0, 928(ra)<br>  |
| 630|[0x800093b8]<br>0xFFFFFFFFE494A667|- rs1_val==-3037000498 and rs2_val==7378697629483820647<br>                                                                                                                                        |[0x8000684e]:c.subw a0, a1<br> [0x80006850]:sd a0, 936(ra)<br>  |
| 631|[0x800093c0]<br>0x0000000000000000|- rs1_val==-3037000498 and rs2_val==-3037000498<br>                                                                                                                                                |[0x80006874]:c.subw a0, a1<br> [0x80006876]:sd a0, 944(ra)<br>  |
| 632|[0x800093c8]<br>0xFFFFFFFF95F6199A|- rs1_val==-3037000498 and rs2_val==3037000500<br>                                                                                                                                                 |[0x8000689a]:c.subw a0, a1<br> [0x8000689c]:sd a0, 952(ra)<br>  |
| 633|[0x800093d0]<br>0xFFFFFFFFB504F331|- rs1_val==3037000500 and rs2_val==3<br>                                                                                                                                                           |[0x800068b4]:c.subw a0, a1<br> [0x800068b6]:sd a0, 960(ra)<br>  |
| 634|[0x800093d8]<br>0x000000005FAF9DDF|- rs1_val==3037000500 and rs2_val==6148914691236517205<br>                                                                                                                                         |[0x800068ea]:c.subw a0, a1<br> [0x800068ec]:sd a0, 968(ra)<br>  |
| 635|[0x800093e0]<br>0x000000000A5A488A|- rs1_val==3037000500 and rs2_val==-6148914691236517206<br>                                                                                                                                        |[0x80006920]:c.subw a0, a1<br> [0x80006922]:sd a0, 976(ra)<br>  |
| 636|[0x800093e8]<br>0xFFFFFFFFB504F32F|- rs1_val==3037000500 and rs2_val==5<br>                                                                                                                                                           |[0x8000693a]:c.subw a0, a1<br> [0x8000693c]:sd a0, 984(ra)<br>  |
| 637|[0x800093f0]<br>0xFFFFFFFF81D1C001|- rs1_val==3037000500 and rs2_val==3689348814741910323<br>                                                                                                                                         |[0x80006970]:c.subw a0, a1<br> [0x80006972]:sd a0, 992(ra)<br>  |
| 638|[0x800093f8]<br>0x000000004E9E8CCE|- rs1_val==3037000500 and rs2_val==7378697629483820646<br>                                                                                                                                         |[0x800069a6]:c.subw a0, a1<br> [0x800069a8]:sd a0, 1000(ra)<br> |
| 639|[0x80009400]<br>0x000000006A09E667|- rs1_val==3037000500 and rs2_val==-3037000499<br>                                                                                                                                                 |[0x800069cc]:c.subw a0, a1<br> [0x800069ce]:sd a0, 1008(ra)<br> |
| 640|[0x80009408]<br>0x0000000000000001|- rs1_val==3037000500 and rs2_val==3037000499<br>                                                                                                                                                  |[0x800069f2]:c.subw a0, a1<br> [0x800069f4]:sd a0, 1016(ra)<br> |
| 641|[0x80009410]<br>0xFFFFFFFFB504F332|- rs1_val==3037000500 and rs2_val==2<br>                                                                                                                                                           |[0x80006a0c]:c.subw a0, a1<br> [0x80006a0e]:sd a0, 1024(ra)<br> |
| 642|[0x80009418]<br>0x000000005FAF9DE0|- rs1_val==3037000500 and rs2_val==6148914691236517204<br>                                                                                                                                         |[0x80006a42]:c.subw a0, a1<br> [0x80006a44]:sd a0, 1032(ra)<br> |
| 643|[0x80009420]<br>0xFFFFFFFFB504F334|- rs1_val==3037000500 and rs2_val==0<br>                                                                                                                                                           |[0x80006a5c]:c.subw a0, a1<br> [0x80006a5e]:sd a0, 1040(ra)<br> |
| 644|[0x80009428]<br>0xFFFFFFFFB504F330|- rs1_val==3037000500 and rs2_val==4<br>                                                                                                                                                           |[0x80006a76]:c.subw a0, a1<br> [0x80006a78]:sd a0, 1048(ra)<br> |
| 645|[0x80009430]<br>0xFFFFFFFF81D1C002|- rs1_val==3037000500 and rs2_val==3689348814741910322<br>                                                                                                                                         |[0x80006aac]:c.subw a0, a1<br> [0x80006aae]:sd a0, 1056(ra)<br> |
| 646|[0x80009438]<br>0x000000004E9E8CCF|- rs1_val==3037000500 and rs2_val==7378697629483820645<br>                                                                                                                                         |[0x80006ae2]:c.subw a0, a1<br> [0x80006ae4]:sd a0, 1064(ra)<br> |
| 647|[0x80009440]<br>0x0000000000000002|- rs1_val==3037000500 and rs2_val==3037000498<br>                                                                                                                                                  |[0x80006b08]:c.subw a0, a1<br> [0x80006b0a]:sd a0, 1072(ra)<br> |
| 648|[0x80009448]<br>0x000000005FAF9DDE|- rs1_val==3037000500 and rs2_val==6148914691236517206<br>                                                                                                                                         |[0x80006b3e]:c.subw a0, a1<br> [0x80006b40]:sd a0, 1080(ra)<br> |
| 649|[0x80009450]<br>0x000000000A5A4889|- rs1_val==3037000500 and rs2_val==-6148914691236517205<br>                                                                                                                                        |[0x80006b74]:c.subw a0, a1<br> [0x80006b76]:sd a0, 1088(ra)<br> |
| 650|[0x80009458]<br>0xFFFFFFFFB504F32E|- rs1_val==3037000500 and rs2_val==6<br>                                                                                                                                                           |[0x80006b8e]:c.subw a0, a1<br> [0x80006b90]:sd a0, 1096(ra)<br> |
| 651|[0x80009460]<br>0xFFFFFFFF81D1C000|- rs1_val==3037000500 and rs2_val==3689348814741910324<br>                                                                                                                                         |[0x80006bc4]:c.subw a0, a1<br> [0x80006bc6]:sd a0, 1104(ra)<br> |
| 652|[0x80009468]<br>0x000000004E9E8CCD|- rs1_val==3037000500 and rs2_val==7378697629483820647<br>                                                                                                                                         |[0x80006bfa]:c.subw a0, a1<br> [0x80006bfc]:sd a0, 1112(ra)<br> |
| 653|[0x80009470]<br>0x000000006A09E666|- rs1_val==3037000500 and rs2_val==-3037000498<br>                                                                                                                                                 |[0x80006c20]:c.subw a0, a1<br> [0x80006c22]:sd a0, 1120(ra)<br> |
| 654|[0x80009478]<br>0x0000000000000000|- rs1_val==3037000500 and rs2_val==3037000500<br>                                                                                                                                                  |[0x80006c46]:c.subw a0, a1<br> [0x80006c48]:sd a0, 1128(ra)<br> |
| 655|[0x80009480]<br>0xFFFFFFFFFFFFFFFE|- rs1_val==0 and rs2_val==2<br>                                                                                                                                                                    |[0x80006c54]:c.subw a0, a1<br> [0x80006c56]:sd a0, 1136(ra)<br> |
| 656|[0x80009488]<br>0xFFFFFFFFAAAAAAAC|- rs1_val==0 and rs2_val==6148914691236517204<br>                                                                                                                                                  |[0x80006c7e]:c.subw a0, a1<br> [0x80006c80]:sd a0, 1144(ra)<br> |
| 657|[0x80009490]<br>0x0000000000000000|- rs1_val==0 and rs2_val==0<br>                                                                                                                                                                    |[0x80006c8c]:c.subw a0, a1<br> [0x80006c8e]:sd a0, 1152(ra)<br> |
| 658|[0x80009498]<br>0xFFFFFFFFFFFFFFFC|- rs1_val==0 and rs2_val==4<br>                                                                                                                                                                    |[0x80006c9a]:c.subw a0, a1<br> [0x80006c9c]:sd a0, 1160(ra)<br> |
| 659|[0x800094a0]<br>0xFFFFFFFFCCCCCCCE|- rs1_val==0 and rs2_val==3689348814741910322<br>                                                                                                                                                  |[0x80006cc4]:c.subw a0, a1<br> [0x80006cc6]:sd a0, 1168(ra)<br> |
| 660|[0x800094a8]<br>0xFFFFFFFF9999999B|- rs1_val==0 and rs2_val==7378697629483820645<br>                                                                                                                                                  |[0x80006cee]:c.subw a0, a1<br> [0x80006cf0]:sd a0, 1176(ra)<br> |
| 661|[0x800094b0]<br>0x000000004AFB0CCE|- rs1_val==0 and rs2_val==3037000498<br>                                                                                                                                                           |[0x80006d08]:c.subw a0, a1<br> [0x80006d0a]:sd a0, 1184(ra)<br> |
| 662|[0x800094b8]<br>0xFFFFFFFFAAAAAAAA|- rs1_val==0 and rs2_val==6148914691236517206<br>                                                                                                                                                  |[0x80006d32]:c.subw a0, a1<br> [0x80006d34]:sd a0, 1192(ra)<br> |
| 663|[0x800094c0]<br>0x0000000055555555|- rs1_val==0 and rs2_val==-6148914691236517205<br>                                                                                                                                                 |[0x80006d5c]:c.subw a0, a1<br> [0x80006d5e]:sd a0, 1200(ra)<br> |
| 664|[0x800094c8]<br>0xFFFFFFFFFFFFFFFA|- rs1_val==0 and rs2_val==6<br>                                                                                                                                                                    |[0x80006d6a]:c.subw a0, a1<br> [0x80006d6c]:sd a0, 1208(ra)<br> |
| 665|[0x800094d0]<br>0xFFFFFFFFCCCCCCCC|- rs1_val==0 and rs2_val==3689348814741910324<br>                                                                                                                                                  |[0x80006d94]:c.subw a0, a1<br> [0x80006d96]:sd a0, 1216(ra)<br> |
| 666|[0x800094d8]<br>0xFFFFFFFF99999999|- rs1_val==0 and rs2_val==7378697629483820647<br>                                                                                                                                                  |[0x80006dbe]:c.subw a0, a1<br> [0x80006dc0]:sd a0, 1224(ra)<br> |
| 667|[0x800094e0]<br>0xFFFFFFFFB504F332|- rs1_val==0 and rs2_val==-3037000498<br>                                                                                                                                                          |[0x80006dd8]:c.subw a0, a1<br> [0x80006dda]:sd a0, 1232(ra)<br> |
| 668|[0x800094e8]<br>0x000000004AFB0CCC|- rs1_val==0 and rs2_val==3037000500<br>                                                                                                                                                           |[0x80006df2]:c.subw a0, a1<br> [0x80006df4]:sd a0, 1240(ra)<br> |
| 669|[0x800094f0]<br>0x0000000000000001|- rs1_val==4 and rs2_val==3<br>                                                                                                                                                                    |[0x80006e00]:c.subw a0, a1<br> [0x80006e02]:sd a0, 1248(ra)<br> |
| 670|[0x800094f8]<br>0xFFFFFFFFAAAAAAAF|- rs1_val==4 and rs2_val==6148914691236517205<br>                                                                                                                                                  |[0x80006e2a]:c.subw a0, a1<br> [0x80006e2c]:sd a0, 1256(ra)<br> |
